;Sibelius Access version 1 beta 2
;Globals for Sibelius 5

Globals


;file paths
string gsHelpContents,
string gsJawsToSibelius,
string gsPlugin,
string gsResources,
string gsSibeliusToJaws,
string gsScoreInfoDoc,
string gsScoreLayoutDoc,
string gsToolWindowTrace,
string gsDataStore,
string gsUserAppDataFolder,
string gsVerbositySettings,
string gsVerbositySettingsFile,

string gKeypadTBColor,
int gSibTypingEcho,
int gKeyboardLayout,


;The previous top level window must be stored because the real window cannot always be relied upon.
handle ghPrevTopLevelWindow,

;Tool window handles
handle ghNavigatorWindow,
handle ghPropertiesWindow,
handle ghKeypadWindow,
handle ghPlaybackWindow,
handle ghMixerWindow,
handle ghCurMixerStripWnd,
handle ghKontaktWindow,
handle ghPartsWindow,
handle ghVideoWindow,

;Expected coordinates for tool windows
;These are filled from AutoStartEvent and show where tool windows should be positioned.
;They are not held as constants so as to work around screen resolutions.
int giExpectedKeypadLeft,
int giExpectedPropertiesLeft,
int giExpectedPlaybackLeft,

;Keypad window
int giKeypadLeftEdge,
int giKeypadTopEdge,
int gbKeypadGraphics, ; boolean storing the state of all keypad graphics
int giKeypadLayout, ; the current keypad layout

;for HandleCustomeAppChange
string gPrevAppWindowName,

;for holding score object details
string gsPrevBar, ; the bar number for the previously selected object
string gsPrevPageNumber, ; for page changes in the score
string gsScoreObjectType, ; the type of the selected item in the score
string gsSibMsg, ; the string retrieved from the ini
int giDX, ; X coordinate
int giDY, ; Y coordinate
int giDXEnd, ; X coordinate for end point of line
int giDYEnd, ; Y coordinate for end point of line
int giLinePoint, ; the beginning, middle or end of a line
int giPrevVoice, ; the voice of the previously selected object
int giSlurX, ; X value for mid point of slur
int giSlurY, ; Y value for mid point of slur


;General modes of operation
int DoneFirstTimeMessage, ; indicates if this is the first time Sibelius is used since JAWS was started
int giPlugInInstalled,
int giAutomaticallyToggleToolWindows,
int gDoNotMoveThisItem, ; items which are not notes chords or rest are protected against accidental movement.
int giErrorDLGClosing, ; true if the plug-in error dialog is closing
int giExitingSpecialFunctions, ; True if the Access Menu is closing
int gInMixerMode,
int giFixingToolWindows, ; true if the fix tool windows functions are running
int gDoNotUsePlugIn, ; true if the plug-in should NOT be used for descriptions
int giMovement, ;type of movement which the calling script would initiate
int giPlugInRuns, ; the number of times the plug-in has run
int giPropertiesNavigation, ; true if the properties navigation mode is on
int giPropertiesPain, ; number of the properties pain being navigated
int giTestingMIDI, ; true if the test MIDI functions are running
int gMovingToToolWindow, ; True if a tool window is deliberately being given focus. Needed in HandleCustomWindows.
int gStopPlugInWindow, ; for tracking if the stop plug-in window is open
int gPlugInIsRunning,

;dialogs
string gsPrevNewScoreDialogPage, ; for page changes in the new score dialog
string gsPrevScore, ; for detecting ControlTab in the score window

;mixer window
handle ghCurMixerControl, ;only accessed by "FindMixerControl"
handle ghCurMixerStrip,
int gCurMixerStrip,
int gMixerStripCount,
int gVolumeSliderPos,


;Symbols dialog
int giSymbolColumn,
string gsSymbolsTempList
