;Sibelius Access version 1 Release Candidate 1
;JAWS scripts for Sibelius 5.2.5
;For JAWS 7.1.500 and above.
;by Daniel Craig Rugman
;Last revised 25 march 2009
;Sibelius Access is subject to the terms and conditions of the GNU General Public License.
;The full text of the license can be found in the file license.txt distributed with these scripts.

;includes from default
Include "HjGlobal.jsh" ; default HJ global variables
Include "hjconst.jsh" ; default HJ constants
Include "HjHelp.jsh" ; Help Topic Constants
Include "common.jsm" ; message file
;Next two includes for Personalize Web Setting and other IE info.
include "IECustomSettings.jsh"
include "IE.jsm";For Personalize Web Setting and other IE info.
Include "magic.jsh"
Include "magcodes.jsh"
Include "fhp.jsh"
include "WinStyles.jsh"; Win Style Bits Constants used by the GetWindowStyleBits function
use "HomeRowWindows.jsb"
use "HomeRowMSAA.jsb"
use "magic.jsb"
use "say.jsb"
use "JAWS Braille.jsb"
Use "Virtual.jsb"
use "TutorialHelp.jsb"
use "UserBufferTemp.jsb"
use "AIMHelper.jsb"
use "MSNHelper.jsb"
use "VKeyboard.jsb";For the Select Symbol To Print dialog.
use "htlib.jsb"
use "ph.jsb"
use "YIMHelper.jsb"; Yahoo instant messenger

;Sibelius 5 constants, globals and messages
include "Sibelius5Constants.JSH" ; general constants
Include "Sibelius5IDs.JSH" ; window control IDs
include "Sibelius5Globals.JSH"
include "sibelius5.JSM"
Include "Sibelius5LongLists.Jsm"
Use "Sibelius5WinFunc.jsb"
;Use "Diagnostics.JSB" ;testing only


;Only needed when working out new pixil maps
Globals
string gsTestMap


Script ScriptFileName ()
;Speaks the currently loaded script file and active application
ScriptAndAppNames(MsgSibAccessVersion)
InitializeSibAccessValues ()
EndScript


;--- Miscellanious functions
;These are frequently used functions which compensate for defitiencies in the built-in functions

Int Function StringsAreEqual (string String1, string String2)
;Checks if the 2 strings are exactly equal
var
int NumChars,
int ThisChar
let NumChars = StringLength (String1)
If StringLength (String2) != NumChars then
Return False
EndIf
let NumChars = StringLength (String1)
let ThisChar=1
While ThisChar <= NumChars
;The = operator is not case specific so use character values.
If GetCharacterValue (SubString (String1, ThisChar, 1)) != GetCharacterValue (SubString (String2, ThisChar, 1)) then
return False
EndIf
let ThisChar=ThisChar+1
EndWhile
Return True
EndFunction


Int Function StringSegmentIndexX (string FullString, string DelimitingChar, string Segment)
;This replaces StringSegmentIndex which is not relyable
;This is because the equality operator is not case sensitive and only checks the characters of the shorter string
;This function returns the index which EXACTLY matches the string passed
var
string localSegment,
int Char
;Add delimiters to the start and end to make the search easier
let FullString = DelimitingChar + FullString + DelimitingChar
let localSegment = DelimitingChar + Segment + DelimitingChar
let Char = StringContains (FullString, localSegment)
let FullString = StringLeft (FullString, Char)
return StringSegmentCount (FullString, DelimitingChar)
EndFunction

Void Function ActControlInDLG (int iID)
var
handle hReal,
handle hChild,
int iType
let hReal = GetRealWindow( GetFocus())
let hChild = FindDescendantWindow( hReal, iID)
SetFocus( hChild)
if GetWindowClass (GetFocus()) == cWcButton then
RouteJAWSToPc ()
LeftMouseButton ()
endif
EndFunction

Function PerformKeyStroke ()
;This saves one line of code - wow!
TypeCurrentScriptKey ()
SayCurrentScriptKeyLabel ()
EndFunction


Void Function SaySibDLGControl (string sName, string sType, string sValue, string sState, string sPosition)
;Use this function when a control does not speak properly
;All verbosity settings are honoured and the correct voices are used for each announcement
if !ShouldItemSpeak (OT_CONTROL_NAME) then
let sName= cscNull
endif
if !ShouldItemSpeak (OT_CONTROL_TYPE) then
let sType = cscNull
endif
if !ShouldItemSpeak (OT_ITEM_STATE) then
let sState = cscNull
endif
let sName = StringReplaceSubstrings (sName, newline, cscNull)
let sName = sName +space+ sType +space+ sState
Say( sName, OT_Line)
if ShouldItemSpeak (OT_SELECTED_ITEM) then
Say( sValue, OT_Line)
endif
if ShouldItemSpeak (OT_POSITION) && sPosition then
SayUsingVoice (VCTX_Message, sPosition, OT_NO_DISABLE)
endif
EndFunction

Int Function GetObjectStateByWindow (handle hWnd)
;This acts like "GetControlState" with the advantage of not needing to move to the control first.
var
string sName,
int iCode,
int iState,
string sValue,
string sDescribe,
string sKey,
string sParent
let sName = GetWindowName( hWnd)
GetObjectInfoByName (hWnd, sName, 1, iCode, iState, sValue, sDescribe, sKey, sParent)
return iState
EndFunction

String Function GetObjectValueByWindow (handle hWnd)
;This acts like "GetControlValue" with the advantage of not needing to move to the control first.
var
string sName,
int iCode,
int iState,
string sValue,
string sDescribe,
string sKey,
string sParent
let sName = GetWindowName( hWnd)
GetObjectInfoByName (hWnd, sName, 1, iCode, iState, sValue, sDescribe, sKey, sParent)
return sValue
EndFunction


HANDLE Function GetNextControl (handle hWnd)
var
handle hTest,
handle hMatch,
int Continue
if GetWindowSubTypeCode (hWnd) == WT_EditCombo then
let hWnd = GetParent (hWnd)
endif
; The handle passed is for the window which already has focus. We need to start from the next window.
let hTest = GetNextWindow (hWnd)
; Search from this window to the last window at this level
let Continue = True
while Continue
if !hTest then
let Continue = False
let hMatch = hTest
endif
if !ShouldControlGetFocus (hTest) then
let hTest = GetNextWindow (hTest)
else
let hMatch = hTest
let Continue = False
endif
endwhile
if hMatch then
return hMatch
endif
; If we are here then no window was found so search from the first window at this level to the window which was originally passed.
let hTest = GetFirstWindow (hWnd)
let Continue = True
while Continue
if !hTest || hTest == hWnd then
let Continue = False
let hMatch = hTest
endif
if !ShouldControlGetFocus (hTest) then
let hTest = GetNextWindow (hTest)
else
let hMatch = hTest
let Continue = False
endif
endwhile
if hMatch then
return hMatch
else
return False
endif
EndFunction


HANDLE Function GetPriorControl (handle hWnd)
var
handle hTest,
handle hMatch,
int Continue
if GetWindowSubTypeCode (hWnd) == WT_EditCombo then
let hWnd = GetParent (hWnd)
endif
; The handle passed is for the window which already has focus. We need to start from the prior window.
let hTest = GetPriorWindow (hWnd)
; Search from this window to the last window at this level
let Continue = True
while Continue
if !hTest then
let Continue = False
let hMatch = hTest
endif
if !ShouldControlGetFocus (hTest) then
let hTest = GetPriorWindow (hTest)
else
let hMatch = hTest
let Continue = False
endif
endwhile
if hMatch then
return hMatch
endif
; If we are here then no window was found so search from the last window at this level to the window which was originally passed.
let hTest = GetLastWindow (hWnd)
let Continue = True
while Continue
if !hTest || hTest == hWnd then
let Continue = False
let hMatch = hTest
endif
if !ShouldControlGetFocus (hTest) then
let hTest = GetPriorWindow (hTest)
else
let hMatch = hTest
let Continue = False
endif
endwhile
if hMatch then
return hMatch
else
return False
endif
EndFunction



HANDLE Function CheckedControlInGroup (int FirstID, int LastID)
var
handle hWnd,
int Continue
let hWnd = GetTopLevelWindow (hWnd)
let hWnd = FindDescendantWindow (hWnd, FirstID)
let Continue = True
while Continue
if GetObjectStateByWindow (hWnd) == Ctrl_Checked ||
GetControlID (hWnd) == LastID ||
!hWnd then
let Continue = False
else
let hWnd = GetNextWindow(hWnd)
endif
endwhile
return hWnd
EndFunction

String Function LookUpBetweenLists (string List1, string List2, int iNumber)
;This simulates a look up table by using two delimited strings
;The first string contains numbers, written as strings.
;This string is searched for the number passed in the third parameter
;The segment of the second string with the same index as the found segment in the first is return.
var
int Index,
string sNumber,
string sListedNumber
let sNumber = IntToString( iNumber)
let Index = StringSegmentIndex (List1, "|", sNumber)
let sListedNumber = StringSegment (List1, "|", Index)
If StringLength (sNumber) == StringLength (sListedNumber) then
Return StringSegment (List2, "|", Index)
EndIf
Return False
EndFunction

Void Function GetRGBComponents (int iColor, int ByRef iRed, int ByRef iGreen, int ByRef iBlue)
;Seperates the red, green and blue components from the color number
;This is much better than chopping up the RGBString
var
int iTemp
let iBlue = HighWord (iColor)
let iTemp = LowWord(iColor)
let iGreen = iTemp /256
let iRed = iTemp & 255
EndFunction

;--- Event functions

Void Function AutoStartEvent ()
InitializeSibAccessValues ()
EndFunction


Void Function InitializeSibAccessValues ()
; Auto start event gets called quite frequently so initializing values should be done elsewhere
;This should only be called when the quick start dialog opens or when the MDIClient gets focus
if !DoneFirstTimeMessage then
SayFormattedMessage (OT_APP_START, MsgSibAccessLoaded)
let DoneFirstTimeMessage = True
endif
let gDoNotMoveThisItem = True
let giFixingToolWindows = False
; setting the keypad template to 0 will force the keypad functions to respond properly on the first call
let giKeypadLayout = 0
GetIniFilePaths ()
; trying to run without the ini file created by the plugin can be desasterous
IsPlugInInstalled ()
EndFunction


Void Function NewTextEvent (handle hwnd, string buffer, int nAttributes, int nTextColor, int nBackgroundColor, int nEcho, string sFrameName)
var
string sRealName,
int ID,
	handle hFocus,
	int iSubtype,
	string sClass
let hFocus = GetFocus()
let sRealName = GetWindowName(GetRealWindow(hFocus))
let ID = GetControlID(hFocus)
;	SayString("new text")
;the stop plugin message can cause problems at high zoom leverls
if buffer == "Stop Plug-In" then
return
endif
;never speak new text in the score window
if GetWindowClass(hFocus) == "MDIChildWindow" then
return
endif
if sRealName == Name_NewScore then
if ID == 1001 then
let ID = GetControlID( GetParent(hFocus))
endif
if ID == ID_NewScorePickUpEdit ||
ID == ID_NewScoreBeatLength then
SayFormattedMessage (OT_SELECTED_ITEM, FormatTextInDurationEditBoxes (buffer))
return
endif
endif
if sRealName == Name_TimeSignature &&
GetControlID (GetParent (hWnd)) == ID_TimeSigPickUpEdit then
SayFormattedMessage (OT_SELECTED_ITEM, FormatTextInDurationEditBoxes (buffer))
return
endif
if sRealName == Name_Find &&
ID == 1001 then
SayFormattedMessage (OT_SELECTED_ITEM, FormatTextInDurationEditBoxes (buffer))
return
endif
if sRealName == Name_FlexiTime &&
ID == 1001 then
SayFormattedMessage (OT_SELECTED_ITEM, FormatTextInDurationEditBoxes (buffer))
return
endif
;Silence text in the mixer
if sRealName == Name_Mixer then
return
endif
;The page change in the new score dialog is not detected properly
;SayControlInNewScoreDLG is also needed. That is triggered from HandleCustomWindows
if sRealName == Name_NewScore &&
GetControlID (hWnd) == ID_NewScorePageName &&
buffer != gsPrevNewScoreDialogPage then
Say( FormatString( MsgDialogPageChange, buffer), OT_LINE)
let gsPrevNewScoreDialogPage = buffer
endif
;Never speak new text in Preferences
if sRealName == Name_Preferences ||
sRealName == Name_VerbosityDlg then
return
endif
;run as normal from default
NewTextEvent (hwnd, buffer, nAttributes, nTextColor, nBackgroundColor, nEcho, sFrameName)
EndFunction



String Function FormatTextInDurationEditBoxes (string Text)
;This announces the text in the edit boxes which are used for entering note lengths
;These occur in the new score dialog, time signature dialog and find dialog.
return StringReplaceSubstrings (Text, period, " dot ")
EndFunction


Void Function KeyPressedEvent (int nKey, string strKeyName, int nIsBrailleKey, int nIsScriptKey)
;SpellString(strKeyName)
;SayInteger (nKey)
;There are too many single alpha numeric keystrokes to place them all here.
;These have been scripted individually.
;fast forward and rewind keys must be held down so no scripts can be assigned to these keys
if strKeyName == "]" ||
strKeyName == "[" then
ScheduleFunction ("SayTimeAfterRewind", 2)
endif
;NumPad keys are used with the number lock on so no scripts can be assigned
;the keysstrokes must reach  Sibelius so this is not a problem
;however the result of the keystroke must be reported
if gKeyboardLayout  == ciDesktopLayout then
If WasKeyPadUsed () then
If 71 <= nKey && nKey <= 84 ||
StringsAreEqual (strKeyName, "NumPadSlash") ||
StringsAreEqual (strKeyName, "NumPadStar") ||
StringsAreEqual (strKeyName, "NumPadEnter") then
SayPressedKeypadButton (strKeyName)
EndIf
EndIf
else
if nKey > 1 && nKey < 12 then
SayPressedKeypadButton (StringSegment (csKeypadToRow, delimiter, nKey-1))
endif
endif
;run as normal from default
KeyPressedEvent (nKey, strKeyName, nIsBrailleKey, nIsScriptKey)
EndFunction

Void Function WindowCreatedEvent (handle hWnd, int nLeft, int nTop, int nRight, int nBottom)
;not including this function causes unusual results
;This was not the case in versions prior to JFW 8
;It now has to be here, eeven though it does nothing
;Very strange!
EndFunction







Int Function HandleCustomAppWindows (handle hWnd)
;SayString("custom app windows")
;When focus moves from the mixer to any other sibelius window an app change is detected.
if gPrevAppWindowName == Name_Mixer then
return True
endif
let gPrevAppWindowName = GetWindowName(hWnd)
;When entering mixer mode, the mixer is focused, but announcements are handled by the mixer mode functions
if gInMixerMode && GetWindowName(hWnd) == Name_Mixer then
return True
endif
Return FALSE
EndFunction

Int Function HandleCustomRealWindows (handle hWnd)
var
string sRealName,
handle hPrevTop
;SayString("custom real windows")
let sRealName = GetWindowName (hWnd)
let hPrevTop = ghPrevTopLevelWindow
let ghPrevTopLevelWindow = hWnd
if hWnd == ghPropertiesWindow &&
hPrevTop == ghPropertiesWindow then
;The focus has moved between two controls in the properties window so no announcement is necessary.
return True
endif
if sRealName == Name_StopPlugIn then
let gStopPlugInWindow = True
return True
elif sRealName == "Sibelius Access Error" then
let giErrorDlgClosing = true
;elif sRealName == Name_Preferences then
;set global for ActiveItemChangedEvent
;let giEnteringPreferences = true
endif
if giExitingSpecialFunctions then
let giExitingSpecialFunctions = false
return true
endif
if sRealName == "Special Functions" then
let giExitingSpecialFunctions = true
endif
If sRealName == Name_KeySignature then
SayFormattedMessage( OT_NO_DISABLE, Name_KeySignature)
Return TRUE
elif sRealName == Name_Symbols then
SayFormattedMessage (OT_NO_DISABLE, Name_Symbols)
MoveToFirstSymbol ()
return true
endif
Return False
EndFunction

Int Function HandleCustomWindows (handle hWnd)
var
handle hReal,
string sRealName,
string sClass,
int ID,
string sName,
handle hTop,
int Type
;SayString("handle custome windows")
let hReal = GetRealWindow(hWnd)
let hTop = GetTopLevelWindow(hWnd)
let sRealName = GetWindowName( GetRealWindow( hWnd))
let sClass = GetWindowClass (hwnd)
let ID = GetControlID (hwnd)
let sName = GetWindowName( hWnd)
if giFixingToolWindows then
;Tool windows are being moved so stay quiet
return True
elif sClass == cWcMDIChild then
; always kill typing echo in the score
SetJCFOption (OPT_TYPING_ECHO, 0)
if !gStopPlugInWindow then
SayOpenScore()
else
let gStopPlugInWindow = False
endif
return True
endif
if sRealName == Name_StopPlugIn then
return True
endif

;This is not the score window so turn typing echo back on.
SetJCFOption (OPT_TYPING_ECHO, gSibTypingEcho)

if sClass == cWcMDIFrame then  ;Ignore any focus changes into the application main window.
return true
elIf sClass == "MDIClient" then
;The client window sometimes gets focus in passing, so waite before announcing no scores
;This function also checks that the plug-in files hav been installed.
ScheduleFunction ("SayNoScoresOpen", 3)
Return TRUE
elif sClass == cWcEditTextItem && ID == ID_EditTextItem then
;The edit box for text items in the score has just opened.
SayEnteringTextBox ()
return False
endif

if hWnd == ghKeypadWindow ||
hWnd == ghPlaybackWindow then
SayFormattedMessage (OT_NO_DISABLE, GetToolWindowName())
return True
endif

if hReal == ghMixerWindow then
GetToolWindowName()
IsMixerSized ()
	return true
endif

if hWnd == ghPartsWindow then
SayFormattedMessage (OT_NO_DISABLE, GetToolWindowName())
SetFocus(GetFirstChild(hWnd))
return True
endif

if hWnd == ghPropertiesWindow then
SayFormattedMessage (OT_NO_DISABLE, GetToolWindowName())
SetFocus (FindDescendantWindow (ghPropertiesWindow, ID_PropertiesGeneralPainButton))
return
endif
if hTop == ghPropertiesWindow then
if !sClass == cwc_ComboLBox ||
!sClass == cwcComboBox then
SayControlInPropertiesWindow()
return True
endif
endif

;for dialogs
If sRealName == "New Score" then
return SayControlInNewScoreDLG()
elif sRealName == Name_KeySignature then
return SayControlInKeySigDLG()
ElIf sRealName == Name_TimeSignature then
return SayControlInTimeSigDLG()
elif sRealName == Name_Lines then
return SayControlInLineDLG()
elif sRealName == Name_Find then
return SayControlInFindDLG()
elif sRealName == Name_Filter then
return SayControlInFindDLG()
elif sRealName == Name_Symbols  then
return SayControlInSymbolsDLG ()
elif sRealName == Name_Preferences && ID == ID_PrefMainList then
SaySibDLGControl (MsgPrefMainListName, GetObjectType(), GetObjectValue(), GetObjectState(), PositionInGroup())
return True
elif sRealName == Name_MessageDlg &&
GetWindowTypeCode (hReal) == WT_Dialog then
Say (GetWindowText (GetLastWindow (hWnd), False), OT_Line)
elif sRealName == Name_PlgTrace then
;The edit field should get focus
SetFocus( GetLastWindow( hWnd))
endif
return False
EndFunction

Void Function FocusChangedEventEx( handle hFocus, int nObject, int nChild, handle hPrevFocus, int nPrevObject, int nPrevChild, int nChangeDepth)
var
string Class,
int Type,
handle hTop
;SayString("focus changed Ex")
;SayString(GetWindowClass(hFocus))
;The default function refreshes the global for storing menu modes so include here in case the default function is not run.
let GlobalMenuMode = GetMenuMode ()
let Class = GetWindowClass (hFocus)
let hTop = GetTopLevelWindow(hFocus)
if Class == cWcMDIFrame &&
!GlobalMenuMode then
;Focus is briefly switching to the MDI frame window so make no announcements
return
endif
if hTop == ghMixerWindow then
GetToolWindowName()
return
endif
if hTop == ghPropertiesWindow then
if Class == cwc_ComboLBox ||
Class == cWcComboBox then
;The combo boxes in the properties window are not detected by the standard focus change event
if hPrevFocus == hFocus then
	return ActiveItemChangedEvent(hFocus,nObject,nChild,hPrevFocus,nPrevObject,nPrevChild)
else
return FocusChangedEvent (hFocus, hPrevFocus)
endif
endif
endif
FocusChangedEventEx( hFocus, nObject, nChild, hPrevFocus, nPrevObject, nPrevChild, nChangeDepth)
EndFunction



Void Function ActiveItemChangedEvent (handle curHwnd, int curObjectId, int curChildId, handle prevHwnd, int prevObjectId, int prevChildId)
var
string Value,
int ID
;SayString("active item")
if InScore() then
return
endif
if nSelectingText then
	return
EndIf
if GetWindowName( GetRealWindow (CurHwnd)) == Name_Preferences then
let ID = GetControlID (CurHwnd)
if ID == ID_PrefFeature || ID == ID_MenuCategory  then
return
endif
endif
let Value = GetCurrentListViewItemName ()
if Value then
Say( Value, OT_SELECTED_ITEM)
return
endif
SayObjectActiveItem()
EndFunction

int function MenuInactiveProcessed(int mode, int PrevMenuMode)
;SayString ("menu inactived processed")
;selected score items must be described when returning to the score from menus
If mode != MENU_INACTIVE then
	return false
EndIf
If PrevMenuMode == MENUBAR_ACTIVE then
	SayFormattedMessage (OT_CONTROL_TYPE, cmsg48_L, cmsg48_S) ;"leaving menu bar"
if GetWindowClass( GetFocus()) == cWcMDIChild then
SayOpenScore()
endif
else
	SayFormattedMessage (OT_CONTROL_TYPE, cmsg48_S) ;"Leaving menus"
endIf
return true
EndFunction

String Function GetCurrentListViewItemName ()
;SayString("get current list view")
var
	handle hWnd,
int Index,
int ID,
string sRealName,
string msg
let hWnd = GetFocus()
let Index = GetCurrentItem (hWnd)
let sRealName = GetWindowName( GetRealWindow( hWnd))
let ID = GetControlID (hwnd)
If sRealName == Name_Lines then
	if ID == ID_StaffLines then
	return StringSegment( MsgStaffLinesList, delimiter, Index)
	else
	return StringSegment( MsgSystemLinesList, delimiter, Index)
	endif
elif sRealName == Name_Find || sRealName == Name_Filter then
	if ID == ID_FindDLGStaffLines then
	return StringSegment( MsgStaffLinesListFind, delimiter, Index)
	elif ID == ID_FindDLGSystemLines then
	return StringSegment( MsgSystemLinesListFind, delimiter, Index)
endif
elif sRealName == Name_Preferences &&
ID == ID_PrefFeature then
;speak the keystroke with the selected feature
let msg = GetWindowText (GetNextWindow (hwnd), False)
	if !msg then
	let msg = MsgNoKeyStroke
	endif
return GetObjectValue () +space+ msg
elif sRealName == Name_KeySignature || sRealName  == Name_NewScore then
	If ID == ID_KeySignatureSharps || ID == ID_KeySignatureFlats ||
	ID == ID_NewScoreSharps || ID == ID_NewScoreFlats then
	return GetKeyFromList ()
	endif
elif sRealName == Name_Symbols && ID == ID_SymbolsList then
Return
elif sRealName == Name_Clef then
	return StringSegment( MsgClefs, delimiter, Index)
EndIf
;run default function
return GetCurrentListViewItemName ()
EndFunction

Void Function ValueChangedEvent (handle hwnd, int objId, int childId, int nObjType, string sObjName, string sObjValue, int bIsFocusObject)
;SayString("value changed")
if sObjName == "Dots per inch" &&
GetObjectSubTypeCode() == WT_EditCombo then
SayString( GetObjectValue())
endif
ValueChangedEvent (hwnd, objId, childId, nObjType, sObjName, sObjValue, bIsFocusObject)
EndFunction

Void Function TutorMessageEvent (handle hwndFocus, int nMenuMode)
;SayString("tutor message")
var
string sClass,
string sRealName,
int iID,
int iObjType
let iObjType = GetWindowTypeCode (hWndFocus)
let sClass = GetWindowClass (hwndFocus) 
let sRealName = GetWindowName (GetRealWindow (hwndFocus))
let iID = GetControlID (hwndFocus)
if sRealName == Name_StopPlugIn then
return False
endif
if sRealName == "Message" &&
GetWindowClass (GetRealWindow (hwndFocus)) == "#32770" then
Return False
EndIf
;When the score or client gains focus "Alt+W" is erroniously spoken.
	If sClass == cWcMDIClient ||
	sClass == cWcMDIChild then
	Return False
	EndIf
TutorMessageEvent (hwndFocus, nMenuMode)
EndFunction

Function GetHotKey (handle hWnd)
;modified to announce the hot keys imposed upon the score verbosity dialog
var
string RealName,
int ID
if hWnd == 0 then
let hWnd = GetFocus()
endif
let ID = GetControlID(hWnd)
;if GetWindowName (GetRealWindow(hWnd)) == Name_VerbosityDlg then
;return LookUpBetweenLists (ID_VerbosityControls, MsgVerbosityHotKeys, ID)
;else
return GetHotKey (hWnd)
;endif
EndFunction



String Function GetCustomTutorMessage ()
;SayString("get custome tutor")
;several controls need special tutor messages
var
handle hWnd,
int ID,
string sReal
let hWnd = GetFocus()
let ID = GetControlID( hWnd)
let sReal = GetWindowName( GetRealWindow( hWnd))
if sReal == Name_Symbols && ID == ID_SymbolsList then
return MsgSymbolsGridTutorMsg
elif sReal == Name_NewScore then
;The EditCombos all have children which get focus
;We need the ID of there parents to identify which box has focus
if ID == 1001 then
let ID = GetControlID( GetParent(hWnd))
endif
if ID == ID_NewScorePickUpEdit ||
ID == ID_NewScoreBeatLength then
return MsgNoteValueEditTutorMsg
endif
elif sReal == Name_TimeSignature &&
GetControlID (GetParent (hWnd)) == ID_TimeSigPickUpEdit then
return MsgNoteValueEditTutorMsg
elif sReal == Name_Find &&
ID == 1001 then
return MsgNoteValueEditTutorMsg
endif

;return false so that SayTutorAndMessage speaks all other controls
return cscNull
EndFunction

Void Function DialogPageChangedEvent (handle hwndNewPage, handle hwndOldPage)
var
handle hWnd,
handle hReal,
string sRealName,
string msg
let hReal = GetRealWindow (GetFocus())
let sRealName = GetWindowName (hReal)
;this needs to be suppressed in the preferences dialog because it interfeares with the main list view
if sRealName == Name_Preferences then
return
endif
DialogPageChangedEvent (hwndNewPage, hwndOldPage)
EndFunction

Script SetTypingEcho ()
SayFormattedMessage (OT_NO_DISABLE, FormatString (MsgTypingEchoInScore, TypingEcho(FALSE)))
let gSibTypingEcho = GetJCFOption (Opt_Typing_Echo)
EndScript

;--- help

Script ScreenSensitiveHelp ()
var
handle hWnd,
int ID,
string sClass,
int iType,
string sReal,
string msg
;show the help on a double tap
if (IsSameScript ()) then
Run (MsgQuote + gsHelpContents +MsgQuote)
	return
endIf
;help for the user buffer itself
If UserBufferIsActive () then
	UserBufferDeactivate ()
	UserBufferClear()
	SayFormattedMessage(OT_USER_BUFFER, cMsgScreenSensitiveHelpBuf)
	Return
EndIf
;control specific help
let hWnd = GetFocus()
let ID = GetControlID (hWnd)
let sClass = GetWindowClass(hWnd)
let sReal = GetWindowName (GetRealWindow (hWnd))
if sClass == cWcMDIClient then
SayFormattedMessage (OT_USER_BUFFER, MsgSSHClientWindow)
return
elif sClass == cWcMDIChild then
SayFormattedMessage (OT_USER_BUFFER, MsgSSHScore)
return 
elif sReal == Name_NewScore then
let ID = GetControlID (GetParent (hWnd))
if ID == ID_NewScorePickUpEdit then
SayFormattedMessage (OT_USER_BUFFER, MsgSSHPickUpEdit)
return
elif ID == ID_NewScoreBeatLength then
SayFormattedMessage (OT_USER_BUFFER, MsgSSHNoteLengthEdit)
return
endif
elif sReal == Name_Find &&
ID == ID_FindDLGEditCombo then
SayFormattedMessage (OT_USER_BUFFER, MsgSSHNoteLengthEdit)
return
elif sReal == Name_TimeSignature then
let ID = GetControlID (GetParent (hWnd))
if ID == ID_TimeSigPickUpEdit then
SayFormattedMessage (OT_USER_BUFFER, MsgSSHNoteLengthEdit)
return
endif
endif
PerformScript ScreenSensitiveHelp()
EndScript

	Void Function GeneralJawsHotKeys ()
If UserBufferIsActive () then
UserBufferClear()
	UserBufferDeactivate ()
EndIf
SayFormattedMessage (OT_USER_BUFFER, MsgKeystrokes)
EndFunction

;--- Edit text items

Function SayEnteringTextBox ()
var
string sZoom
ConfigurePropertiesWindow ("110000")
Pause()
SayFormattedMessage (OT_NO_DISABLE, FormatString (MsgEditTextItem, GetTextType ()))
PerformScript SayZoomLevel()
EndFunction


String Function GetFont ()
var
handle hWnd,
string Font,
int Attrib
let hWnd = GetFocus()
if GetWindowClass (hWnd) != cwcEditTextItem &&
GetControlID(hWnd) != ID_EditTextItem then
return GetFont()
endif
if 1 == 1 then
return GetFont()
endif	
TypeKey (cksRightArrow)
let hWnd = FindDescendantWindow (ghPropertiesWindow, ID_TextBold)
if GetObjectStateByWindow (hWnd) == Ctrl_Checked then
let Font = cmsg139_L +space;bold
endif
let hWnd = FindDescendantWindow (ghPropertiesWindow, ID_TextItalic)
if GetObjectStateByWindow (hWnd) == Ctrl_Checked then
let Font = Font +space+ cmsg140_L +space; italic
endif
let hWnd = FindDescendantWindow (ghPropertiesWindow, ID_TextUnderline)
if GetObjectStateByWindow (hWnd) == Ctrl_Checked then
let Font = Font +space+ cmsg141_L +space; underline
endif
let Font = Font + GetWindowText ( FindDescendantWindow (ghPropertiesWindow, ID_TextFont), False) + Space
let Font = Font + GetWindowText ( FindDescendantWindow (ghPropertiesWindow, ID_TextSize) , False)
TypeKey(cksLeftArrow)
return Font
EndFunction

Script EditTextSize ()
SetFocus (FindDescendantWindow (ghPropertiesWindow, ID_TextSize))
EndScript



















Void Function SayOpenScore ()
var
handle hWnd,
string sName,
string Msg
if GetRealWindow( GetFocus()) == GlobalPrevReal then
;The focus has briefly shifted between two windows but no dialogs are closing so no announcements are needed.
return
endif
;The score sometimes gets focus briefly before progress bars appear when loading new instruments.
;The delay is essential because the tool windows may not have been displayed yet.
Delay(5)
let hWnd = GetFocus()
let sName = GetWindowName(hWnd)
if GetWindowClass(hWnd) != cWcMDIChild ||
gInMixerMode then
return
endif
let gsPrevScore = sName
;Announce the score.
let Msg = sName + period +space+space+ GetZoomLevel()
SayMessage (OT_NO_DISABLE, Msg)
if !giFixingToolWindows then
AreToolWindowsMissing()
GetExpectedCoordinatesOfToolWindows()
CheckToolWindows()
endif
EndFunction

Void Function SayNoScoresOpen ()
If GetWindowClass (GetFocus ()) != "MDIClient" then 
return False
endif
;Sibelius takes a while to start up
;The last window to be created and focused is the client window
;The auto start message is better spoken after this has happened
if !DoneFirstTimeMessage then
SayFormattedMessage (OT_APP_START, MsgSibAccessLoaded)
let DoneFirstTimeMessage = True
endif
;no documents are open
let gsPrevScore = cscNull
Say (MsgNoScoresOpen, OT_NO_DISABLE)
;Trying to run without the plug-in and its related ini files can be disastrous so check before a score is opened
;if the warning dialog is closing do not check the plug-in again or a loop is instigated
if giErrorDLGClosing then
let giErrorDLGClosing = false
else
ScheduleFunction("IsPlugInInstalled",10)
endif
GetIniFilePaths ()
EndFunction



;--- dialogs

Script AltC ()
; for cancel buttons in plug-in editor
var
handle hReal,
string RealName
let hReal = GetRealWindow (GetFocus())
let RealName = GetWindowName (hReal)
if RealName == Name_PlgMethod then
ActControlInDLG( ID_PlgMethodCancel)
Return
elif RealName == Name_PlgTrace then
ActControlInDLG( ID_PlgTraceClose)
TypeKey("Space")
return
elif RealName == Name_PlgData then
ActControlInDLG( ID_PlgDataCancel)
return
elif GetWindowName( GetAppMainWindow( GetFocus())) == "Edit Plug-ins" then
ActControlInDLG( ID_PlgEditorCancel)
return
EndIf
PerformKeyStroke ()
EndScript

Script AltE ()
;for edit buttons in plug-in editors
var
string RealName
let RealName = GetWindowName( GetRealWindow( GetFocus()))
if RealName == Name_PlgMethod then
ActControlInDLG( ID_PlgMethodEdit)
elif RealName == Name_PlgData then
ActControlInDLG( ID_PlgDataEdit)
else
PerformKeyStroke ()
endif
EndScript





Script AltH ()
;for check syntax button in plug-in editor
var
string sRealName
let sRealName = GetWindowName( GetRealWindow( GetFocus()))
If sRealName == Name_PlgMethod then
ActControlInDLG( ID_PlgMethodSyntax )
Return
EndIf
PerformKeyStroke ()
EndScript

Script AltN ()
;for name field in plug-in editor
var
string sRealName
let sRealName = GetWindowName( GetRealWindow( GetFocus()))
if sRealName == Name_PlgMethod then
ActControlInDLG( ID_PlgMethodName)
return
endif
PerformKeyStroke ()
EndScript

Script AltO ()
;for the OK button in plug-in editor
var
string RealName
let RealName = GetWindowName( GetRealWindow( GetFocus()))
if RealName == Name_PlgMethod then
ActControlInDLG( ID_PlgMethodOK)
elif RealName == Name_PlgData then
ActControlInDLG( ID_PlgDataOK)
elif StringContains( GetWindowText( GetRealWindow( GetFocus()), False), "Methods: Dialogs:") then
ActControlInDLG( ID_PlgMethodOK)
else
PerformKeyStroke ()
endif
EndScript

Script AltP ()
; for the parameters field in the plug-in editor
var
string RealName
let RealName = GetWindowName( GetRealWindow( GetFocus()))
if RealName == Name_PlgMethod then
ActControlInDLG( ID_PlgMethodParam )
else
PerformKeyStroke ()
endif
EndScript








Int Function SayControlInFindDLG ()
var
int ID,
string Name,
handle hWnd,
string Value
let hWnd = GetFocus()
let ID = GetControlID( hWnd)
;The child of the EditCombo gets focus and its ID is not unique
;The parent does have a unique ID so get this instead
if ID == ID_FindDLGEditCombo then
let ID = GetControlID( GetParent( hWnd))
endif
let Name = LookUpBetweenLists (ID_FindDLGFixedControls, MsgFindDLGFixedControls, ID)
if not Name then
let Name = LookUpBetweenLists (ID_FindDLGNoteControls, MsgFindDLGNoteControls, ID)
endif
if not Name then
let Name = LookUpBetweenLists (ID_FindDLGRestControls, MsgFindDLGRestControls, ID)
endif
if not Name then
let Name = LookUpBetweenLists (ID_FindDLGTextControls, MsgFindDLGTextControls, ID)
endif
if not Name then
let Name = LookUpBetweenLists (ID_FindDLGLineControls, MsgFindDLGLineControls, ID)
endif
if not Name then
let Name = GetObjectName()
endif
if ID == ID_FindDLGStaffLines || ID == ID_FindDLGSystemLines then
let Value = GetCurrentListViewItemName ()
else
let Value = GetObjectValue()
endif
SaySibDLGControl (Name, GetObjectType(), Value, GetObjectState(), PositionInGroup())
return True
EndFunction

Int Function SayControlInKeySigDLG ()
var
int iControlID,
string Value
let iControlID = GetControlID (GetFocus ())
If iControlID == ID_KeySignatureSharps then
let Value = GetObjectState (1,0) +space+ GetKeyFromList()
SaySibDLGControl (MsgSharpKeys, GetObjectType(), Value, GetObjectState(), PositionInGroup())
Return True
Elif iControlID == ID_KeySignatureFlats then
let Value = GetObjectState(1,0) +space+ GetKeyFromList()
SaySibDLGControl (MsgFlatKeys, GetObjectType(), Value, GetObjectState (), PositionInGroup())
Return True
EndIf
return False
EndFunction

String Function GetKeyFromList ()
var
handle hWnd,
Object O,
Object NullObj,
handle hReal,
int ID,
int Index,
int Major,
int Minor,
int Flat,
int Sharp
Pause ()
let hWnd = GetFocus()
let ID = GetControlID (hWnd)
let Index = GetCurrentItem (hWnd)
let hReal = GetRealWindow( hWnd)
;find the major keys radio button
if GetWindowName(hReal) == Name_NewScore then
let hWnd = FindDescendantWindow( hReal, ID_NewScoreKeySigMajor)
Else 
let hWnd = FindDescendantWindow( hReal, ID_KeySigMajor)
EndIf
;if this button is checked then the lists are showing major keys
let O = GetObjectFromEvent (hWnd, MSAAClient, 0, 0) ; get the first MSAA object in the window
if O.accState == MSAA_Checked then
let Major = True
else
let Minor = True
endif
let O = NullObj
If ID == ID_NewScoreSharps || ID == ID_KeySignatureSharps then
let Sharp = True
else
let Flat = True
endif
if Major && Sharp then
return StringSegment( MsgMajorSharpKeys, delimiter, Index)
elif Major && Flat then
return StringSegment( MsgMajorFlatKeys, delimiter, Index)
elif Minor && Sharp then
return StringSegment( MsgMinorSharpKeys, delimiter, Index)
elif Minor && Flat then
return StringSegment( MsgMinorFlatKeys, delimiter, Index)
EndIf
EndFunction

Int Function SayControlInLineDLG ()
var
handle hWnd,
int ID,
int Index,
string sVal
let hWnd = GetFocus()
let ID = GetControlID( hWnd)
if ID == ID_StaffLines then
let Index = GetCurrentItem (hWnd)
let sVal = StringSegment (MsgStaffLinesList, delimiter, Index)
SaySibDLGControl (MsgStaffLines, GetObjectType(), sVal, cscNull, PositionInGroup())
return True
elif ID == ID_SystemLines then
let Index = GetCurrentItem (hWnd)
let sVal = StringSegment (MsgSystemLinesList, "|", Index)
SaySibDLGControl (MsgSystemLines, GetObjectType(), sVal, cscNull, PositionInGroup())
return True
else
return False
endif
EndFunction

Int Function SayControlInNewScoreDLG ()
Var
handle hWnd,
int ID,
int Index,
string sName,
string Value
;The page change in the new score dialog is not detected properly
;code in NewTextEvent is also needed to make this work
let hWnd = GetFocus()let sName = GetWindowName (FindDescendantWindow (GetRealWindow(hWnd), ID_NewScorePageName))
if sName != gsPrevNewScoreDialogPage then
Say( FormatString( MsgDialogPageChange, sName), OT_LINE)
endif
let gsPrevNewScoreDialogPage = sName
let ID = GetControlID (hWnd)
;The lists of key signatures need special handling.
If ID == ID_NewScoreSharps then
SaySibDLGControl (MsgSharpKeys, GetObjectType(), GetKeyFromList(), cscNull, PositionInGroup())
Return True
Elif ID == ID_NewScoreFlats then
SaySibDLGControl (MsgFlatKeys, GetObjectType(), GetKeyFromList(), cscNull, PositionInGroup())
Return True
Endif
;Announcements for unnamed time signature controls
;In the EditCombos the child window gets focus.  These always have the same ID
;The parents of these windows identify them properly
If ID == 1001 then
let ID = GetControlID (GetParent (hWnd))
EndIf
;use the look up function to retrieve the correct name
let sName = LookUpBetweenLists (ID_NewScoreTimeSignatureControls, MsgNewScoreTimeSignatureControls, Id)
if ID == ID_NewScorePickUpEdit ||
ID == ID_NewScoreBeatLength then
let Value = FormatTextInDurationEditBoxes (GetWindowText(hWnd,False))
else
let Value = GetObjectValue()
endif
if sName then
SaySibDLGControl (sName, GetObjectType(), Value, GetObjectState(), PositionInGroup())
return True
EndIf
return False
EndFunction

Int Function SayControlInTimeSigDLG ()
var
handle hWnd,
int ID,
int ParentID,
string sName
let hWnd = GetFocus()
let ID = GetControlID (hWnd)
;There are two edit combos which do not speak properly
;The edit fields have the same ID so they have to be identified by their parents
if ID == ID_TimeSigEditCombo then
let ID = GetControlID (GetParent (hWnd))
endif
let sName = LookUpBetweenLists (ID_TimeSignatureControls, MsgTimeSignatureControls, ID)
if sName then
;this control needs special handling so speak the control
SaySibDLGControl (sName, GetObjectType(), cscNull, GetObjectState(), PositionInGroup())
return True
Else
return False
EndIf
EndFunction


Int Function SayControlInPropertiesWindow ()
var
handle hWnd,
handle hParent,
string Name,
string Class,
int ID,
string Type,
string Value,
string State,
string ListOfIDs,
string ListOfNames
let hWnd = GetFocus()
let Name = GetWindowName(hWnd)
let Class = GetWindowClass(hWnd)
if Class == cWcPropertiesPainButton  then
let hWnd = GetPriorWindow(hWnd)
if IsWindowVisible(hWnd) then
SayFormattedMessage (OT_NO_DISABLE, FormatString (MsgPropertiesPainButtonPressed, Name))
return True
else
SayFormattedMessage (OT_NO_DISABLE, FormatString (MsgPropertiesPainButtonNotPressed, Name))
return True
endif
endif
let ID = GetControlID(hWnd)
let hParent = GetParent(hWnd)
if ID == 1000 then;ID_PropertiesEdit then
let ID = GetControlID(hParent)
endif
let ListOfIDs =
ID_PropertiesGeneralControls +delimiter+
ID_PropertiesTextControls +delimiter+
ID_PropertiesPlaybackControls +delimiter+
ID_PropertiesLinesControls +delimiter+
ID_PropertiesNotesControls
let ListOfNames =
MsgPropertiesGeneralControls +delimiter+
MsgPropertiesTextControls +delimiter+
MsgPropertiesPlaybackControls +delimiter+
MsgPropertiesLinesControls +delimiter+
MsgPropertiesNotesControls
let Name = LookUpBetweenLists (ListOfIDs, ListOfNames, ID)
if Class == cwc_ComboLBox then
let Value = GetWindowText (hParent, False)
let Type = cMsg265_L
let State = cscNull
else
let Value = GetObjectValue ()
let Type = GetObjectType()
let State = GetObjectState()
endif
if Name == cscNull then
SayFocusedWindow()
else
SaySibDLGControl (Name, Type, Value, State, PositionInGroup())
endif
EndFunction


Void Function DoFindDLGNavigation (int Direction)
;there is something very wrong with the tab order here
; the dialog has four pages but the page which is showing when the dialog first opens occurs twice in the window structure
;This means that tabbing will take you round controls which are either duplicated or which are not even visible on screen.
;the only option is to force the tab order through JAWS
var
handle hWnd,
handle hPage,
handle hReal,
int ID,
string View
let hWnd = GetFocus()
let ID = GetControlID (hWnd)
; In edit combos the edit window has focus. This is not unique so get the parent window that contains it.
if ID == ID_FindDLGEditCombo then
let ID = GetControlID (GetParent (hWnd))
endif
let hReal = GetTopLevelWindow (hWnd)
; Get the window containing the correct controls
let hPage = GetLastWindow (GetFirstChild (hReal))
if !IsWindowVisible (hPage) then
let hPage = GetPriorWindow (hPage)
endif
if !IsWindowVisible (hPage) then
let hPage = GetPriorWindow (hPage)
endif
if !IsWindowVisible (hPage) then
let hPage = GetPriorWindow (hPage)
endif
if Direction == UnitMove_Next then
if ID == ID_FindDLGFindButton then
SetFocus (GetNextControl (GetFirstChild (hPage)))
return
endif
if ID >= ID_FindDLGFirstArticulation && ID <= ID_FindDLGLastArticulation &&
GetSubTypeCode (hWnd) == WT_CheckBox then
SetFocus (GetNextControl (FindDescendantWindow (hPage, ID_FindDLGLastArticulation)))
return
endif
endif
if Direction == UnitMove_Prior then
if ID == ID_FindDLGAllLines || ID == ID_FindDLGNoteHeads ||
ID == ID_FindDLGRestsButton || ID == ID_FindDLGTextContaining then
SetFocus (FindDescendantWindow (hReal, ID_FindDLGFindButton))
return
endif
if ID == ID_FindDLGAnyArticulation || ID == ID_FindDLGAllArticulations then
SetFocus (FindDescendantWindow (hReal, ID_FindDLGFirstArticulation))
return
endif
endif
;pass the tab key and let Sibelius do the navigation
TypeCurrentScriptKey ()
EndFunction

Int Function StopNewScoreNavigation (int Direction)
var
int ID,
int ParentID
let ID = GetControlID (GetFocus ())
;restrict navigation with arrows to the current group of radio buttons only
if (ID == ID_NewScoreMinorKeys || ID == ID_NewScoreOther) &&
Direction == UnitMove_Next  then
Beep()
return True
EndIf
If (ID == ID_NewScoreMajorKeys || ID == ID_NewScoreTwoTwo) &&
Direction == UnitMove_Prior then
Beep()
Return True
EndIf
return False
EndFunction


Globals
int iMoveStaveFrom,
int iMoveStaveTo,
int iStavesInScore,
string sStaveToMove



Function DoInstrumentsAndStavesNavigation (string KeyPress)
var
int iCurrentPosition,
int iStavesInScore,
string Position,
string sBelow
If KeyPress == "DownArrow" || KeyPress == "UpArrow" then
TypeCurrentScriptKey ()
Pause ()
SayLine ()
Return
EndIf
If KeyPress == "MoveDown" then
GetPositionInGroup (iCurrentPosition, iStavesInScore)
;Check to see if already bottom stave in list
If iCurrentPosition == iStavesInScore then
Beep ()
SayString ("Already Bottom Stave")
Return
EndIf
TypeKey ("Alt+O")
Pause ()
RouteInvisibleToPc ()
InvisibleCursor ()
SetRestriction (RestrictWindow)
FindFirstAttribute (ATTRIB_HIGHLIGHT, TRUE)
PriorLine ()
SayString ("Now below" + GetStaveNameFromDialogList ())
PCCursor ()
Return
EndIf
If KeyPress == "MoveUp" then
;Check to see if already top stave.
GetPositionInGroup (iCurrentPosition, iStavesInScore)
If iCurrentPosition == 1 then
Beep ()
SayString ("Already Top Stave")
Else
TypeKey ("Alt+U")
Pause ()
Pause ()
;Pause ()
SayString ("Now above" + GetStaveBelowFromListFast ())
;PerformScript FieldTest()
PCCursor ()
EndIf
EndIf
;PCCursor ()
EndFunction

String Function GetStaveBelowFromListFast ()
RouteInvisibleToPc ()
InvisibleCursor ()
SetRestriction (RestrictWindow)
JawsHome ()
JawsPageDown ()
If GetCharacterAttributes () & ATTRIB_HIGHLIGHT then
JawsEnd ()
RouteJAWSToInvisible ()
JAWSCursor ()
LeftMouseButton ()
Pause ()
EndIf
InvisibleCursor ()
FindLastAttribute (ATTRIB_HIGHLIGHT, TRUE)
NextLine ()
Return GetStaveNameFromDialogList ()
EndFunction

String Function GetStaveBelowFromList ()
var
string sCurrentItem
Pause ()
;Store current item for comparison.
let sCurrentItem = GetLine ()
;Now read bottom line of window.
RouteInvisibleToPc ()
InvisibleCursor ()
SetRestriction (RestrictWindow)
JawsPageDown ()
;See if the current item is at the bottom of the window.
If StringContains (GetLine (), sCurrentItem) then
;The stave below is out of sight so click the scroll down button.
JawsEnd ()
RouteJAWSToInvisible ()
JAWSCursor ()
LeftMouseButton ()
Pause ()
EndIf
;Now move to line below selected item.
RouteInvisibleToPc ()
InvisibleCursor ()
NextLine ()
;GetStaveNameFromDialogList retrieves the text and cleans it up.
Return GetStaveNameFromDialogList ()
EndFunction

String Function GetStaveNameFromDialogList ()
;Instruments and Staves Dialog
;Returns the name of the stave in the Staves in Score List after removing unwanted text.
var
string sReturnString
let sReturnString = GetLine ()
If StringContains (sReturnString, "scroll") then
let sReturnString = StringChopRight (sReturnString, 20)
EndIf
let sReturnString = StringTrimTrailingBlanks (sReturnString)
Return sReturnString
EndFunction

Function MoveStaveInList (string Direction)
var
int iLinesToMove,
int iCurrentPosition,
int iCounter,
int iBreak,
string sMessage,
string FirstKeyPress,
string SecondKeyPress
GetPositionInGroup (iMoveStaveTo, iStavesInScore)
If iMoveStaveTo > iMoveStaveFrom then
let FirstKeyPress = "UpArrow"
let SecondKeyPress = "Alt+O"
let iLinesToMove = iMoveStaveTo - iMoveStaveFrom
Else
let FirstKeyPress = "DownArrow"
let SecondKeyPress = "Alt+U"
let iLinesToMove = iMoveStaveFrom - iMoveStaveTo
let iMoveStaveTo = iMoveStaveTo+1
EndIf
let iCounter = 1
While iCounter <= iLinesToMove
TypeKey (FirstKeyPress)
let iCounter = iCounter + 1
EndWhile
Delay (3)
let sStaveToMove = GetStaveNameFromDialogList ()
SayString ("Moveing " + sStaveToMove + ". Please Waite")
let iCounter = 0
let iBreak = FALSE
While !iBreak
TypeKey (SecondKeyPress)
Pause ()
GetPositionInGroup (iCurrentPosition, iStavesInScore)
let iCounter = iCounter + 1
If iCurrentPosition == iMoveStaveTo ||
iCounter > 100 then
let iBreak = TRUE
EndIf
EndWhile
SayLine ()
InvisibleCursor ()
SetRestriction (RestrictWindow)
RouteInvisibleToPc ()
PriorLine ()
let sMessage = GetLine ()
GetPositionInGroup (iCurrentPosition, iStavesInScore)
let sMessage = "Now Below " + sMessage + ". stave " + IntToString (iCurrentPosition)
SayString (sMessage)
PCCursor ()
EndFunction

Int Function GetPositionInGroup (int ByRef iPosition, int ByRef iGroupSize)
;Returns by reference the position of the item in the gruop and the group size.
;This is an alternative  for PositionInGroup.
;Use when GetCurrentItem and GetItemCpount fail.
var
int Index,
string sTempString
let sTempString = PositionInGroup ()
let Index = StringContains (sTempString, " of ")
let iPosition = StringToInt (StringLeft (sTempString, Index-1))
let iGroupSize = StringToInt (stringChopLeft (sTempString, Index+3))
EndFunction

Int Function DoTimeSigNavigation (string KeyPress)
;This tidies up the use of arrow keys in the time signature dialog
;not doing this can cause confusion when edit boxes get focus from an arrow key press
var
int ID,
int ParentID
let ID = GetControlID (GetFocus ())
let ParentID = GetControlID (GetParent (GetFocus ()))
;The arrow keys let the focus shift from a checkbox or button to an edit field
if ID == ID_TimeSigOK ||
ID == ID_TimeSigCancel ||
ID == ID_TimeSigGroups ||
ID == ID_TimeSigRewrite ||
ID == ID_TimeSigCautionary ||
ID == ID_PickUpCheckBox then
Return True
EndIf
;The arrow keys allow focus to move away from the time signature radio buttons
if ID == ID_TimeSigOther &&
(KeyPress == "Down" || KeyPress == "Right") then
Return True
EndIf
if ID == ID_NewScoreTwoTwo &&
(KeyPress == "Up" || KeyPress == "Left") then
Return True
EndIf
return False
EndFunction


Void Function GoToPropertiesPain (int Direction)
var
handle hWnd
let hWnd = GetFocus()
if GetWindowClass (hWnd) != cwcPropertiesPainButton then
let hWnd = GetNextWindow (GetParentWindow(hWnd))
endif
if Direction == UnitMove_Next then
let hWnd = GetNextWindow( GetNextWindow( GetNextWindow(hWnd)))
if !hWnd then
let hWnd = GetNextWindow( GetFirstChild (ghPropertiesWindow))
endif
SetFocus(hWnd)
endif
if Direction == UnitMove_Prior then
let hWnd = GetPriorWindow( GetPriorWindow( GetPriorWindow(hWnd)))
if !hWnd then
let hWnd = GetPriorWindow( GetLastWindow( GetFirstChild(ghPropertiesWindow)))
endif
SetFocus(hWnd)
endif
EndFunction


Function DoPropertiesWindowNavigation (int Direction)
var
handle hWnd,
handle hTemp,
string Class
let hWnd = GetFocus()
let Class = GetWindowClass(hWnd)
;If one of the buttons for opening and closing pannels is selected
;check that the pannel is actually open
;if it is not then speak the control and take no action
if GetWindowClass(hWnd) == cwcPropertiesPainButton &&
!IsWindowVisible (GetPriorWindow(hWnd)) then
SayControlInPropertiesWindow ()
return
endif
if GetControlID(hWnd) == ID_PropertiesEdit then
;This is the edit window inside a combo box
;We need the parent window which is at the same level as the other controls
let hWnd = GetParent(hWnd)
endif
let hTemp = hWnd
if Direction == UnitMove_Next then
let hWnd = GetNextEnabledPropertiesControl (hWnd)
elif Direction == UnitMove_Prior then
let hWnd = GetPriorEnabledPropertiesControl (hWnd)
endif
if GetWindowTypeCode(hWnd) == WT_ComboBox then
MoveToWindow(hWnd)
RoutePcToJAWS ()
PCCursor()
return
endif
if !hWnd then
if GetWindowClass(hTemp) == cwcPropertiesPainButton then
SayControlInPropertiesWindow ()
return
else
let hWnd = GetNextWindow(GetParent(hTemp))
endif
endif
SetFocus(hWnd)
EndFunction

HANDLE Function GetNextEnabledPropertiesControl (handle hWnd)
var
int TypeCode,
handle hStart
let hStart = hWnd
if GetWindowClass(hWnd) == cwcPropertiesPainButton then
let hWnd = GetFirstChild(GetPriorWindow(hWnd))
else
let hWnd = GetNextWindow(hWnd)
endif
while hWnd
let TypeCode = GetWindowTypeCode(hWnd)
if !IsWindowDisabled(hWnd) &&
IsWindowVisible (hWnd) &&
TypeCode != WT_SPINBOX &&
TypeCode != WT_Static then
return hWnd
else
let hWnd = GetNextWindow(hWnd)
endif
endwhile
return 0
EndFunction

HANDLE Function GetPriorEnabledPropertiesControl (handle hWnd)
var
int TypeCode,
handle hParent
let hParent = GetParent(hWnd)
if GetWindowClass(hWnd) == cwcPropertiesPainButton then
let hWnd = GetLastWindow(GetFirstChild(GetPriorWindow(hWnd)))
else
let hWnd = GetPriorWindow (hWnd)
endif
while hWnd
let TypeCode = GetWindowTypeCode(hWnd)
if !IsWindowDisabled(hWnd) &&
IsWindowVisible(hWnd) &&
TypeCode != WT_SPINBOX &&
TypeCode != WT_Static then
return hWnd
else
let hWnd = GetPriorWindow (hWnd)
endif
endwhile
return 0
EndFunction



;--- color dialog
; this may be replaced by a plugin since the solution is very graphical

Globals
int giColorX,
int giColorY
Const
S_StandardColorsX="3|28|53|78|103|128|153|178",
S_StandardColorsY="3|25|47|69|91|113"

Function DoColorNavigation ()
var
int Id
let Id = GetControlID (GetFocus())
if Id == ID_ColorRed || ID == ID_ColorGreen || ID == ID_ColorBlue then
ColorIncrease ()
elif ID == ID_StandardColors then
MoveToColor ()
endif
EndFunction

Void Function SayColorSelection ()
var
string sRGB,
string sRed,
string sGreen,
string sBlue,
int iColor,
handle hParent
let hParent = GetParent( GetFocus())
let sRed = " " + FormatColorString( GetWindowText (FindDescendantWindow (hParent, 706), false))
let sGreen = FormatColorString( GetWindowText (FindDescendantWindow (hParent, 707), false))
let sBlue = FormatColorString( GetWindowText (FindDescendantWindow (hParent, 708), false))
let sRGB = sRed + sGreen + sBlue
let sRGB= StringChopLeft( sRGB, 1)
let iColor = RGBStringToColor (sRGB)
SayString (GetColorName( iColor))
EndFunction

String Function FormatColorString (string sColor)
if StringLength( sColor)==1 then
let sColor = "xx" + sColor
elif StringLength( sColor)==2 then
let sColor = "x" + sColor
endif
let sColor = StringReplaceChars (sColor, "x", "0")
return sColor
EndFunction


Function ColorIncrease ()
var
string sScript,
string sColor
let sColor = GetWindowText( GetFocus(), false)
let sScript = GetScriptAssignedTo (GetCurrentScriptKeyName ())
if sScript == "SayNextLine" then
if StringToInt( sColor) < 10 then
let sColor = "0"
else
let sColor = sColor - "10"
endif
elif sScript == "SayPriorLine" then
if StringToInt( sColor) > 245 then
let sColor = "255"
else
let sColor = sColor + "10"
endif
endif
TypeString (sColor)
Pause()
SayString (GetWindowText(GetFocus(), false))
SayColorSelection ()
EndFunction

Void Function MoveToColor ()
var
string sScript,
int iX,
int iY
let sScript = GetScriptAssignedTo (GetCurrentScriptKeyName ())
if sScript == "SayNextCharacter" then
if giColorX < 8 then
let giColorX = giColorX + 1
else
Beep()
endif
elif sScript == "SayPriorCharacter" then
if giColorX >1 then
let giColorX = giColorX - 1
else
Beep()
endif
elif sScript == "SayPriorLine" then
if giColorY > 1 then
let giColorY = giColorY - 1
else
Beep ()
endif
elif sScript == "SayNextLine" then
if giColorY < 6 then
let giColorY = giColorY + 1
else
Beep()
endif
endif
let iX = GetWindowLeft (GetFocus()) + StringSegment (S_StandardColorsX, delimiter, giColorX) + 8
let iY = GetWindowTop (GetFocus()) + StringSegment (S_StandardColorsY, delimiter, giColorY) + 6
JawsCursor()
MoveTo( iX, iY)
LeftMouseButton()
PCCursor()
Pause ()
SayColorSelection()
EndFunction




;--- changing between scores

Script NextDocumentWindow ()
var
handle hWnd,
handle hTop,
string Class
If UserBufferIsActive () then
	UserBufferDeActivate ()
EndIf
let hWnd = GetFocus()
let hTop = GetTopLevelWindow(hWnd)
if hTop == ghPropertiesWindow then
GoToPropertiesPain (UnitMove_Next)
return
endif
TypeKey (cksControlTab)
let Class = GetWindowClass(hWnd)
if Class == cWcMDIChild ||
Class == cWcTabControl Then
Delay(2)
SayFocusedObject ()
endif
EndScript

Script PreviousDocumentWindow ()
var
handle hWnd,
handle hTop,
string Class
If UserBufferIsActive () then
	UserBufferDeActivate ()
EndIf
let hWnd = GetFocus()
let hTop = GetTopLevelWindow(hWnd)
if hTop == ghPropertiesWindow then
GoToPropertiesPain (UnitMove_Prior)
return
endif
TypeKey( cksControlShiftTab)
let Class = GetWindowClass(hWnd)
if Class == cWcMDIChild ||
Class == cWcTabControl Then
Delay(2)
SayFocusedObject ()
endif
EndScript


Script NextPart ()
if UserBufferIsActive() then
UserBufferDeactivate()
endif
TypeCurrentScriptKey ()
Pause()
SayString( GetWindowName (GetFocus()))
EndScript


Script PriorPart ()
if UserBufferIsActive() then
UserBufferDeactivate()
endif
TypeCurrentScriptKey ()
Delay(5)
SayFocusedObject ()
EndScript


Script FullScoreOrPart ()
if UserBufferIsActive() then
return
endif
if InScore() then
TypeKey (GetScriptKeyName ("FullScoreOrPart"))
Delay(5)
SayString(GetWindowName(GetFocus()))
;SayFocusedWindow ()
return
endif
TypeKey (GetScriptKeyName ("FullScoreOrPart"))
SayCurrentScriptKeyLabel ()
EndScript



;--- tool windows


Script NextToolWindow ()
GiveToolWindowFocus (UnitMove_Next)
EndScript


Script PriorToolWindow ()
GiveToolWindowFocus (UnitMove_Prior)
EndScript


Script GoToScore ()
GoToScore()
EndScript

Script OpenAndCloseNavigator ()
ToggleToolWindow (Name_Navigator)
EndScript

Script OpenAndCloseKeypad ()
ToggleToolWindow (Name_Keypad)
EndScript

Script OpenAndClosePlayback ()
ToggleToolWindow (Name_Playback)
EndScript

Script OpenAndCloseMixer ()
ToggleToolWindow (Name_Mixer)
;ActivateMixerMode ()
EndScript

Script OpenAndCloseParts ()
ToggleToolWindow (Name_Parts)
if IsWindowVisible(ghPartsWindow) then
SetFocus(GetFirstChild( ghPartsWindow))
endif
EndScript

Script OpenAndCloseVideo ()
ToggleToolWindow (Name_Video)
EndScript

Script OpenAndCloseProperties ()
ToggleToolWindow (Name_Properties)
EndScript


Script FixToolWindows ()
FixToolWindows()
EndScript



;--- access menu

String Function BuildAccessOptionsList ()
;builds the list of options for the access menu
;the options are defined separately to enable the list to be reorganised
var
string PlugInOption,
string KeyboardOption,
string ToggleOption
if gKeyboardLayout == ciLapTopLayout then
let KeyboardOption = MsgAccOptLaptop
else
let KeyboardOption = MsgAccOptDesktop
endif
if gDoNotUsePlugIn then
let PlugInOption = MsgAccOptPlugInOff
else
let PlugInOption = MsgAccOptPlugInOn
endif
if giAutomaticallyToggleToolWindows then
let ToggleOption = MsgAccOptManualToggle
else
let ToggleOption = MsgAccOptAutoToggle
endif
return
MsgAccOptGuide +delimiter+
MsgAccOptSystemObjects +delimiter+
MsgAccOptScoreSummary +delimiter+
MsgAccOptScoreLayout +delimiter+
MsgAccOptInstrumentNames +delimiter+
MsgAccOptVerbosity +delimiter+
PlugInOption +delimiter+
KeyboardOption +delimiter+
MsgAccOptRegistration +delimiter+
MsgAccOptFixWindows +delimiter+
ToggleOption +delimiter+
MsgAccOptMIDI +delimiter+
MsgAccOptResources +delimiter+
MsgAccOptTestPlug +delimiter+
MsgAccOptKPColors +delimiter+
MsgAccOptTraceToolWindows +delimiter+
MsgAccOptBugReport +delimiter+
MsgAccOptIni
EndFunction

Script SibeliusAccessMenu ()
var
int Index,
string List,
string Option
if InDLGEditor() then
DLGEditorOptions ()
return
endif
if GetWindowName( GetRealWindow( GetFocus())) == Name_Preferences &&
GetControlID(GetFocus()) == ID_InputDevices then
DoInputDevices ()
return
endif
let List = BuildAccessOptionsList()
let Index = DlgSelectItemInList (List, MsgSpecialFunctions, false, 1)
let Option = StringSegment (List, delimiter, Index)
if Option == MsgAccOptGuide then
SayFormattedMessage (OT_NO_DISABLE, gsHelpContents)
Run (MsgQuote + gsHelpContents +MsgQuote)
elif Option == MsgAccOptSystemObjects then
PerformScript SystemItemsDialog()
elif Option == MsgAccOptInstrumentNames then
DoPlugin("changestaffname");
elif Option == MsgAccOptVerbosity then
PerformScript ScoreVerbosityDialog()
elif Option == MsgAccOptRegistration then
GetSibeliusRegistration ()
elif Option == MsgAccOptFixWindows then
let giFixingToolWindows = True
FixToolWindows()
elif Option == MsgAccOptPlugInOff then
PerformScript PlugInMode()
elif Option == MsgAccOptPlugInOn then
PerformScript PlugInMode()
elif Option == MsgAccOptMIDI then
TestMidi ()
elif Option == MsgAccOptResources then
Run( MsgQuote+gsResources+MsgQuote)
elif Option == MsgAccOptBugReport then
BugReport ()
elif Option == MsgAccOptTraceToolWindows then
Run (MsgQuote + gsToolWindowTrace +MsgQuote)
elif Option == MsgAccOptTestPlug then
TestPlugIn()
elif Option == MsgAccOptIni then
Run (MsgQuote + gsSibeliusToJAWS +MsgQuote)
elif Option == MsgAccOptManualToggle then
let giAutomaticallyToggleToolWindows = False
elif Option == MsgAccOptAutoToggle then
let giAutomaticallyToggleToolWindows = True
elif Option == MsgAccOptLaptop then
let gKeyboardLayout = ciLaptopLayout
elif Option == MsgAccOptDesktop then
let gKeyboardLayout = ciDesktopLayout
elif Option == MsgAccOptKPColors then
GetKeypadColors ()
elif Option == MsgAccOptScoreSummary then
ShowScoreInfo ()
elif Option == MsgAccOptScoreLayout then
ShowScoreLayout ()
endif
EndScript

Void Function GetSibeliusRegistration ()
var
string sInfo,
string sRegistered,
string sSerial,
int iSerial,
string sVersion,
int iVersion,
string sBuild,
int iBuild,
string sKontakt,
int iKontakt
TypeKey ("Alt+H")
TypeKey ("a")
Pause()
RouteJawsToPC()
let sInfo = GetWindowText( GetCurrentWindow(), false)
RoutePcToJAWS ()
let iSerial = StringContains( sInfo, "Serial")
let iVersion = StringContains( sInfo, "Version")
let iBuild = StringContains( sInfo, "build")
let iKontakt = StringContains( sInfo, "Kontakt")
let sRegistered = StringLeft( sInfo, iSerial - 1)
let sSerial = SubString( sInfo, iSerial, iVersion - iSerial)
let sVersion = SubString( sInfo, iVersion, iBuild - iVersion)
let sBuild = SubString( sInfo, iBuild, iKontakt - iBuild)
let sKontakt = StringChopLeft( sInfo, iKontakt-1)
let sInfo = sRegistered+ "\r\n"+ 
sSerial +"\r\n"+
sVersion +"\r\n"+
sBuild +"\r\n"+
sKontakt
SayFormattedMessage( OT_USER_BUFFER, sInfo)
EndFunction

;--- Preferences - input devices
;The list of devices is a table
;to reach the other columns it is necessary to click the option
;Due to an unknown conflict, the name of the device disappears as soon as it is selected

Function DoInputDevices ()
;for the input devices page of the preferences dialog 
var
int Index
let Index = DlgSelectItemInList (MsgInputDevicesOptions, MsgSpecialFunctions, False, 1)
if Index == 1 then
ClickInInputDevices (pxDiactivateDevice)
elif Index == 2 then
ClickInInputDevices (pxDeviceType)
elif Index == 3 then
ClickInInputDevices (pxDeviceMap)
elif Index == 4 then
TestMidiPreferences()
endif
EndFunction

Void Function ClickInInputDevices (int iColumn)
var
int X, int Y,
handle hWnd
let hWnd = GetRealWindow( GetFocus())
let hWnd = FindDescendantWindow (hWnd, ID_InputDevices)
PCCursor()
SaveCursor()
;the Y coordinate can be obtained from the PCCursor
let Y = GetCursorRow ()
;the X coordinate passed is relative to the left edge of the list box
let X = GetWindowLeft (hWnd) + iColumn
JAWSCursor()
MoveTo(X,Y)
LeftMouseButton()
RestoreCursor()
;needs a reasonable pause
Delay(3)
SayLine()
EndFunction

Void Function TestMidiPreferences ()
let giTestingMidi = true
AddHook (HK_Script, csExitMidiTestHook)
ScheduleFunction( "ReportMidiActivityPreferences", 1)
EndFunction


Void Function ReportMidiActivityPreferences ()
;this function schedules itself, setting up a loop
;the loop is broken when the hook function is triggered
var
handle hWnd,
int X,
int Y
if !giTestingMidi then
;a key has been pressed so break
return
endif
let hWnd = GetNextWindow( GetFirstWindow (GetFocus()))
let X = GetWindowLeft( hWnd) + pxTestMidiPrefX
let Y = GetWindowTop( hWnd) + pxTestMidiPrefY
if GetColorAtPoint( X, Y) >0 then
Say (MsgMidiReceived, OT_NO_DISABLE)
endif
ScheduleFunction( "ReportMidiActivityPreferences", 3)
EndFunction

;--- bug report

Void Function BugReport ()
var
handle hTaskBar,
string sLine,
string sPath,
string sSec
let sPath = GetUserSettingsDirectory () + "\\Bug report for Sibelius Access.txt"
WipeIniFile(sPath)
let sSec = "General"
let sLine = FormatString (cmsgGetSysTime, SysGetTime ()) +space+
FormatString (cmsgGetSysDate, SysGetDate ())
IniWriteString (sSec, "Time", sLine, sPath)
DoPlugIn ("Version")
let sLine = GetDataFromIni ("Say")
IniWriteString (sSec, "Sibelius version", sLine, sPath)
IniWriteInteger (sSec, "JFW version", GetJFWVersion (), sPath)
IniWriteString (sSec, "JFW language", GetJFWLang (), sPath)
IniWriteString (sSec, "Windows Input language", GetInputLanguage(), sPath)
IniWriteInteger (sSec, "All users", IsAllUsers (), sPath)
let sSec = "Windows"
let sLine = IntToString(ScreenGetWidth()) + "x" + IntToString(ScreenGetHeight())
IniWriteString (sSec, "Screen", 		sLine, sPath)
let hTaskBar = FindTopLevelWindow (cwcShellTray, cscNull)
IniWriteString (sSec, "TaskBar", GetWindowData (hTaskBar), sPath)
IniWriteString (sSec, "MDIFrame window", GetWindowData (GetSibeliusFrameWindow()), sPath)
IniWriteString (sSec, Name_Properties, GetWindowData (ghPropertiesWindow), sPath)
IniWriteString (sSec, Name_Keypad, GetWindowData (ghKeypadWindow), sPath)
IniWriteString (sSec, Name_Playback, GetWindowData (ghPlaybackWindow), sPath)
IniWriteString (sSec, Name_Navigator, GetWindowData (ghNavigatorWindow), sPath)
IniWriteString (sSec, Name_Mixer, GetWindowData (ghMixerWindow), sPath)
IniWriteString (sSec, Name_Parts, GetWindowData (ghPartsWindow), sPath)
IniWriteString (sSec, Name_Video, GetWindowData (ghVideoWindow), sPath)
ListAllMixers()
OpenUserSettings()
EndFunction

Int Function IsAllUsers ()
;Supposes that if the scripts are running from all users then the user name will not appear in the settings path string
var
string str1,
string str2
;Path to the settings directory witch is currently in use
let str1 = GetUserSettingsDirectory ()
;If the settings path points to a user profile then the third segment of the path should be the JAWS user name only.
;Surround with back-slashes to ensure that the search only locates a complete path segment.
let str2 = "\\"+ GetJAWSUserName () +"\\"
if StringContains (str1, str2) then
;The user name is in the path so this cannot be the path to all users
return 0
else
return 1
endif
EndFunction

Void Function ListAllMixers ()
var
handle Wnd,
string Str,
string Path,
int Count,
string Sec,
string Val
let Path = GetUserSettingsDirectory () +"\\Bug report for Sibelius Access.txt"
let Wnd = FindTopLevelWindow (cwcShellTray, cscNull)
let Wnd = GetFirstWindow (Wnd)
let Count = 1
while Wnd
let Sec = GetWindowName (Wnd) +" "+ IntToString(Count)
if Sec == "Mixer" then
IniWriteString (Sec, "Class",  GetWindowClass (Wnd), Path)
IniWriteString (Sec, "App", GetWindowName (GetAppMainWindow (Wnd)), Path)
IniWriteInteger (Sec, "Visible", IsWindowVisible (Wnd), Path)
IniWriteInteger (Sec, "Disabled", IsWindowDisabled (Wnd), Path)
let str = GetWindowTextEx (Wnd, False, True)
if str == "" then
let str = "(none)"
endif
IniWriteString (Sec, "Text", str, Path)
let Count = Count + 1
endif
let Wnd = GetNextWindow (Wnd)
endwhile
EndFunction

Void Function OpenUserSettings ()
Run (MsgQuote + GetUserSettingsDirectory () +MsgQuote)
EndFunction

;--- plug-in operations





Void Function IsPlugInInstalled ()
if !FileExists (gsPlugin) then
let giPlugInInstalled = False
SayFormattedMessage (OT_USER_BUFFER, MsgNoPlugIn)
else
let giPlugInInstalled = True
endif
EndFunction

Void Function GetIniFilePaths ()
var
string sPath,
int iChar,
string sTmp,
int iTmp
;The values for the default jcf file will never change
let sTmp = IniReadString ("Options", "KeyboardType", "zzz", "Default.jcf")
if sTmp == csLapTopLayout then
let gKeyboardLayout = ciLapTopLayout
elif sTmp == csDesktopLayout then
let gKeyboardLayout = ciDesktopLayout
else
SayFormattedMessage (OT_NO_DISABLE, MsgNoKeyboardLayout)
endif
;color name from JSI file
let sPath = FindJAWSPersonalizedSettingsFile (csPersonalizedSettings, True)
let sTmp = IniReadString (csJSI_Colors, csJSI_TemplateButton, "zzz", sPath)
if sTmp == "zzz" then
CreateJSIFile ()
let sTmp = IniReadString (csJSI_Colors, csJSI_TemplateButton, "zzz", sPath)
if sTmp == "zzz" then
SayFormattedMessage (OT_NO_DISABLE, MsgNoColorFromJSI)
endif
endif
let gKeypadTBColor = sTmp
;typing echo
let iTmp = IniReadInteger (csJSI_Options, csJSI_TypingEcho, -1, sPath)
if iTmp == -1 then
CreateJSIFile ()
let iTmp = IniReadInteger (csJSI_Options, csJSI_TypingEcho, -1, sPath)
if iTmp == -1 then
SayFormattedMessage (OT_NO_DISABLE, MsgNoColorFromJSI)
endif
endif
let gSibTypingEcho = iTmp
;Get the paths to the plug-in files.
;These are kept in the Sibelius Software folder within the current users application data folder
let sPath = GetUserSettingsDirectory ()
let gsHelpContents = sPath +"\\"+ csHelpContents
let gsToolWindowTrace = sPath + "\\Sibelius Access Trace.log"
let gsDataStore = sPath + "\\Sibelius Access Data.log"
let iChar = StringContains( sPath, csFreedomScientific)
let sPath = StringLeft( sPath, iChar-1)
let gsUserAppDataFolder = StringChopRight( sPath,1)
let gsSibeliusToJaws = sPath + csSibeliusToJaws
let gsJawsToSibelius = sPath + csJawsToSibelius
let gsPlugin = sPath + csPlugin
let gsScoreInfoDoc = sPath + csScoreInfoDoc
let gsScoreLayoutDoc = sPath + csScoreLayoutDoc
EndFunction


Function CreateJSIFile ()
var
string sPath
let sPath = FindJAWSPersonalizedSettingsFile (csPersonalizedSettings, True)
IniWriteString (csJSI_Colors, csJSI_TemplateButton, csJSI_TBCToWrite, sPath)
IniWriteInteger (csJSI_Options, csJSI_TypingEcho, GetDefaultJCFOption (Opt_Typing_Echo), sPath)
EndFunction


Int Function DoPlugIn (string command)
var
string ValToWrite,
int iRunAfter
if GetWindowTypeCode (GetTopLevelWindow (GetFocus())) == WT_Dialog then
; a dialog is open so the plug-in shouldn't run
return True;
endif
let ValToWrite = IntToString(giPlugInRuns) +"|"+command
IniWriteString (IniSection, "command", ValToWrite, gsJawsToSibelius)
TypeKey (GetScriptKeyName (ScriptName_PlugInMode))
let giPlugInRuns = giPlugInRuns+1
if HasPlugInRun (1) then
let gPlugInIsRunning = False
return True
endif
if HasPlugInRun (2) then
let gPlugInIsRunning = False
return True
endif
if HasPlugInRun (3) then
let gPlugInIsRunning = False
return True
endif
if HasPlugInRun (4) then
let gPlugInIsRunning = False
return True
endif
if HasPlugInRun (10) then
let gPlugInIsRunning = False
return True
endif
SayFormattedMessage (OT_NO_DISABLE, MsgPlugInRunFalse)
return False
EndFunction

Int Function HasPlugInRun (int iDelay)
var
int Counter
if iDelay >0 then
Delay(iDelay)
endif
let Counter = IniReadInteger (IniSection, "Run", -1, gsSibeliusToJaws)
if Counter == giPlugInRuns then
return True
endif
return False
EndFunction


Function PlugInForNav (string sCommand)
var
string ValToWrite,
int iRunAfter
let ValToWrite = IntToString(giPlugInRuns) +"|"+sCommand
let giPlugInRuns = giPlugInRuns+1
IniWriteString (IniSection, "command", ValToWrite, gsJawsToSibelius)
TypeKey (GetScriptKeyName (ScriptName_PlugInMode))
ScheduleFunction ("SayPlugInMessage1",1)
/*
if TestPlugInComplete(1) then
return True
endif
if TestPlugInComplete(2) then
return True
endif
if TestPlugInComplete(3) then
return True
endif
if TestPlugInComplete(4) then
return True
endif
if TestPlugInComplete(10) then
return True
endif
if TestPlugInComplete(100) then
return True
endif
*/
EndFunction


Function TestPlugInComplete (int iDelay)
var
int Counter
if iDelay >0 then
Delay(iDelay)
endif
let Counter = IniReadInteger (IniSection, "Run", -1, gsSibeliusToJaws)
if Counter == giPlugInRuns then
SayIniMessage ()
return True
endif
return False
EndFunction


Function SayPlugInMessage1 ()
if HasPlugInRun(0) then
SayIniMessage()
let gPlugInIsRunning = False
else
ScheduleFunction ("SayPlugInMessage2",2)
endif
EndFunction

Function SayPlugInMessage2 ()
if HasPlugInRun(0) then
SayIniMessage()
let gPlugInIsRunning = False
else
ScheduleFunction ("SayPlugInMessage3",2)
endif
EndFunction

Function SayPlugInMessage3 ()
if HasPlugInRun(0) then
SayIniMessage()
let gPlugInIsRunning = False
else
ScheduleFunction ("SayPlugInMessage4",5)
endif
EndFunction

Function SayPlugInMessage4 ()
if HasPlugInRun(0) then
SayIniMessage()
let gPlugInIsRunning = False
else
;Beep()
SayFormattedMessage (OT_NO_DISABLE, MsgPlugInRunFalse)
endif
EndFunction


String Function GetDataFromIni (string IniKey)
return IniReadString (IniSection, IniKey, csNoIniKey, gsSibeliusToJaws)
EndFunction


String Function SayDataFromIni (string IniKey1, string IniKey2)
var
string str
let str = IniReadString (IniSection, IniKey1, "%%%", gsSibeliusToJaws)
if str == "%%%" then
let str = IniReadString (IniSection, IniKey2, "%%%", gsSibeliusToJaws)
endif
if str == "%%%" then
let str = MsgPlugInIniKeyFail
endif
SayMessageSegments (str)
EndFunction



Void Function TestPlugIn ()
var
string ValToWrite,
int iRunAfter
let ValToWrite = IntToString(giPlugInRuns) +delimiter+Plg_DescribeSelected
IniWriteString (IniSection, "command", ValToWrite, gsJawsToSibelius)
TypeKey (GetScriptKeyName (ScriptName_PlugInMode))
Pause()
Pause()
let giPlugInRuns = giPlugInRuns+1
let iRunAfter = IniReadInteger (IniSection, "Run", -1, gsSibeliusToJaws)
if iRunAfter == giPlugInRuns then
Say (MsgPlugInRunTrue, OT_NO_DISABLE)
else
Say (MsgPlugInRunFalse, OT_NO_DISABLE)
endif
EndFunction




;--- Testing Midi

Void Function TestMidi ()

;called from the access menu
var
handle hWnd
;the function which checks the indicator is looped by having it schedule itself
;the global is used to break the loop
;this is done when any key is pressed
let giTestingMidi = true
AddHook (HK_Script, csExitMidiTestHook)
GetPlaybackWindow()
ScheduleFunction( "ReportMidiActivity", 1)
EndFunction

Void Function ReportMidiActivity ()
var
handle hWnd,
int X,
int Y
;this function schedules itself
;when a key is pressed the global is set to false and the loop is broken
if !giTestingMidi then
return
endif
let hWnd = GetFirstChild (ghPlaybackWindow)
let hWnd = GetLastWindow( hWnd)
let X = GetWindowLeft( hWnd) + Px_MIDIX
let Y = GetWindowTop( hWnd) + Px_MIDIY
if GetColorName( GetColorAtPoint( X, Y)) != "Gray" then
SayFormattedMessage( OT_NO_DISABLE, MsgMIDIOut)
endif
let hWnd = GetPriorWindow( hWnd)
let X = GetWindowLeft( hWnd) + Px_MIDIX
let Y = GetWindowTop( hWnd) + Px_MIDIY
if GetColorName( GetColorAtPoint( X, Y)) != "Gray" then
SayFormattedMessage( OT_NO_DISABLE, MsgMIDIIn)
endif
;call this function again to continue the loop
ScheduleFunction( "ReportMidiActivity", 3)
EndFunction

Void Function ExitMidiTestHook (string sScriptName)
;this is used to break the testing MIDI functions
if sScriptName == "Space" then
;return true to allow the keystroke to passed onto Sibelius
;this has to happen or the score will not play
return true
else
;do not allow the keystroke to pass
let giTestingMidi = False
;restore normal keyboard operation
RemoveHook (HK_Script, csExitMidiTestHook)
return False
endif
EndFunction


;--- scripts and functions for reporting score object properties



Void Function ShowScoreInfo ()
DoPlugIn (Plg_ScoreInfo)
RunScoreSummary ()
EndFunction

Function RunScoreSummary ()
Run (MsgQuote + gsScoreInfoDoc +MsgQuote)
EndFunction


Function ShowScoreLayout ()
DoPlugIn (Plg_ScoreLayout)
RunScoreLayout ()
EndFunction

Function RunScoreLayout ()
Run (MsgQuote + gsScoreLayoutDoc +MsgQuote)
EndFunction

Script ScoreVerbosityDialog ()
DoPlugIn ("Verbosity")
EndScript


Script SystemItemsDialog ()
DoPlugIn (Plg_SystemItems)
EndScript


Script FilteredTextDialog ()
DoPlugIn (Plg_FilteredTextDialog)
EndScript



Script SayPageNumber ()
Say(GetPageNumber(), OT_LINE)
EndScript


String Function GetPageNumber ()
return GetWindowName( FindDescendantWindow( ghPropertiesWindow, ID_PageNumber))
EndFunction

String Function GetScoreObjectType ()
var
string sType
let sType = GetWindowName (ghPropertiesWindow)
if StringLeft( sType, 4) == Edit then
let sType = StringChopLeft( sType, 5)
EndIf
return sType
EndFunction


Script SaySelection () ; F5
if IsNothingSelected (True) then
return
endif
DoPlugIn( Plg_DescribeSelected)
if IsSameScript () then
SayDataFromIni (IniKeyDescription1_L, IniKeyDescription1_S)
else
SayDataFromIni (IniKeyDescription1_S, IniKeyDescription1_S)
endif
EndScript


Script SayRhythmicInfo ()
if IsNothingSelected (True) then
return
endif
DoPlugIn( Plg_DescribeSelected)
SayDataFromIni (IniKeyRhythm, IniKeyRhythm)
EndScript



Script SayConcertPitches ()
if IsNothingSelected (True) then
return
endif
DoPlugIn( Plg_DescribeSelected)
if IsSameScript () then
SayDataFromIni (IniKeyDescription2_L, IniKeyDescription2_S)
else
SayDataFromIni (IniKeyDescription2_S, IniKeyMessage)
endif
EndScript

Script SaySelectedNotesInChord ()
if IsNothingSelected (True) then
return
endif
DoPlugIn( Plg_DescribeSelected)
if IsSameScript () then
SayDataFromIni (IniKeyDescription3_L, IniKeyDescription3_S)
else
SayDataFromIni (IniKeyDescription3_S, IniKeyMessage)
endif
EndScript

Script SaySelectedNotesInChordConcert ()
if IsNothingSelected (True) then
return
endif
DoPlugIn( Plg_DescribeSelected)
if IsSameScript () then
SayDataFromIni (IniKeyDescription4_L, IniKeyDescription4_S)
else
SayDataFromIni (IniKeyDescription4_S, IniKeyMessage)
endif
EndScript

Script SayFilteredText ()
if IsNothingSelected (True) then
return
endif
if IsSameScript () then
SayDataFromIni (IniKeyFilteredSpelt, IniKeyFilteredSpelt)
else
DoPlugIn( Plg_DescribeSelected)
SayDataFromIni (IniKeyFilteredText, IniKeyFilteredText)
endif
EndScript

Script SayFilteredTextToItem ()
if IsNothingSelected (True) then
return
endif
DoPlugIn (Plg_Filtered)
SayDataFromIni (IniKeyFilteredBefore, IniKeyFilteredBefore)
EndScript

Script SayFilteredTextFromItem ()
if IsNothingSelected (True) then
return
endif
DoPlugIn (Plg_Filtered)
SayDataFromIni (IniKeyFilteredAfter, IniKeyFilteredAfter)
EndScript


Script SayStaffSummary ()
if IsNothingSelected (True) then
return
endif
DoPlugIn (Plg_StaffSummary)
SayDataFromIni (IniKeyStaff, IniKeyStaff)
EndScript


Script SayInstrumentSummary ()
var
string str
if IsNothingSelected (True) then
return
endif
if IsSameScript () then
let str = GetDataFromIni (IniKeyInstrument)
let str = StringReplaceSubstrings (str, "\a", "\r\n")
let str = str + cMsgBuffExit
SayFormattedMessage (OT_USER_BUFFER, str)
else
DoPlugIn (Plg_StaffSummary)
SayDataFromIni (IniKeyInstrument, IniKeyStaff)
endif
EndScript

Script SaySystemInfo ()
if IsNothingSelected (True) then
return
endif
DoPlugIn (Plg_StaffSummary)
SayDataFromIni (IniKeySystem, IniKeyMessage)
EndScript

Script SayNearBySystemItems ()
if IsNothingSelected (True) then
return
endif
DoPlugIn (Plg_StaffSummary)
SayDataFromIni (IniKeySystemObjects, IniKeyMessage)
EndScript

Script SayNearByStaffItems ()
if IsNothingSelected (True) then
return
endif
SayDataFromIni (IniKeyStaffObjects, IniKeyMessage)
EndScript


Int Function IsNothingSelected (int Announce)
let gsScoreObjectType= GetScoreObjectType ()
if gsScoreObjectType== NoSelection then
SayFormattedMessage (OT_LINE, MsgNoSelection_L, MsgNoSelection_S)
return True
else
return False;
endif
EndFunction


Void Function DescribeSelectedItem ()
var
string sNameOfScript,
int PlugInRan,
int iMovement
let iMovement = giMovement
let giMovement = UnitMove_Next
;Check that the tool windows are positioned and configured
if giFixingToolWindows then
return
elif not CheckToolWindows () then
return
endif
let gsScoreObjectType= GetScoreObjectType ()
if gsScoreObjectType== NoSelection then
SayFormattedMessage (OT_LINE, MsgNoSelection_L, MsgNoSelection_S)
;let gsPrevScoreObject = NoSelection
return
endif
;if a line is selected then reset the line point global
if gsScoreObjectType!= so_Line then
let giLinePoint = 1
endif
;if the plug-in is not in use
if gDoNotUsePlugIn then
SayQuickNavInfo ()
return
endif
;run the plugin
if iMovement == UnitMove_Current then
let PlugInRan = DoPlugIn( Plg_DescribeAll)
elif iMovement == UnitMove_Up &&
(gsScoreObjectType == so_Note || gsScoreObjectType== so_Chord || gsScoreObjectType== so_CreateNoteRest) then
let PlugInRan = DoPlugIn( Plg_DescribeSelected)
else
let PlugInRan = DoPlugIn( Plg_DescribeAll)
endif
if PlugInRan == False then
;DoPlugIn alerts the user if necessary
return False
endif
SayIniMessage ()
EndFunction


Void Function SayChangedPitch ()
var
int PlugInRan
if IsNothingSelected (True) then
return
endif
let giMovement = UnitMove_Next
let gsScoreObjectType= GetScoreObjectType ()
if gsScoreObjectType== NoSelection then
SayFormattedMessage (OT_LINE, MsgNoSelection_L, MsgNoSelection_S)
;let gsPrevScoreObject = NoSelection
return
endif
;run the plugin
if !DoPlugIn( Plg_DescribeSelected) then
return False
endif
SayDataFromIni (IniKeyPitch, IniKeyMessage)
EndFunction


Void Function SayQuickNavInfo ()
var
handle hWnd,
string sStave,
string sBar,
string sPos,
string msg
let hWnd = GetFirstChild( GetFirstChild( ghPropertiesWindow))
let sStave = GetWindowName( hWnd)
let hWnd = GetNextWindow( hWnd)
let sBar = GetWindowName (hWnd)
let hWnd = GetNextWindow( hWnd)
let sPos = StringChopLeft( GetWindowName(hWnd), 4)
if giMovement == UnitMove_Top then
let msg = sStave
endif
if giMovement == UnitMove_First then
;SayNext/PriorWord moves to the next bar and bar numbers must be spoken without exception
let msg = msg +space+ sBar
elif sBar != gsPrevBar then
if sPos == "1" then
let msg = msg +space+ sBar
else
let msg = msg +space+ sBar +MsgWordAt+space+ sPos
endif
else
let msg = msg +space+ sPos
endif
let gsPrevBar = sBar
let msg = gsScoreObjectType+space+MsgWordAt+space+ msg
SayFormattedMessage (OT_NO_DISABLE, msg)
SayUsingVoice (VCTX_Message, GetKPGraphicsString(), OT_NO_DISABLE)
EndFunction







Void Function SayIniMessage ()
var
string msg,
string sPitches,
string sPage
let msg = GetDataFromIni (IniKeyMessage)
SayMessageSegments(msg)
EndFunction


String Function ProcessIniMessage (string Message)
var
string sPage
if StringContains (Message, IniFlagPage) then
let sPage = GetPageNumber()
if sPage != gsPrevPageNumber then
return sPage
else
return cscNull
endif
let gsPrevPageNumber = sPage
endif
if StringContains (Message, IniFlagColor) then
let Message = StringChopLeft (Message, 9)
return GetColorName( RGBStringToColor (Message))
endif
return Message
EndFunction

Void Function SayMessageSegments (string msg)
;speeks a string delimited by the control character 7 ("\a")
;each segment is spoken in a separate call to say Formatted message
;Segments beginning with "%%" are spoken with the message voice
var
int Index,
int iSegs,
string Segment,
string Header,
string Voice
if !Msg then
return
endif
let iSegs = StringSegmentCount( msg, "\a") + 1
let Index = 1
while Index < iSegs
let Segment = StringSegment( msg, "\a", Index)
let Header = StringLeft (Segment, 2)
if Header == "%%" then
let voice = VCTX_Message
let Segment = StringChopLeft (Segment, 2)
else
let Voice = VCTX_Global
endif
if Header == "@@" then
let Segment = StringChopLeft (ProcessIniMessage (Segment), 2)
SpellString (Segment)
else
let Segment = ProcessIniMessage (Segment)
SayUsingVoice (voice,  Segment, OT_NO_DISABLE)
endif
let Index = Index+1
endwhile
EndFunction














String Function GetScoreObjectColor ()
var
string sRGBString
let sRGBString = IniReadString (IniSection, IniKeyColor, "zzz", gsSibeliusToJaws)
if sRGBString == "zzz" then
return MsgNoColor
endif
return GetColorName( RGBStringToColor (sRGBString))
EndFunction


Script SayItemCoordinates ()
var
string Coordinates,
string Msg,
int Count
if !InScore() then
return
endif
let Coordinates = GetItemCoordinates()
let Count = StringSegmentCount (Coordinates, delimiter)
if Count == 2 then
let Msg = FormatString (MsgItemCoordinates, 
StringSegment (Coordinates, delimiter, 1), StringSegment (Coordinates, delimiter, 2))
Say (Msg, OT_Line)
return
elif Count == 4 then
let Msg = FormatString (MsgLineCoordinates,
StringSegment (Coordinates, delimiter, 1),
StringSegment (Coordinates, delimiter, 2),
StringSegment (Coordinates, delimiter, 3),
StringSegment (Coordinates, delimiter, 4))
Say (Msg, OT_Line)
return
elif Count == 6 then
let Msg = FormatString (MsgSlurCoordinates,
StringSegment (Coordinates, delimiter, 1),
StringSegment (Coordinates, delimiter, 2),
StringSegment (Coordinates, delimiter, 3),
StringSegment (Coordinates, delimiter, 4),
StringSegment (Coordinates, delimiter, 5),
StringSegment (Coordinates, delimiter, 6))
Say (Msg, OT_Line)
endif
EndScript


Script AllowThisItemToMove ()
let gDoNotMoveThisItem = False
Say (MsgAllowItemToMove, OT_Line)
EndScript


Int Function ProcessItemCoordinates (int SayAllCoordinates)
var
string OldCoordinates,
string NewCoordinates,
int Count,
int Index,
string OldValue,
string NewValue,
string ChangedCoordinates
let gsScoreObjectType = GetScoreObjectType ()
if gsScoreObjectType == SO_Note ||
gsScoreObjectType == SO_Chord ||
gsScoreObjectType == SO_Rest ||
gsScoreObjectType == SO_BarRest ||
gsScoreObjectType == NoSelection ||
gsScoreObjectType == so_Selection ||
gsScoreObjectType == SO_CreateNoteRest then
;This is not a movable item so set the restriction global for the next time one is selected
let gDoNotMoveThisItem = True
;these items should be described by other functions so abort
return False
endif
if gDoNotMoveThisItem == True then
;the restriction on moving items has not been removed
Beep()
Say (MsgItemCannotMove, OT_Line)
;prevent other navigation functions from taking action
return True
endif
let OldCoordinates = GetItemCoordinates ()
let Index = 1
let Count = StringSegmentCount (OldCoordinates, delimiter)
if SayAllCoordinates then
Say (gsScoreObjectType, OT_NO_DISABLE)
while Index <= Count
Say (StringSegment (OldCoordinates, delimiter, Index), OT_Line)
let Index = Index+1
endwhile
return
endif
TypeCurrentScriptKey ()
Pause()
Pause()
let NewCoordinates = GetItemCoordinates ()
while Index <= Count
let OldValue = StringSegment (OldCoordinates, delimiter, Index)
let NewValue = StringSegment (NewCoordinates, delimiter, Index)
if !StringsAreEqual (OldValue, NewValue) then
let ChangedCoordinates =  ChangedCoordinates +space+ NewValue +comma
endif
let Index = Index + 1
endwhile
if ChangedCoordinates then
Say (ChangedCoordinates, OT_Line)
endif
return True
EndFunction


String Function GetItemCoordinates ()
var
handle hWnd,
string Val,
string List
let Val = GetWindowText( FindDescendantWindow (ghPropertiesWindow, ID_X), false)
if Val then
let List = List + Val +delimiter
endif
let Val = GetWindowText( FindDescendantWindow (ghPropertiesWindow, ID_Y), false)
if Val then
let List = List + Val +delimiter
endif
if gsScoreObjectType != so_Line then
return StringChopRight (List, 1)
endif
let Val = GetWindowText( FindDescendantWindow (ghPropertiesWindow, ID_MidX), false)
if Val then
let List = List + Val +delimiter
endif
let Val = GetWindowText( FindDescendantWindow (ghPropertiesWindow, ID_MidY), false)
if Val then
let List = List + Val +delimiter
endif
let Val = GetWindowText( FindDescendantWindow (ghPropertiesWindow, ID_rhX), false)
if Val then
let List = List + Val +delimiter
endif
let Val = GetWindowText( FindDescendantWindow (ghPropertiesWindow, ID_rhY), false)
if Val then
let List = List + Val +delimiter
endif
return StringChopRight (List, 1)
EndFunction



















String Function GetTextType ()
var
handle hTextType
let hTextType = FindDescendantWindow (ghPropertiesWindow, ID_TextType)
Return GetWindowText (hTextType, False)
EndFunction

String Function GetVoice ()
var
int iVoice,
string sReturn,
int Index,
int iBoulean
let Index=1
while Index<6
;there are five graphics for the voices
;check gbKeypadGraphics against each boulean in turn
let iBoulean = StringToInt( StringSegment( b_Voices, "|", Index ))
if gbKeypadGraphics & iBoulean then
let iVoice = Index
endif
let Index=Index+1
EndWhile
let sReturn = cscNull
;check to see if the voice has changed
if iVoice != giPrevVoice ||
giMovement == UnitMove_Top then
let sReturn = "voice " + IntToString( iVoice)
endif
let giPrevVoice = iVoice
return sReturn
EndFunction

Script AddBarAtEnd ()
if InScore () then
TypeKey (GetScriptKeyName ("AddBarAtEnd"))
DoPlugIn (Plg_DescribePosition)
SayIniMessage ()
else
PerformKeyStroke ()
endif
EndScript

Script AddBarAtCurrent ()
if InScore () then
TypeKey (GetScriptKeyName ("AddBarAtCurrent"))
DoPlugIn (Plg_DescribePosition)
SayIniMessage ()
else
PerformKeyStroke ()
endif
EndScript

Script PriorNoteHead ()
ChangeNoteHead ()
EndScript

Script NextNoteHead ()
ChangeNoteHead ()
EndScript



Void Function ChangeNoteHead ()
if !InScore() || !IsPCCursor() then
TypeCurrentScriptKey ()
SayCurrentScriptKeyLabel ()
return
endif
if ScoreIsPlaying () then
return
endif
TypeCurrentScriptKey ()
DoPlugIn (Plg_DescribeSelected)
Pause()
PerformScript SaySelectedNotesInChord()
EndFunction


Script NoteHead0 ()
ChangeNoteHead ()
EndScript


Script NoteHead1 ()
ChangeNoteHead ()
EndScript


Script NoteHead2 ()
ChangeNoteHead ()
EndScript


Script NoteHead3 ()
ChangeNoteHead ()
EndScript


Script NoteHead4 ()
ChangeNoteHead ()
EndScript


Script NoteHead5 ()
ChangeNoteHead ()
EndScript


Script NoteHead6 ()
ChangeNoteHead ()
EndScript


Script NoteHead7 ()
ChangeNoteHead ()
EndScript


Script NoteHead8 ()
ChangeNoteHead ()
EndScript


Script NoteHead9 ()
ChangeNoteHead ()
EndScript


;--- Playback properties

Script SayLivePlaybackPosition ()
SayMessageSegments (GetDataFromIni (IniKeyLivePlaybackPosition))
EndScript

Script SayLivePlaybackDuration ()
SayMessageSegments (GetDataFromIni (IniKeyLivePlaybackDuration))
EndScript

Script SayLivePlaybackVelocity ()
SayMessageSegments (GetDataFromIni (IniKeyLivePlaybackVelocity))
EndScript

Void Function PlaybackThroughPlugIn (string sProperty, string sDirection, string sStep)
var
string Data
if not InScore() then
return
endif
let Data = Plg_LivePlayback + "|"+ sProperty +"-"+ sDirection +"-"+ sStep
DoPlugIn (Data)
SayIniMessage ()
EndFunction

Script MovePositionLeftSmall ()
PlaybackThroughPlugIn (Plg_cChangePosition, Plg_cChangeDecrease, Plg_cChangeSmall)
EndScript

Script MovePositionLeftMedium ()
PlaybackThroughPlugIn (Plg_cChangePosition, Plg_cChangeDecrease, Plg_cChangeMedium)
EndScript

Script MovePositionLeftLarge ()
PlaybackThroughPlugIn (Plg_cChangePosition, Plg_cChangeDecrease, Plg_cChangeLarge)
EndScript

Script MovePositionRightSmall ()
PlaybackThroughPlugIn (Plg_cChangePosition, Plg_cChangeIncrease, Plg_cChangeSmall)
EndScript

Script MovePositionRightMedium ()
PlaybackThroughPlugIn (Plg_cChangePosition, Plg_cChangeIncrease, Plg_cChangeMedium)
EndScript

Script MovePositionRightLarge ()
PlaybackThroughPlugIn (Plg_cChangePosition, Plg_cChangeIncrease, Plg_cChangeLarge)
EndScript

Script IncreaseVelocitySmall ()
PlaybackThroughPlugIn (Plg_cChangeVelocity, Plg_cChangeIncrease, Plg_cChangeSmall)
EndScript

Script IncreaseVelocityMedium ()
PlaybackThroughPlugIn (Plg_cChangeVelocity, Plg_cChangeIncrease, Plg_cChangeMedium)
EndScript

Script IncreaseVelocityLarge ()
PlaybackThroughPlugIn (Plg_cChangeVelocity, Plg_cChangeIncrease, Plg_cChangeLarge)
EndScript

Script DecreaseVelocitySmall ()
PlaybackThroughPlugIn (Plg_cChangeVelocity, Plg_cChangeDecrease, Plg_cChangeSmall)
EndScript

Script DecreaseVelocityMedium ()
PlaybackThroughPlugIn (Plg_cChangeVelocity, Plg_cChangeDecrease, Plg_cChangeMedium)
EndScript

Script DecreaseVelocityLarge ()
PlaybackThroughPlugIn (Plg_cChangeVelocity, Plg_cChangeDecrease, Plg_cChangeLarge)
EndScript

Script IncreaseDurationSmall ()
PlaybackThroughPlugIn (Plg_cChangeDuration, Plg_cChangeIncrease, Plg_cChangeSmall)
EndScript

Script IncreaseDurationMedium ()
PlaybackThroughPlugIn (Plg_cChangeDuration, Plg_cChangeIncrease, Plg_cChangeMedium)
EndScript

Script IncreaseDurationLarge ()
PlaybackThroughPlugIn (Plg_cChangeDuration, Plg_cChangeIncrease, Plg_cChangeLarge)
EndScript

Script DecreaseDurationSmall ()
PlaybackThroughPlugIn (Plg_cChangeDuration, Plg_cChangeDecrease, Plg_cChangeSmall)
EndScript

Script DecreaseDurationMedium ()
PlaybackThroughPlugIn (Plg_cChangeDuration, Plg_cChangeDecrease, Plg_cChangeMedium)
EndScript

Script DecreaseDurationLarge ()
PlaybackThroughPlugIn (Plg_cChangeDuration, Plg_cChangeDecrease, Plg_cChangeLarge)
EndScript


;--- playback window functions

;There is no text written anywhere in the playback window.
;The only way to detect the values of the controls is by pixil color and pattern recognision

;The unnamed widnows after ID_PlaybackTimeline are as follows
;SMPTE BarAndBeat BPM MIDIInIndicator MIDIOutIndicator

Int Function ScoreIsPlaying ()
var
handle hWnd,
int X,
int Y
GetPlaybackWindow()
let hWnd = GetFirstChild (ghPlaybackWindow)
let X = GetWindowLeft( hWnd) + pxPlayX
let Y = GetWindowTop( hWnd) + pxPlayY
;check the blue component
if HighWord( GetColorAtPoint( X,Y)) == 0 then
return true
else
return false
endif
EndFunction

Script ToggleMetronome ()
var
handle hWnd,
int iX, int iY,
string msg
if UserBufferIsActive() then
UserBufferDeactivate()
endif
if !(InScore() && IsPCCursor()) then
PerformKeyStroke ()
return
endif
GetPlaybackWindow()
let hWnd = FindDescendantWindow( ghPlaybackWindow, ID_PlaybackClick)
let iX = GetWindowLeft( hWnd) + pxMetronomeCol
let iY = GetWindowTop( hWnd) + pxMetronomeRow
JAWSCursor()
MoveTo( iX, iY)
LeftMouseButton()
PCCursor()
Pause()
if GetColorAtPoint( iX, iY) == 0 then
let msg = FormatString( MsgMetronome, MsgAnnouncementOff)
else
let msg = FormatString( MsgMetronome, MsgAnnouncementOn)
endif
SayFormattedMessage( OT_NO_DISABLE, msg)
EndScript

Script SayPlaybackPositionBarsAndBeats ()
Say( GetBarsAndBeatsFromPlayback (), OT_NO_DISABLE)
Say( GetTimeFromPlayback(), OT_NO_DISABLE)
EndScript

Script PlayBackToSelection ()
SayNewFrame ()
EndScript


Script SelectionToPlayback ()
var
string sCommand
let sCommand = "jump:" + GetTimeCodeForPlugIn ()
DoPlugIn (sCommand)
SayIniMessage ()
EndScript


Script PlaybackToStart ()
SayNewFrame ()
EndScript

Script PlaybackToEnd ()
SayNewFrame ()
EndScript

;the word frame refers to the video frames in Sibelius, not a JFW frame.
;there should be no JFW frames anywhere, and users should not add there own.
Script NextFrame ()
SayNewFrame()
EndScript

Script PriorFrame ()
SayNewFrame()
EndScript

Function SayNewFrame ()
if InScore() && !ScoreIsPlaying() then
TypeCurrentScriptKey ()
SayTimeAfterRewind ()
return
endif
PerformKeyStroke ()
EndFunction

Function SayTimeAfterRewind ()
;The rewind and fast forward keys cannot be scripted because it destroys their functionality
;Instead, this function is called from KeyPressEvent
Pause()
if InScore() && !ScoreIsPlaying() then
Say( GetTimeFromPlayback(), OT_NO_DISABLE)
Say( GetBarsAndBeatsFromPlayback (), OT_NO_DISABLE)
endif
EndFunction


String Function GetTimeCodeForPlugIn ()
;retrieves the time code read out in a format which is used by the plug-in for jumping to a specific time
var
handle hWnd,
int iLeft, int iTop, int iX,
string sNumber,
string sTime,
int iNumDigits,
int iDigit,
string msg
GetPlaybackWindow()
let hWnd = GetNextWindow( FindDescendantWindow( ghPlaybackWindow, ID_PlaybackTimeLine))
let iLeft = GetWindowLeft( hWnd) + pxTimeCodeHorzOffset
let iTop = GetWindowTop( hWnd) +pxTimeCodeVertOffset
let sTime = "_"
let iDigit = 1
while iDigit <= 6
let iX = iLeft + StringToInt( StringSegment( pxSMPTECols, delimiter, iDigit))
let sTime = sTime+ GetNumberFromSMPTE (iX, iTop, pxTimeCodeRow1, pxTimeCodeRow2, pxTimeCodeRowLength)
let iDigit = iDigit + 1
endwhile
let sTime = StringChopLeft( sTime, 1)
return sTime
EndFunction


String Function GetTimeFromPlayback ()
var
handle hWnd,
int iLeft, int iTop, int iX,
string sNumber,
string sTime,
int iNumDigits,
int iDigit,
string msg
GetPlaybackWindow()
let hWnd = FindDescendantWindow( ghPlaybackWindow, ID_PlaybackTimeLine)
let hWnd = GetNextWindow( hWnd)
;the offsets are only included in case of any unexpected problems and both equal 0
let iLeft = GetWindowLeft( hWnd) + pxTimeCodeHorzOffset
let iTop = GetWindowTop( hWnd) +pxTimeCodeVertOffset
;the number of digits in the time string depends on the format
let iNumDigits = NumberOfCharsInTimeCode (iLeft, iTop)
let sTime = "_"
let iDigit = 1
while iDigit <= iNumDigits
;get the left edge of each digit. These are relative to the left edge of the first digit
let iX = iLeft + StringToInt( StringSegment( pxSMPTECols, delimiter, iDigit))
;assemble the string of digits shown in the time window
let sTime = sTime+ GetNumberFromSMPTE (iX, iTop, pxTimeCodeRow1, pxTimeCodeRow2, pxTimeCodeRowLength)
let iDigit = iDigit + 1
endwhile
;remove _
let sTime = StringChopLeft( sTime, 1)
;GetNumber returned "f" if a number could not be found
if StringContains( sTime, "f") then
return MsgNoTime
endif
let Msg = FormatTimeString (sTime)
if msg == cscNull then
return MsgStartOfScore
else
return msg
endif
EndFunction

Int Function NumberOfCharsInTimeCode (int iLeft, int iTop)
;if a colon appears in the time code window then the format is frames
;if a period appears then the format is tengths of seconds
;if neither appears then it is seconds only
var
int X,
int Y
let X = iLeft + pxTimeCodeColonX
if !(GetColorAtPoint( X, iTop+ pxTimeCodeColonY) & 128) then
return ciTimeCode8Chars
elif !(GetColorAtPoint( X, iTop+pxTimeCodePeriodY) & 128) then
return ciTimeCode7Chars
else
return ciTimeCode6Chars
endif
EndFunction

String Function FormatTimeString (string sTime)
var
int iChars,
string sHours,
string sMinutes,
string sSeconds,
string sOther
let sHours = FormatTimeUnit( StringLeft (sTime, 2), MsgHourSingle, MsgHourPlural)
let sMinutes = FormatTimeUnit( SubString (sTime, 3,2), MsgMinuteSingle, MsgMinutePlural)
let sSeconds = SubString (sTime, 5,2)
let sOther = StringChopLeft (sTime, 6)
if StringLeft (sSeconds,1) == "0" then
let sSeconds = StringChopLeft (sSeconds,1)
endif
if StringLength (sOther) == 1 then
if sOther == "0" then
let sSeconds = FormatTimeUnit (sSeconds, MsgSecondSingle, MsgSecondPlural)
else
let sSeconds = sSeconds +"."+ sOther +space+ MsgSecondPlural
endif
else
let sSeconds = FormatTimeUnit (sSeconds, MsgSecondSingle, MsgSecondPlural)
FormatTimeUnit (sOther, MsgFrameSingle, MsgFramePlural)
endif
return StringTrimLeadingBlanks (sHours +space+ sMinutes +space+ sSeconds)
EndFunction

String Function FormatTimeUnit (string sNum, string sSingleUnit, string sPluralUnit)
if sNum == cscNull || sNum == "00" then
return cscNull
endif
if StringLeft( sNum, 1) == "0" then
let sNum = StringChopLeft( sNum, 1)
endif
if sNum == "1" then
return sNum + sSingleUnit
endif
return sNum + sPluralUnit
EndFunction

String Function GetNumberFromSMPTE (int iLeft, int iTop, int iRow1, int iRow2, int iWidth)
var
int iMap
let iMap = GetMapFromSMPTE (iLeft, iTop, iRow1, iRow2, iWidth)
if iMap == pmtc1 then
return "1"
elif iMap == pmtc2 then
return "2"
elif iMap == pmtc3 then
return "3"
elif iMap == pmtc4 then
return "4"
elif iMap == pmtc5 then
return "5"
elif iMap == pmtc6 then
return "6"
elif iMap == pmtc7 then
return "7"
elif iMap == pmtc8 then
return "8"
elif iMap == pmtc9 then
return "9"
elif IMap == pmtc0 then
return "0"
else
return cscNull
endif
EndFunction

Int Function GetMapFromSMPTE (int iLeft, int iTop, int iRow1, int iRow2, int iWidth)
var
int X, int Y,
int iBit,
int iMap
let iMap = 0
let iBit = 1
let X=0
while X<iWidth
if GetColorAtPoint( iLeft+X, iTop+iRow1) & 8388608 then
let iMap = iMap + iBit
endif
let iBit = iBit *2
let X=X+1
endwhile
let X=0
while X<iWidth
if GetColorAtPoint( iLeft+X, iTop+ iRow2) & 8388608 then
let iMap = iMap + iBit
endif
let iBit = iBit *2
let X=X+1
endwhile
return iMap
EndFunction

Void Function ShowMapFromSMPTE ()
;This is for development only and so not properly formatted
;it is not used anywhere in the active scripts and The results of this function will be hard coded as constants
var
handle hWnd,
int iLeft, int iTop,
int iBit, int iLoop,
string msg
GetPlaybackWindow()
let hWnd = FindDescendantWindow( ghPlaybackWindow, 138)
let hWnd = GetNextWindow( GetNextWindow( hWnd))
let iLeft = GetWindowLeft( hWnd) + 13
let iTop = GetWindowTop( hWnd) + 8
let msg = IntToString( GetMapFromSMPTE (iLeft, iTop, 2, 5, 6))
let msg = msg +"\r\n"+ gsTestMap
;14,8
;let msg = GetStringMap (iLeft, iTop)
SayFormattedMessage( OT_USER_BUFFER, msg)
EndFunction

String Function GetBarsAndBeatsFromPlayback ()
var
handle hWnd,
int iLeft, int iTop,
int Index,
int iCol,
string sNumber,
string sBar,
string sBeat,
string msg
GetPlaybackWindow()
let hWnd = FindDescendantWindow (ghPlaybackWindow, ID_PlaybackTimeLine )
let hWnd = GetNextWindow( GetNextWindow( hWnd))
let iLeft = GetWindowLeft( hWnd)
let iTop = GetWindowTop( hWnd)
let sBar ="_"
let sBeat ="_"
let Index = 1
while Index <= 4
let iCol = StringToInt( StringSegment (pxBarsBeatsCols, delimiter, Index))
let sBar = sBar +
GetNumberFromBarsAndBeats (iLeft+iCol, iTop, pxBarsBeatsRow1, pxBarsBeatsRow2, pxBarsBeatsRowLength)
let Index = Index + 1
endwhile
while Index <= 6
let iCol = StringToInt( StringSegment (pxBarsBeatsCols, delimiter, Index))
let sBeat = sBeat +
GetNumberFromBarsAndBeats (iLeft+iCol, iTop, pxBarsBeatsRow1, pxBarsBeatsRow2, pxBarsBeatsRowLength)
let Index = Index + 1
endwhile
let sBar = StringChopLeft(sBar,1)
let sBeat = StringChopLeft(sBeat,1)
return MsgBar +space+ sBar +space+ MsgBeat +space+ sBeat
EndFunction

String Function GetNumberFromBarsAndBeats (int X, int Y, int iRow1, int iRow2, int iLength)
var
string sNumber,
int sMap
let sMap = GetMapFromSMPTE( X, Y, iRow1, iRow2, iLength)
if sMap == pmbb1 then
return "1"
elif sMap == pmbb2 then
return "2"
elif sMap == pmbb3 then
return "3"
elif sMap == pmbb4 then
return "4"
elif sMap == pmbb5 then
return "5"
elif sMap == pmbb6 then
return "6"
elif sMap == pmbb7 then
return "7"
elif sMap == pmbb8 then
return "8"
elif sMap == pmbb9 then
return "9"
elif sMap == pmbb0 then
return "0"
else
return cscNull
endif
EndFunction

Script SayPlaybackTempo ()
var
string msg
let msg = FormatString( MsgBPM, IntToString( GetPlaybackTempo())) +comma+space+
FormatTempoSliderPosition ( GetTempoSliderPosition())
SayFormattedMessage( OT_NO_DISABLE, msg)
EndScript

Int Function GetPlaybackTempo ()
var
handle hWnd,
int iLeft, int iTop, int iX,
string sNumber,
string sTempo,
int iDigit,
string msg
GetPlaybackWindow()
let hWnd = FindDescendantWindow( ghPlaybackWindow, ID_PlaybackTimeLine)
let hWnd = GetNextWindow( GetNextWindow( GetNextWindow( hWnd)))
let iLeft = GetWindowLeft( hWnd) + pxTempo_HorzOffset + pxTempoColumn
let iTop = GetWindowTop( hWnd) + pxTempo_VertOffset
let sTempo = "_"
let iDigit = 0
while iDigit <= 2
let iX = iLeft + (iDigit * pxTempoCharSeparation)
;assemble the string of digits shown in the time window
let sTempo = sTempo+ GetNumberFromSMPTE (iX, iTop, pxTempoRow1, pxTempoRow2, pxTempoRowLength)
let iDigit = iDigit + 1
endwhile
;remove _
let sTempo = StringChopLeft( sTempo, 1)
return StringToInt( sTempo)
EndFunction

Int Function GetTempoSliderPosition ()
var
handle hWnd,
int iLeft,
int X,
int Y,
int iEscape,
string msg,
int iTest
GetPlaybackWindow()
let hWnd = FindDescendantWindow (ghPlaybackWindow, ID_PlaybackTempoSlider)
let iLeft = GetWindowLeft( hWnd)
let Y = GetWindowTop( hWnd)
;the tempo slider is marked by three white pixils on the top edge of the window
;Check every third pixil to get the approximate position of the slider
let X=0
let iEscape = false
while !iEscape
if (HighWord( GetColorAtPoint (iLeft +X,Y)) & 255) == 255 then
let iEscape = True
else
let X=X+3
endif
if X > pxTempoSliderWidth then
let iEscape = True
endif
endwhile
;The middle of the three white pixils is the actual position
;Test the pixil two to the left
if (HighWord( GetColorAtPoint (iLeft +X -2,Y)) & 255) == 255 then
;X is the right most of the three pixils
return x-1
elif (HighWord( GetColorAtPoint (iLeft +X -1,Y)) & 255) == 255 then
;X is the middle of the three white pixils
return X
else
;X is the left most of the three white pixils
return X+1
endif
EndFunction

String Function FormatTempoSliderPosition (int iPos)
if iPos >25 && iPos < 30 then
let iPos = 25
endif
if iPos > 29 then
let iPos = iPos - 4
endif
;pixil 2 is the first position so compensate the offset
let iPos = iPos - 1
;pixils 25 - 29 are all the central position
if iPos == 44 then
let iPos = 43
endif
return StringSegment( s_TempoPercentages, delimiter, iPos) + "%"
EndFunction

Void Function SayTempoSlider ()
var
string msg,
int X
let msg =
IntToString( GetPlaybackTempo()) + "BPM" +space+ 
FormatTempoSliderPosition( GetTempoSliderPosition()) 
SayFormattedMessage( OT_NO_DISABLE, msg)
EndFunction

Script MoveTempoSliderRight ()
MoveTempoSlider(UnitMove_Next)
EndScript

Script MoveTempoSliderLeft ()
MoveTempoSlider(UnitMove_Prior)
EndScript

Script MoveTempoSliderCenter ()
MoveTempoSlider(UnitMove_First)
EndScript

Script MoveTempoSliderFarRight ()
MoveTempoSlider( UnitMove_Top)
EndScript

Script MoveTempoSliderFarLeft ()
MoveTempoSlider(UnitMove_Bottom)
EndScript

Void Function MoveTempoSlider (int iMove)
var
handle hWnd,
int iLeft,
int X,
int Y,
int iEscape,
string msg
GetPlaybackWindow()
let hWnd = FindDescendantWindow (ghPlaybackWindow, ID_PlaybackTempoSlider)
let Y = GetWindowTop( hWnd) + i_TempoSliderRow
if iMove == UnitMove_Bottom then
let X = 2
elif iMove == UnitMove_Top then
let X = 48
elif iMove == UnitMove_First then
let X = 27
else
let X = GetNewTempoSliderPosition(iMove)
endif
if X then
let X = X + GetWindowLeft( hWnd) + 2
JawsCursor()
MoveTo( X, Y)
LeftMouseButton ()
Delay(2)
endif
SayTempoSlider()
EndFunction

Int Function GetNewTempoSliderPosition (int iMove)
var
int X,
int iPrevBPM,
handle hWnd
let X = GetTempoSliderPosition ()
;the slider does not work properly at the far left
;so the third pixil could be either the first BPM or second BPM
;the only way to tell is to click and compare the BPMs
if iMove == UnitMove_Next then
if X == 49 then
;already far right so abort
return 0
elif X >= 25 && X <= 29 then
;in the center band so jump to the next position
return 30
else
return X + 1
endif
elif iMove == UnitMove_Prior then
if X == 2 then
return 0
elif X >= 25 && X <= 29 then
return 24
elif X>=48 then
return 47
else
return X - 1
endif
endif
EndFunction

;--- Mixer

Script JAWSPageDown ()
if !UserBufferIsActive () &&
GetWindowName (GetTopLevelWindow (GetFocus())) == Name_Mixer then
ScrollMixer (UnitMove_Down)
return
endif
SayPageUpDownUnit(UnitMove_Next)
EndScript

Script JAWSPageUp ()
if !UserBufferIsActive () &&
GetWindowName (GetTopLevelWindow (GetFocus())) == Name_Mixer then
ScrollMixer (UnitMove_Up)
return
endif
SayPageUpDownUnit(UnitMove_Prior)
EndScript

Script InputM ()
;The keystroke has to be scripted for the hhook
if GetTopLevelWindow(GetFocus()) == ghMixerWindow then
SayFormattedMessage (OT_NO_DISABLE, DoMuteButton (True, FindMixerStrip (UnitMove_Current)))
return
endif
PerformKeyStroke ()
EndScript


Script InputV ()
;The keystroke has to be scripted for the hhook
PerformKeyStroke ()
EndScript

/* this is only here in case the new functions are no good
Function MixerModeHook (string NameOfScript)
if NameOfScript == "NextDocumentWindow" then
ClickNextMixerStripButton ()
return False
elif NameOfScript == "Tab" then
FindMixerStrip (UnitMove_Next)
return False
elif NameOfScript == "ShiftTab" then
FindMixerStrip (UnitMove_Prior)
return False
elif NameOfScript == "JAWSPageDown" then
ScrollMixer (UnitMove_Down)
return False
elif NameOfScript == "JAWSPageUp" then
ScrollMixer (UnitMove_Up)
return False
elif NameOfScript == "SpaceBar" then
PerformScript SpaceBar()
return False
elif NameOfScript == "SelectCurrentItem" then ; CONTROL+SPACE
TypeCurrentScriptKey ()
return False
elif NameOfScript == "PlaybackToStart" then
PerformScript PlaybackToStart()
return False
elif NameOfScript == "InputM" then
;SayFormattedMessage (OT_NO_DISABLE, DoMuteButton(True))
return False
elif NameOfScript == "AddSlurAbove" then ; letter S
;SayFormattedMessage (OT_NO_DISABLE, DoSoloButton(True))
return False
elif NameOfScript == "InputV" then
SayStripVolume ()
return False
elif NameOfScript == "SayPriorLine" then
MoveVolumeSlider(UnitMove_Up)
return False
elif NameOfScript == "SayNextLine" then
MoveVolumeSlider(UnitMove_Down)
return False
elif NameOfScript == "ControlUpArrow" then
MoveVolumeSlider(UnitMove_Next)
return False
elif NameOfScript == "ControlDownArrow" then
MoveVolumeSlider (UnitMove_Prior)
return False
elif NameOfScript == "PasteFromClipboard" then
MoveVolumeSlider (UnitMove_Start)
return False
elif NameOfScript == "OpenAndCloseMixer" then
Say (MsgMixerModeOff, OT_NO_DISABLE)
RemoveHook (HK_Script, "MixerModeHook")
TrapKeys (False)
let gInMixerMode = False
CloseToolWindow (ghMixerWindow, Name_Mixer)
Pause()
SetFocus(GetScoreWindow())
PCCursor()
return False
endif
SayFormattedMessage (OT_NO_DISABLE, MsgMixerModeKeyReject)
EndFunction

Void Function ActivateMixerMode ()
;This is depricated
;It's only here in case it's needed after all
var
handle hWnd,
string ActiveButtons,
int ButtonCount,
int ButtonToClick,
int Count,
int X, int Y,
string msg
if UserBufferIsActive() then
return
endif
;check that mixer mode should be activated
;if not then type M as usual
let hWnd = GetFocus()
;Do not activate unless the mixer mode is on.
if !IsWindowVisible(ghMixerWindow) then
Say ("cannot open mixer", OT_Debug)
return
endif
;now activate mixer mode and get the active strip buttons
let gInMixerMode = True
TrapKeys (True)
AddHook (HK_Script, "MixerModeHook")
SetFocus(ghMixerWindow)
let gCurMixerStrip = 1
;ensure that only one type of strip is showing
let ActiveButtons = GetActiveMixerStripButtons()
let ButtonCount = StringSegmentCount (ActiveButtons, delimiter)
if ButtonCount == 0 then
ClickMixerStripButton(1, True)
endif
if ButtonCount > 1 then
let ButtonToClick = StringToInt( StringSegment (ActiveButtons, delimiter, 1))
let Count = 2
while Count <= ButtonCount
let ButtonToClick = StringToInt( StringSegment (ActiveButtons, delimiter, Count))
ClickMixerStripButton (ButtonToClick, False)
let Count = Count+1
endwhile
endif
Say (MsgMixerModeOn, OT_LINE)
SayActiveMixerStripButtons ()
EndFunction
*/

Void Function SayMixerSizeAlert ()
var
int Resize
let Resize = DoesMixerNeedResizing()
if Resize > 0 then
SayFormattedMessage (OT_NO_DISABLE, MsgMixerResizeAlert)
elif Resize < 0 then
SayFormattedMessage (OT_NO_DISABLE, MsgMixerResizeAlert)
endif
EndFunction

Int Function DoesMixerNeedResizing ()
var
handle hWnd,
int HeightOfFrame,
int HeightOfContainer,
int TopOfTaskBar,
int iLowerLimit,
int iUpperLimit,
int iBottomEdge
;This is used to inform other functions that the mixer is not properly sized.
;If the return is 0 then the mixer is sized properly.
;If a positive number is returned then the mixer is too large and its bottom edge is behind the task bar.
;If a negative is returned then the mixer is too small and the bottom needs to be dragged down.
;First check that the bottom of the mixer is not behind the task bar
let iBottomEdge = GetWindowBottom (ghMixerWindow)
let TopOfTaskBar = GetWindowTop(FindTopLevelWindow (cwcShellTray, cscNull))
if iBottomEdge > TopOfTaskBar then
return iBottomEdge - TopOfTaskBar
endif
;Check to see if the mixer is showing all strips
;This will be true if the frame showing the strips is the same size as the window containing the strips
let hWnd = GetFirstChild (ghMixerWindow)
let HeightOfFrame = GetWindowBottom(hWnd) - GetWindowTop (hWnd)
let hWnd = GetFirstChild(hWnd)
let HeightOfContainer = GetWindowBottom(hWnd) - GetWindowTop (hWnd)
if HeightOfContainer <= HeightOfFrame then
return 0
endif
;If we are here then the mixer is not showing all the strips
;This could be because the mixer has not been sized to fill the screen
if iBottomEdge < TopOfTaskBar - 40 then
return iBottomEdge - TopOfTaskBar + 20
endif
;The mixer is properly sized.
return 0
EndFunction

Script ResizeMixer ()
var
int Resize,
int X, int Y,
int DesiredRow
if GetTopLevelWindow (GetFocus()) != ghMixerWindow then
PerformKeyStroke ()
return false;
endif
;First check that this needs to be done
let Resize = DoesMixerNeedResizing()
if !Resize then
SayString("The mixer is properly sized")
return
elif Resize > 0 then
SizeMixerWithKeystrokes(Resize)
return
endif
let X = GetWindowLeft (ghMixerWindow) + 50
let Y = GetWindowBottom (ghMixerWindow)
;Resize is the difference between the desired pixel row and the actual pixel row and is negative
let DesiredRow = Y - Resize
JAWSCursor()
DragItemWithMouse (X, Y, X, DesiredRow)
Delay(5)
if !DoesMixerNeedResizing() then
SayString("The mixer is properly sized")
else
SayMixerSizeAlert()
endif
EndScript

Void Function SizeMixerWithKeystrokes (int iNumPixelRows)
var
int iNumUpArrows
;Activate the size mode from the command menu
PostMessage (ghMixerWindow, WM_SYSCOMMAND, SC_SIZE, 0)
;Type down arrow once to select the bottom edge of the window
TypeKey(cksDownArrow)
;Calculate the number of up arrow presses to move the bottom edge
;One press of an arrow key is 9 pixels
let iNumUpArrows = iNumPixelRows / 9
let iNumUpArrows = iNumUpArrows+1
;Do the repeated up arrow presses
;The function does the loop with a pause between each keypress to avoid traffic jams
PassKeyPressesForMove (cksUpArrow, iNumUpArrows)
Pause()
;Confirm the size
TypeKey(cksEnter)
Delay(5)
;Report the result
if !DoesMixerNeedResizing() then
SayString("the mixer is properly sized")
else
SayMixerSizeAlert()
endif
EndFunction

Int Function GetStripType (handle hStrip)
var
handle hWnd,
handle hFirst,
handle hLast,
handle hPen,
int iFirstLeft,
int iNumCtrls
if GetWindowBottom(hStrip)  - GetWindowTop(hStrip) > 30 then
SayString("this strip is expanded")
return
endif
let hFirst = GetFirstChild(hStrip)
let hLast = GetLastWindow(hFirst)
let hPen = GetPriorWindow(hLast)
let iNumCtrls = GetWindowHierarchyX (hLast)
if iNumCtrls == 6 then
;Only a staff strip can have this many controls
return cStaffStrip
elif iNumCtrls == 5 then
;If a solo button has been pressed then an extra window superimposes the old solo button
;This means that a strip with 5 controls could be either an ordinary staff strip or a group strip with the second solo control window.
;In group strips the penultimate window is to the right of the last window in the hierarchy.
if GetWindowLeft(hLast) < GetWindowLeft(hPen) then
return cGroupStrip
else
return cStaffStrip
endif
elif iNumCtrls == 4 then
;This could be either a group strip or a VI strip
;The test is the size of the last button.  In VI strips it is only 10 pixels wide.
if GetWindowRight(hLast) - GetWindowLeft(hLast) > 10 then
return cGroupStrip
else
return cVIStrip
endif
elif iNumCtrls == 3 then
if GetWindowName(hPen) == Name_MasterVolume then
return cMasterStrip
else
return cBusStrip
endif
endif
EndFunction

Script StaffStrips ()
var
string RealName
let RealName = GetWindowName (GetTopLevelWindow (GetFocus()))
if RealName == Name_Mixer then

ToggleMixerStripButton (cStaffStrip)
return
else
PerformKeyStroke ()
endif
EndScript

Script GroupStrips ()
var
string sRealName
let sRealName = GetWindowName( GetRealWindow( GetFocus()))
If sRealName == Name_Mixer then
ToggleMixerStripButton (cGroupStrip)
return
endif
PerformKeyStroke ()
EndScript


Script VIStrips ()
var
string sRealName
let sRealName = GetWindowName( GetRealWindow( GetFocus()))
If sRealName == Name_Mixer then
ToggleMixerStripButton (cVIStrip)
return
endif
PerformKeyStroke ()
EndScript

Script BusStrips ()
var
string sRealName
let sRealName = GetWindowName( GetRealWindow( GetFocus()))
If sRealName == Name_Mixer then
ToggleMixerStripButton (cBusStrip)
return
endif
PerformKeyStroke ()
EndScript


Script MasterVolumeStrip ()
var
string sRealName
let sRealName = GetWindowName( GetRealWindow( GetFocus()))
If sRealName == Name_Mixer then
ToggleMixerStripButton (cMasterStrip)
return
endif
PerformKeyStroke ()
EndScript

Script SayActiveMixerStripButtons ()
var
string ActiveButtons,
int ButtonCount,
int Count,
int ThisButton,
string Msg,
string LastBtn
if GetWindowName (GetTopLevelWindow (GetFocus())) != Name_Mixer then
PerformKeyStroke ()
return
endif
let ActiveButtons = GetActiveMixerStripButtons()
let ButtonCount = StringSegmentCount (ActiveButtons, delimiter)
let LastBtn = StringSegment (MsgMixerStripTypes, delimiter, ButtonCount)
let Count = 1
while Count < ButtonCount
let ThisButton = StringToInt( StringSegment (ActiveButtons, delimiter, Count))
let Msg = Msg + StringSegment (MsgMixerStripTypes, delimiter, ThisButton)
let Count = Count+1
endwhile
let ThisButton = StringToInt( StringSegment (ActiveButtons, delimiter, Count))
let LastBtn = StringSegment (MsgMixerStripTypes, delimiter, ThisButton)
if ButtonCount == 1 then
let Msg = FormatString (MsgShowingMxrStrip1, LastBtn)
else
let Msg = FormatString (MsgShowingMxrStrip2, Msg, LastBtn)
endif
SayFormattedMessage (	OT_NO_DISABLE, Msg)
EndScript

String Function GetActiveMixerStripButtons ()
var
handle hWnd,
int Count,
int X, int Y,
string Color,
string StripButtons
;find the first button
let hWnd = GetFirstChild( GetLastWindow( GetFirstChild (ghMixerWindow)))
let Count = 1
while Count < 5
if IsStripButtonPressed (hWnd, False) then
let StripButtons = StripButtons + IntToString(Count) +delimiter
endif
let hWnd = GetNextWindow (hWnd)
let Count = Count+1
endwhile
; hWnd is now pointing to the master volume strip button
if IsStripButtonPressed (hWnd, True) then
let StripButtons = StripButtons + IntToString(Count)
else
let StripButtons = StringChopRight(StripButtons,1)
endif
return StripButtons
EndFunction




Void Function ToggleMixerStripButton (int ButtonToPress)
;The mixer strip buttons are the row of buttons which run across the top of the mixer.
;These determine which types of strip are shown.  Staff, Group, VST or Bus.
var
handle hWnd,
int Pressed
let hWnd = GetMxrStripBtn (ButtonToPress)
;let Pressed = IsStripButtonPressed (hWnd)
MoveToWindow(hWnd)
LeftMouseButton()
;if IsStripButtonPressed (hWnd) then
PerformScript SayActiveMixerStripButtons()
Delay(5)
EndFunction

HANDLE Function GetMxrStripBtn (int StripButton)
var
int Count,
handle hWnd
let hWnd = GetFirstChild( GetLastWindow( GetFirstChild (ghMixerWindow)))
let Count = 1
while Count < StripButton
let hWnd = GetNextWindow (hWnd)
let Count = Count+1
endwhile
return hWnd
EndFunction

Int Function IsStripButtonPressed (handle hWnd, int IsMasterVolume)
var
int X, int Y,
int Left, int Right, int Top, int Bottom,
string Color,
int iColor, int iRed, int iGreen, int iBlue
;If the mouse pointer is over the button it will be lit up as though it had been pressed
;Check that the mouse pointer is not over the button
GetWindowRect (hWnd, Left, Right, Top, Bottom)
let X = GetCursorCol()
let Y = GetCursorRow()
if X > Left && X < Right && Y > Top && Y < Bottom then
MoveTo (Left, Bottom)
Pause()
endif
let iColor = GetColorAtPoint (Left+cStripButtonPixelX, Top+cStripButtonPixelY)
if IsMasterVolume then
GetRGBComponents (iColor, iRed, iGreen, iBlue)
if iRed > ciMasterVolumeRedLimit then
return False
else
return True
endif
endif
if !IsPixelGray (iColor) then
return True
endif
EndFunction

Int Function IsPixelGray (int iColor)
var
int iRed, int iGreen, int iBlue
GetRGBComponents (iColor, iRed, iGreen, iBlue)
if (iRed+ciStripRBDiffLimit > iBlue) && (iRed-ciStripRBDiffLimit < iBlue) then
return True
endif
EndFunction


HANDLE Function FindMixerStrip (int Direction)
; This is the only function which should be used to manipulate the global storing the current strip
; NEVER access the global directly
var
handle hWnd,
handle hCurStrip
;first check that the global is holding a strip handle
;if it is not bypass the other conditionals and return the first strip
if GetParent(ghCurMixerStrip) != GetFirstChild(GetFirstChild(ghMixerWindow)) then
let hCurStrip = GetFirstMixerStrip()
else
let hCurStrip = ghCurMixerStrip
endif
if Direction == UnitMove_Current then
let hWnd = hCurStrip
elif Direction == UnitMove_Top then
let hWnd = GetFirstMixerStrip()
elif Direction == UnitMove_Bottom then
let hWnd = GetFirstMixerStrip()
elif Direction == UnitMove_Next then
let hWnd = GetNextMixerStrip (hCurStrip)
elif Direction == UnitMove_Prior then
let hWnd = GetPriorMixerStrip (hCurStrip)
endif
let ghCurMixerStrip = hWnd
return hWnd
EndFunction

HANDLE Function GetNextMixerStrip (handle hCurStrip)
var
handle hFrame,
handle hContainer,
handle hWnd,
handle hMatch,
int iBottomEdge
let hFrame = GetFirstChild(ghMixerWindow)
let hContainer = GetFirstChild(hFrame)
let iBottomEdge = GetWindowBottom(hCurStrip)
let hWnd = GetFirstChild(hContainer)
while hWnd
if iBottomEdge == GetWindowTop(hWnd) &&
IsWindowVisible(hWnd) then
let hMatch = hWnd
endif
let hWnd = GetNextWindow(hWnd)
endwhile
if !hMatch then
;no next window was found so this must be the very last strip
SayFormattedMessage (OT_NO_DISABLE, MsgMxrLastStrip)
;return the current strip
return hCurStrip
elif GetWindowBottom(hMatch) > GetWindowBottom(hFrame) then
;There is a strip but it is below the frame so the mixer needs scrolling
SayFormattedMessage (OT_NO_DISABLE, MsgMxrMustScrollUp)
return hCurStrip
else
return hMatch
endif
EndFunction

HANDLE Function GetPriorMixerStrip (handle hCurStrip)
var
handle hFrame,
handle hContainer,
handle hWnd,
handle hMatch,
int iTopEdge
let hFrame = GetFirstChild(ghMixerWindow)
let hContainer = GetFirstChild(hFrame)
let iTopEdge = GetWindowTop(hCurStrip)
let hWnd = GetFirstChild(hContainer)
while hWnd
if iTopEdge == GetWindowBottom(hWnd) &&
IsWindowVisible(hWnd) then
let hMatch = hWnd
endif
let hWnd = GetNextWindow(hWnd)
endwhile
if !hMatch then
;no next window was found so this must be the very last strip
SayFormattedMessage (OT_NO_DISABLE, MsgMxrFirstStrip)
;return the current strip
return hCurStrip
elif GetWindowTop(hMatch) < GetWindowTop(hFrame) then
;There is a strip but it is above the frame so the mixer needs scrolling
SayFormattedMessage (OT_NO_DISABLE, MsgMxrMustScrollUp)
return hCurStrip
else
return hMatch
endif
EndFunction

HANDLE Function GetFirstMixerStrip ()
; this gets the first strip in the view
var
handle hFrame,
handle hCurStrip,
handle hPrevStrip,
handle hKeepStrip,
int iTopOfFrame,
int iTopOfCurStrip,
int iTopOfPrevStrip
let hFrame = GetFirstChild(ghMixerWindow)
let iTopOfFrame = GetWindowTop(hFrame)
let hCurStrip = GetFirstChild(GetFirstChild(hFrame))
let iTopOfPrevStrip = GetWindowBottom(hFrame)
while hCurStrip
let iTopOfCurStrip = GetWindowTop(hCurStrip)
if IsWindowVisible (hCurStrip) &&
iTopOfCurStrip >= iTopOfFrame &&
iTopOfCurStrip < iTopOfPrevStrip then
let iTopOfPrevStrip = iTopOfCurStrip
let hKeepStrip = hCurStrip
endif
let hCurStrip = GetNextWindow(hCurStrip)
endwhile
return hKeepStrip
EndFunction



Void Function SayMixerStripInfo (handle hWnd)
var
string Name,
string Volume,
string Mute,
string Solo,
string Msg,
int iStripType
let iStripType = GetStripType (hWnd)
let Name = GetStripName (hWnd, iStripType)
let Mute = DoMuteButton(False, hWnd)
if Mute == MsgMuteUnavailable ||
Mute == MsgMuteOff then
let Mute = cscNull
endif
let Solo = DoSoloButton(False, hWnd)
if Solo == MsgSoloOff then
let Solo = cscNull
endif
let gVolumeSliderPos = GetStripVolumePixel(hWnd)
let Volume = StripVolumePixelToString (gVolumeSliderPos, True)
let Msg = Name +period+space+ Volume +period+space+ Mute +period+space+ Solo
SayFormattedMessage(OT_NO_DISABLE, Msg)
EndFunction

String Function GetStripName (handle hStrip, int iStripType)
var
handle hWnd
let hWnd = GetLastWindow(GetFirstChild(hStrip))
if iStripType == cStaffStrip then
let hWnd = GetPriorWindow(GetPriorWindow(GetPriorWindow(hWnd)))
elif iStripType == cGroupStrip then
let hWnd = GetPriorWindow(GetPriorWindow(hWnd))
elif iStripType == cVIStrip || iStripType == cBusStrip || iStripType == cMasterStrip then
let hWnd = GetPriorWindow(hWnd)
endif
return GetWindowName(hWnd)
EndFunction


String Function DoMuteButton (int ShouldClick, handle hStrip)
var
handle hWnd,
int iStripType,
int Left, int Right, int Top, int Bottom,
int X,int Y,
int iRed, int iGreen, int iBlue,
int Check1, int Check2
let iStripType = GetStripType (hStrip)
if !iStripType then
SayString("the strip type cannot be found")
return	
endif
;In staff strips the mute button is in the last child of the strip window
;In group strips it is the penultimate window.
let hWnd = GetLastWindow(GetFirstChild(hStrip))
if iStripType == cGroupStrip then
let hWnd = GetPriorWindow (hWnd)
endif
if IsWindowDisabled(hWnd) then
return MsgMuteUnavailable
endif
if ShouldClick then
MoveToWindow(hWnd)
LeftMouseButton()
endif
GetWindowRect (hWnd, Left, Right, Top, Bottom)
let X = GetCursorCol()
let Y = GetCursorRow()
if X > Left && X < Right && Y > Top && Y < Bottom then
MoveTo (Left, Bottom)
Pause()
endif
GetRGBComponents (GetColorAtPoint(Left,Top+5), iRed, iGreen, iBlue)
if iRed > ciMasterVolumeRedLimit then
let Check1 = True
endif
GetRGBComponents (GetColorAtPoint(Left+12,Top+12), iRed, iGreen, iBlue)
if iRed > ciMasterVolumeRedLimit then
let Check2 = True
endif
if Check1 && Check2 then
return MsgMuteOn
elif !Check1 && !Check2 then
return MsgMuteOff
else
return MsgHalfMuted
endif
EndFunction

String Function DoSoloButton (int ShouldClick, handle hStrip)
var
handle hWnd,
int Left, int Right, int Top, int Bottom,
int X,int Y,
int iStripType
let iStripType = GetStripType (hStrip)
if !iStripType then
return
endif
;In group strips the solo button is the last window.
;In staff strips it is the penultimate window.
let hWnd = GetLastWindow(GetFirstChild(hStrip))
if iStripType == cStaffStrip then
let hWnd = GetPriorWindow (hWnd)
endif
if ShouldClick then
MoveToWindow(hWnd)
LeftMouseButton()
endif
GetWindowRect (hWnd, Left, Right, Top, Bottom)
let X = GetCursorCol()
let Y = GetCursorRow()
if X > Left && X < Right && Y > Top && Y < Bottom then
MoveTo (Left, Bottom)
Pause()
endif
if !IsPixelGray (GetColorAtPoint(Left,Top+5)) then
return MsgSoloOff
else
return MsgSoloOn
endif
EndFunction

Void Function ScrollMixer (int Direction)
var
handle hWnd,
int HeightOfMixer, int HeightOfAllStrips,
int ThreePositions,
int CurrentPos,
int Destination
let CurrentPos = GetMixerScrollPos ()
;check for situations in which no movement is possible
if Direction == UnitMove_Up && CurrentPos == UnitMove_Top then
SayFormattedMessage (OT_NO_DISABLE, MsgMxrScrollTop)
return True
elif Direction == UnitMove_Down && CurrentPos == UnitMove_Bottom then
SayFormattedMessage (OT_NO_DISABLE, MsgMxrScrollBottom)
return True
elif CurrentPos == UnitMove_Current then
;The mixer cannot be moved because all strips are shown
SayFormattedMessage (OT_NO_DISABLE, MsgMxrScrollNone)
return True
endif
;for very large numbers of strips it is necessary to have three positions for the scroll bar
;Determine if this is necessary
let HeightOfMixer = GetWindowBottom(ghMixerWindow) - GetWindowTop(ghMixerWindow)
let hWnd = GetFirstChild(GetFirstChild(ghMixerWindow))
let HeightOfAllStrips = GetWindowBottom(hWnd) - GetWindowTop(hWnd)
if HeightOfMixer * 2 < HeightOfAllStrips then
let ThreePositions = True
endif
;determine which position the scroll bar needs to be moved to
if Direction == UnitMove_Down then
if ThreePositions && CurrentPos == UnitMove_Top then
let Destination = UnitMove_Current
else
let Destination = UnitMove_Bottom
endif
elif Direction == UnitMove_Up then
if ThreePositions && CurrentPos == UnitMove_Bottom then
let Destination = UnitMove_Current
else
let Destination = UnitMove_Top
endif
endif
MoveMixerScrollBar (CurrentPos, Destination)
EndFunction

Int Function GetMixerScrollPos ()
var
handle hWnd,
int TopOfMixer,
int BottomOfMixer,
int TopOfFirstStrip,
int BottomOfLastStrip
;The strips which are not on screen are still given coordinates.
;They are all contained in a window which slides up and down the screen to reveal the strips.
;If a large number of strips is available then the top and bottom edges of this window could be above and below the bottom edges of the mixer
let TopOfMixer = GetWindowTop (ghMixerWindow)
let BottomOfMixer = GetWindowBottom (ghMixerWindow)
let hWnd = GetFirstChild( GetFirstChild( ghMixerWindow))
let TopOfFirstStrip = GetWindowTop(hWnd)
let BottomOfLastStrip = GetWindowBottom(hWnd)
if TopOfFirstStrip > TopOfMixer && BottomOfLastStrip < BottomOfMixer then
;The window containing the strips is smaller than the mixer so there is no need to scroll.
return UnitMove_Current
elif TopOfFirstStrip > TopOfMixer then
;The top of the first strip is visible, so the mixer is scrolled to the top.
return UnitMove_Top
elif BottomOfLastStrip < BottomOfMixer then
;The bottom of the last strip is visible, so the mixer is scrolled to the bottom.
return UnitMove_Bottom
else
;There are strips above the mixer and below it so, the scroll bar is somewhere in the middle.
return UnitMove_Next
endif
EndFunction

Function SayMixerScrollPos ()
var
int Pos
let Pos = GetMixerScrollPos()
if Pos == UnitMove_Current then
SayFormattedMessage (OT_NO_DISABLE, MsgMxrScrollNone)
elif Pos == UnitMove_Top then
SayFormattedMessage (OT_NO_DISABLE, MsgMxrScrollTop)
elif pos == UnitMove_Next then
SayFormattedMessage (OT_NO_DISABLE, MsgMxrScrollMid)
elif pos == UnitMove_Bottom then
SayFormattedMessage (OT_NO_DISABLE, MsgMxrScrollBottom)
endif
EndFunction



Function MoveMixerScrollBar (int CurrentPos, int Destination)
var
handle hWnd,
int Left, int Right, int Top, int Bottom,
int MidX, int MidY,
int Height,
int TopPos,
int BottomPos,
int MidPos
;get the edges of the scroll bar
let hWnd = GetNextWindow (GetFirstChild (ghMixerWindow))
GetWindowRect (hWnd, Left, Right, Top, Bottom)
;Get the middle column of pixels for dragging the scroll bar.
let MidX = (Left+Right)/2
let Height= Bottom-Top
;current pos is a best guess at where the middle of the slider is
;a course guess is fine because we are only allowing for three possible positions
if CurrentPos == UnitMove_Top then
let CurrentPos = Top + (Height/3)
elif CurrentPos == UnitMove_Current then
let CurrentPos = (Top + Bottom) / 2
elif CurrentPos == UnitMove_Bottom then
let CurrentPos = Bottom - (Height/3)
endif
if Destination == UnitMove_Top then
let Destination = Top
elif Destination == UnitMove_Current then
let Destination = (Top + Bottom) / 2
elif Destination == UnitMove_Bottom then
let Destination = Bottom
endif
DragItemWithMouse (MidX, CurrentPos, MidX, Destination)
EndFunction




Void Function MoveVolumeSlider (int Direction)
; This just does the descisions for where to drag the slider
; the actual drag is scheduled and done by click volume slider
var
string msg
if Direction == UnitMove_Start then
let gVolumeSliderPos = cVolumeStickyMid
elif Direction== UnitMove_Up then
;the middle of the slider is *sticky* so no change occurs within this region.
if gVolumeSliderPos> cVolumeStickyLeft && gVolumeSliderPos< cVolumeStickyRight then
;snap to the right edge of the sticky region.
let gVolumeSliderPos = cVolumeStickyRight
else
;move the slider one pixil to the right.
let gVolumeSliderPos = gVolumeSliderPos + 1
endif
elif Direction== UnitMove_Down then
if gVolumeSliderPos> cVolumeStickyLeft && gVolumeSliderPos< cVolumeStickyRight then
;jump to the left edge of the sticky region.
let gVolumeSliderPos = cVolumeStickyLeft
else
let gVolumeSliderPos = gVolumeSliderPos - 1
endif
elif Direction == UnitMove_Next then
;move by large steps to the right.
let gVolumeSliderPos = gVolumeSliderPos +8
elif Direction == UnitMove_Prior then
;move by large steps to the left.
let gVolumeSliderPos = gVolumeSliderPos -8
endif
;do not allow for pixil locations which are beyond the effective range of the slider.
if gVolumeSliderPos < cVolumeSliderStart then
let gVolumeSliderPos = cVolumeSliderStart
elif gVolumeSliderPos > cVolumeSliderEnd then
let gVolumeSliderPos = cVolumeSliderEnd
endif
;The actual click and drag needs to be scheduled.
;When the function is scheduled, any previous schedulings will be cancelled, so only the most recent schedule will be stacked.
;This prevents the drag and drop funcions from interfering with eachother.
ScheduleFunction("ClickVolumeSlider", 4)
EndFunction

Void Function ClickVolumeSlider ()
var
int SliderPos,
handle hWnd,
int Left,
int X,
int Y,
int EndPoint,
int Match,
string msg,
string sTest
let hWnd = GetFirstChild (ghCurMixerStrip)
let X = GetWindowLeft( hWnd)
let Left = X
let Y = GetWindowTop( hWnd) + 5
let SliderPos = GetStripVolumePixel(hWnd)
DragItemWithMouse (X+SliderPos, Y, X+gVolumeSliderPos, Y)
Pause()
SayFormattedMessage (OT_NO_DISABLE, StripVolumePixelToString( GetStripVolumePixel(ghCurMixerStrip), False))
EndFunction

Int Function GetStripVolumePixel (handle hWnd)
var
int Left,
int X,
int Y,
int EndPoint
;The volume slider is the first child window within the strips window.
let hWnd = GetFirstChild (hWnd)
let Left = GetWindowLeft( hWnd)
let X = Left
let EndPoint = X+cVolumeSliderEnd
let Y = GetWindowTop( hWnd)
;Search across the top edge of the slider for a white pixel.
while X < EndPoint
if HighWord( GetColorAtPoint (X,Y)) > 220 then
;This pixel is at the left edge of the image which shows the slider position so add the number of pixels  to the center of the image.
;The coordinate is relative to the left edge of the window so subtract the left edge coordinate.
return X - Left +cVolumeSliderPixilsToCenter
endif
let X=X+1
endwhile
EndFunction

String Function StripVolumePixelToString (int Volume, int LongMessage)
var
int Negative,
string Msg
if Volume >cVolumeStickyLeft && Volume < cVolumeStickyRight then
let Volume = cVolumeStickyLeft+1
elif Volume >= cVolumeStickyRight then
let Volume = Volume - (cVolumeStickyRight - cVolumeStickyLeft - 2)
endif
let Volume = Volume - cVolumeSliderStart
;Master volume needs additional steps to convert it to dB
if GetWindowName( GetNextWindow( GetFirstChild (ghCurMixerStripWnd))) != Name_MasterVolume then
let Msg = IntToString (Volume)
if !LongMessage then
return Msg
else
return FormatString (MsgVolumeMIDI, Msg)
endif
endif
if Volume == 127 then
let Volume = 126
endif
let Volume = Volume - 96
if Volume < 0 then
let Volume = Volume * -600 / 96
let Negative = True
else
let Volume = Volume * 2
endif
let Msg = IntToString (Volume/10) +"."+ IntToString(Volume%10)
if Negative then
let Msg = "-" + Msg
endif
if LongMessage then
return FormatString (MsgVolumeDB_L, Msg)
else
return FormatString (MsgVolumeDB_S, Msg)
endif
EndFunction


;--- selection

Script SelectNextCharacter ()
If UserBufferIsActive () || !IsPCCursor() then
PerformScript SelectNextCharacter()
Return
EndIf
If InScore () then
TypeCurrentScriptKey ()
ScheduleFunction ("DescribeSelectedItem", 1)
Return
EndIf
PerformScript SelectNextCharacter()
EndScript

Script SelectPriorCharacter ()
If UserBufferIsActive () || !IsPCCursor() then
PerformScript SelectPriorCharacter()
Return
EndIf
If InScore () then
TypeCurrentScriptKey ()
ScheduleFunction ("DescribeSelectedItem", 1)
return
EndIf
PerformScript SelectPriorCharacter()
EndScript

Script SelectNextWord ()
If UserBufferIsActive () || !IsPCCursor() then
PerformScript SelectNextWord()
Return
EndIf
If InScore () then
TypeCurrentScriptKey ()
ScheduleFunction ("DescribeSelectedItem", 1)
Return
EndIf
PerformScript SelectNextWord()
EndScript

Script SelectPriorWord ()
If UserBufferIsActive () || !IsPCCursor() then
PerformScript SelectPriorWord()
Return
EndIf
If InScore () then
TypeCurrentScriptKey ()
ScheduleFunction ("DescribeSelectedItem", 1)
Return
EndIf
PerformScript SelectPriorWord()
EndScript

Script SelectNextLine ()
If UserBufferIsActive () || !IsPCCursor() then
PerformScript SelectNextLine()
Return
EndIf
If InScore () then
TypeCurrentScriptKey ()
ScheduleFunction ("DescribeSelectedItem", 1)
Return
EndIf
PerformScript SelectNextLine()
EndScript


Script SelectPriorLine ()
If UserBufferIsActive () || !IsPCCursor() then
PerformScript SelectPriorLine()
Return
EndIf
If InScore () then
TypeCurrentScriptKey ()
ScheduleFunction ("DescribeSelectedItem", 1)
return
EndIf
PerformScript SelectPriorLine()
EndScript

Script SelectMore ()
TypeCurrentScriptKey ()
DescribeSelectedItem ()
EndScript

Script SelectSystem ()
TypeCurrentScriptKey ()
DescribeSelectedItem ()
EndScript

Script SelectAll ()
if InScore() && IsPCCursor() then
TypeCurrentScriptKey ()
Delay(3)
let gsPrevPageNumber = GetPageNumber()
DescribeSelectedItem ()
return
endif
PerformScript SelectAll()
EndScript


Script SetSelectionMarker ()
if InScore() && IsPCCursor() & !UserBufferIsActive() then
DoPlugIn (Plg_SetSelectionMarker)
SayIniMessage();
return
endif
EndScript


Script SelectToMarker ()
if InScore() && IsPCCursor() & !UserBufferIsActive() then
DoPlugIn (Plg_SelectToMarker)
SayIniMessage()
return
endif
EndScript


Script SelectFromTopExtended ()
PerformScript SelectFromTop()
EndScript


Script SelectFromTop ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
DoPlugIn (Plg_SelectToStart)
SayIniMessage ()
return
endif
PerformScript SelectFromTop()
EndScript


Script SelectToBottomExtended ()
PerformScript SelectToBottom()
EndScript


Script SelectToBottom ()		
if InScore() && IsPCCursor() && !UserBufferIsActive() then
DoPlugIn (Plg_SelectToEnd)
SayIniMessage()
return
endif
PerformScript SelectToBottom()
EndScript

;--- navigation


Script PlugInMode ()
if gDoNotUsePlugIn then
let gDoNotUsePlugIn = False
SayFormattedMessage (OT_NO_DISABLE, MsgPlugInTrue_L, MsgPlugInTrue_S)
else
let gDoNotUsePlugIn = True
SayFormattedMessage (OT_NO_DISABLE, MsgPlugInFalse_L, MsgPlugInFalse_S)
endif
EndScript


Script SayLine ()
var
handle hWnd,
	int iTypeCode,
	string sVal,
	string sClass
If IsSameScript () then
	SpellLine ()
	Return
EndIf
if GetWindowName (GetRealWindow (GetFocus())) == Name_Mixer && !UserBufferIsActive() then
SayMixerStripInfo (FindMixerStrip (UnitMove_Current))
return
elIf !IsPcCursor() || IsVirtualPcCursor() || GlobalMenuMode then
	SayLine ()
	Return
EndIf
let hWnd = GetFocus()
if GetWindowClass (hWnd) == cWcMDIChild then
Say(MsgScoreWindow, OT_LINE)
return
endif
Let iTypeCode = GetWindowSubTypeCode (hWnd)
If ! iTypeCode then
	Let iTypeCode = GetObjectSubTypeCode ()
EndIf
If iTypeCode == WT_MULTISELECT_LISTBOX ||
iTypeCode == WT_EXTENDEDSELECT_LISTBOX ||
iTypeCode == WT_LISTVIEW || ;Must include ListView
iTypeCode == WT_LISTBOX then
	SayMessage (OT_LINE, GetCurrentListViewItemName ())
	SayMessage (OT_POSITION, PositionInGroup ())
	Return
EndIf
SayLine()
EndScript


Int Function InScore ()
if GetWindowClass( GetFocus ()) == cWcMDIChild then
return true
else
return false
endif
EndFunction

Script Enter ()
var
handle hWnd,
string sRealName,
string sType
if UserBufferIsActive() then
PerformScript Enter()
return
endif
if InScore () && IsPCCursor() then
let gsScoreObjectType= GetScoreObjectType()
if gsScoreObjectType== SO_Note || gsScoreObjectType== SO_Chord then
TypeCurrentScriptKey ()
DoPlugIn (Plg_DescribeSelected)
PerformScript SaySelectedNotesInChord()
return
endif
endif
let hWnd = GetFocus()
let sRealName = GetWindowName( GetRealWindow( hWnd))
if sRealName == Name_Symbols then
JawsCursor ()
LeftMouseButton()
PCCursor ()
return
elif sRealName == Name_Parts then
;Perform a left mouse click at the position of the selected item in the list.
RouteJAWSToPc ()
RoutePcToJAWS ()
return
endif
PerformScript Enter()
EndScript

Script UpALevel ()
;closing the buffer
if UserBufferIsActive() then
UserBufferDeactivate()
return
endif
;clearing selections
if InScore() then
TypeCurrentScriptKey ()
if !ScoreIsPlaying() then
DescribeSelectedItem ()
endif
return
endif
;escaping from the properties window
if GetTopLevelWindow (GetFocus()) == ghPropertiesWindow then
SetFocus (GetScoreWindow ())
return
endif
PerformScript UpALevel()
EndScript


Void Function PressDialogButton (int ID)
var
handle hWnd
let hWnd = GetRealWindow( GetFocus())
let hWnd = FindDescendantWindow( hWnd, ID)
SetFocus( hWnd)
TypeKey ("Space")
SayCurrentScriptKeyLabel ()
EndFunction



Script InputNotes ()
var
handle hWnd,
string Position,
string Graphics,
string msg,
string Msg2,
int Count
if !InScore() && !UserBufferIsActive() then
PerformKeyStroke ()
return
endif
;Only allow note input if a note or rest is already selected
let gsScoreObjectType = GetScoreObjectType ()
if gsScoreObjectType != so_Note &&
gsScoreObjectType != so_Chord &&
gsScoreObjectType != so_Rest &&
gsScoreObjectType != so_BarRest &&
gsScoreObjectType != so_CreateNoteRest then
SayFormattedMessage (OT_NO_DISABLE, MsgInputNotesReject)
return
endif
TypeCurrentScriptKey ()
;information must be retrieved from windows because the plug-in is not relyable on the first note after input begins.
Pause()
let gsScoreObjectType = GetScoreObjectType ()
if gsScoreObjectType != so_CreateNoteRest then
SayFormattedMessage (OT_NO_DISABLE, MsgInputNotesOff)
return
endif
;Get the rhythmic position from the properties window.
let hWnd = FindDescendantWindow (ghPropertiesWindow, ID_Position)
let Position = StringChopLeft( GetWindowName(hWnd), 4)
SayFormattedMessage (OT_NO_DISABLE, FormatString(MsgInputNotes, Position))
let giKeypadLayout = GetKeypadLayout()
let msg = StringSegment (MsgKeypadTemplates, delimiter, giKeypadLayout)
SayFormattedMessage (OT_NO_DISABLE, FormatString (MsgInputNotesLayout, Msg))
let Msg = GetKPGraphicsString()
if StringRight(Msg,1) == comma then
let Msg = StringChopRight (Msg,1)
endif
let Count = StringSegmentCount (Msg, comma)
if Count == 1 then
SayFormattedMessage (OT_NO_DISABLE, FormatString (MsgInputNotesHighlightedSingle, Msg))
return
endif
let Msg2 = StringSegment (Msg, comma, Count)
let Count = StringLength(Msg2) + 1
let Msg = StringChopRight (Msg, Count)
SayFormattedMessage (OT_NO_DISABLE, FormatString (MsgInputNotesHighlightedMultiple, Msg, Msg2))
EndScript

Script InputAppoggiaturas ()
SayNoteInput (Note_Appoggiatura)
EndScript


Script InputAcciaccaturas ()
SayNoteInput (Note_Acciaccatura)
EndScript

Void Function SayNoteInput (int NoteType)
var
handle hWnd,
string Position,
string Graphics,
string msg,
string Msg2,
int Count
if !InScore() && !UserBufferIsActive() then
PerformKeyStroke ()
return
endif
;Only allow note input if a note or rest is already selected
let gsScoreObjectType = GetScoreObjectType ()
if gsScoreObjectType != so_Note &&
gsScoreObjectType != so_Chord &&
gsScoreObjectType != so_Rest &&
gsScoreObjectType != so_BarRest &&
gsScoreObjectType != so_CreateNoteRest then
SayFormattedMessage (OT_NO_DISABLE, MsgInputNotesReject)
return
endif
TypeCurrentScriptKey ()
;information must be retrieved from windows because the plug-in is not relyable on the first note after input begins.
Pause()
let gsScoreObjectType = GetScoreObjectType ()
if gsScoreObjectType != so_CreateNoteRest then
SayFormattedMessage (OT_NO_DISABLE, MsgInputNotesOff)
return
endif
;Get the rhythmic position from the properties window.
let hWnd = FindDescendantWindow (ghPropertiesWindow, ID_Position)
let Position = StringChopLeft( GetWindowName(hWnd), 4)
if NoteType == Note_Standard then
SayFormattedMessage (OT_NO_DISABLE, FormatString(MsgInputNotes, Position))
elif NoteType == Note_Appoggiatura then
SayFormattedMessage (OT_NO_DISABLE, FormatString(MsgInputNotesApp, Position))
elif NoteType == Note_Acciaccatura then
SayFormattedMessage (OT_NO_DISABLE, FormatString(MsgInputNotesAcc, Position))
endif
let giKeypadLayout = GetKeypadLayout()
let msg = StringSegment (MsgKeypadTemplates, delimiter, giKeypadLayout)
SayFormattedMessage (OT_NO_DISABLE, FormatString (MsgInputNotesLayout, Msg))
let Msg = GetKPGraphicsString()
if StringRight(Msg,1) == comma then
let Msg = StringChopRight (Msg,1)
endif
let Count = StringSegmentCount (Msg, comma)
if Count == 1 then
SayFormattedMessage (OT_NO_DISABLE, FormatString (MsgInputNotesHighlightedSingle, Msg))
return
endif
let Msg2 = StringSegment (Msg, comma, Count)
let Count = StringLength(Msg2) + 1
let Msg = StringChopRight (Msg, Count)
SayFormattedMessage (OT_NO_DISABLE, FormatString (MsgInputNotesHighlightedMultiple, Msg, Msg2))



EndFunction


Script InputNotesOnString ()
var
string sDuration,
string sBar,
string sBeat,
string msg,
string sPrevType
if !InScore() then
PerformKeyStroke ()
return
endif
if !IsPCCursor() then
return
endif
SayFormattedMessage (	OT_NO_DISABLE, MsgChooseString_L, MsgChooseString_S)
AddHook (HK_Script, "Input0OnStringHook")
EndScript

Int Function Input0OnStringHook (string sScript)
if sScript == "AddUnison" then
DoPlugIn("AddString1")
SayIniMessage()
return False
elif sScript == "AddSecond" then
DoPlugIn("AddString2")
SayIniMessage()
return False
elif sScript == "AddThird" then
DoPlugIn("AddString3")
SayIniMessage()
return False
elif sScript == "AddFourth" then
DoPlugIn("AddString4")
SayIniMessage()
return False
elif sScript == "AddFifth" then
DoPlugIn("AddString5")
SayIniMessage()
return False
elif sScript == "AddSixth" then
DoPlugIn("AddString6")
SayIniMessage()
return False
endif
RemoveHook (HK_Script, "Input0OnStringHook")
return True
EndFunction


Void Function ReportVoiceChange ()
var
string msg
TypeCurrentScriptKey ()
Pause()
GetKeypadGraphics()
let msg =  FormatString( MsgChangeVoice, GetVoice ())
SayFormattedMessage( OT_NO_DISABLE, Msg)
EndFunction


Script ChangeToVoice1 ()
ReportVoiceChange()
EndScript


Script ChangeToVoice2 ()
ReportVoiceChange ()
EndScript


Script ChangeToVoice3 ()
ReportVoiceChange ()
EndScript


Script ChangeToVoice4 ()
ReportVoiceChange ()
EndScript


Script ReselectLastSelectedItem ()
if UserBufferIsActive () || !IsPCCursor() then
return
endif
if InScore() then
DoPlugIn (Plg_Reselect)
SayIniMessage ()
return
endif
PerformKeyStroke ()
EndScript

Script Tab ()
var
handle hWnd,
handle hReal,
string Class,
string RealName,
int ID,
string sListVal
; for tabbing in the virtual viewer
if UserBufferIsActive() then
	If MoveToControlType(s_next,wt_link) then
	 	SayLine()
 	endIf
 	return
EndIf
If InScore () then
;Tabbing always moves to a new item so put back the restriction on the arrow keys
let gDoNotMoveThisItem = True
TypeCurrentScriptKey ()
let giMovement = UnitMove_Current
ScheduleFunction ("DescribeSelectedItem", 1)
return
endif
; Some dialogs need special handling
let hWnd = GetFocus()
let ID = GetControlID (hWnd)
let hReal = GetTopLevelWindow (hWnd)
let RealName = GetWindowName(hReal)
let Class = GetWindowClass(hWnd)
if Class == cwcTabControl then
SetFocus (FirstControlInWindow (hReal))
return
elif RealName == Name_PlaybackDictionary then
DoPlaybackDictionaryNav (hReal, hWnd, UnitMove_Next)
return
elif Class == cWcInputKeyStroke then
SetFocus( GetNextWindow( hWnd))
return
elif RealName == Name_PlaybackDevices then
TypeCurrentScriptKey ()
return
elif RealName == Name_Find then
DoFindDLGNavigation (UnitMove_Next)
return
elif RealName == Name_Filter then
DoFindDLGNavigation (UnitMove_Next)
return
elif RealName == Name_Parts then
if hWnd != GetLastWindow (hWnd) then
SetFocus (GetNextWindow(hWnd))
return
else
Beep()
return
endif
elif hReal == ghPropertiesWindow then
DoPropertiesWindowNavigation (UnitMove_Next)
return
; Keyboard support is not good in plug-in dialogs and the focus must be set manually
elif FindTopLevelWindow (cwcDialog, Name_StopPlugIn) then
SetFocus (GetNextControl (hWnd))
return
endif
PerformScript Tab()
EndScript

Script ShiftTab ()
var
handle hWnd,
handle hReal,
string RealName,
int ID,
string Class
if UserBufferIsActive() then
	If MoveToControlType(s_prior,wt_link) then
	 	SayLine()
 	endIf
 	return
EndIf
If InScore () then
;put back the restriction on moving items with coordinates
let gDoNotMoveThisItem = True
TypeCurrentScriptKey ()
let giMovement = UnitMove_Current
ScheduleFunction ("DescribeSelectedItem", 1)
return
endif
let hWnd = GetFocus()
let hReal = GetTopLevelWindow (hWnd)
let RealName = GetWindowName(hReal)
let ID = GetControlID(hWnd)
let Class = GetWindowClass(hWnd)
if Class == cwcTabControl then
SetFocus (GetPriorWindow(hWnd))
return
elif RealName == Name_PlaybackDictionary then
DoPlaybackDictionaryNav (hReal, hWnd, UnitMove_Prior)
return
elif RealName == Name_AddKeyStroke then
if ID == ID_AddKeystrokeEdit then
SetFocus( FindDescendantWindow (hReal, ID_AddKeyStrokeCancel))
return
elif ID == ID_AddKeystrokeOK then
SetFocus( FindDescendantWindow (hReal, ID_AddKeyStrokeEdit))
return
endif
elif RealName == Name_Preferences && ID == ID_PrefShortcut then
SetFocus( FindDescendantWindow (hReal, ID_PrefText))
return
elif RealName == Name_Find then
DoFindDLGNavigation (UnitMove_Prior)
return
elif RealName == Name_Filter then
DoFindDLGNavigation (UnitMove_Prior)
return
elif RealName == Name_PlaybackDevices then
TypeCurrentScriptKey ()
return
elif RealName == Name_Parts then
if hWnd != GetFirstWindow (hWnd) then
SetFocus (GetPriorWindow(hWnd))
return
else
Beep()
return
endif
elif hReal == ghPropertiesWindow then
DoPropertiesWindowNavigation (UnitMove_Prior)
return
elif FindTopLevelWindow (cwcDialog, Name_StopPlugIn) then
SetFocus (GetPriorControl (hWnd))
return
endif
PerformScript ShiftTab()
EndScript

HANDLE Function FirstControlInWindow (handle hTop)
; Gives focus to the first control of the visible page of a dialog
; This is needed in dialogs with broken keyboard support around tab controls
var
handle hWnd
let hWnd = GetFirstChild( GetVisibleDialogPage (hTop))
if ShouldControlGetFocus (hWnd) then
return hWnd
else
return GetNextControl (hWnd)
endif
EndFunction


HANDLE Function LastControlInWindow (handle hTop)
;Finds the last control of the visible page of a dialog
; This is needed in dialogs with broken keyboard support around tab controls
var
handle hWnd
let hWnd = GetFirstChild( GetVisibleDialogPage (hTop))
if ShouldControlGetFocus (hWnd) then
return hWnd
else
return GetPriorControl (hWnd)
endif
EndFunction

HANDLE Function GetVisibleDialogPage (handle hTop)
; This detects which page of a dialog is currently showing
var
handle hFirst,
handle hWnd,
handle hMatch,
int Continue
; The command controls which are always visible are the first windows at the highest level within the dialog
; The parent windows containing each page are normally the last windows at the highest level within the dialog
; Searching from the last window to the first should cut down the number of searches
let hFirst = GetFirstChild (hTop)
let hWnd = GetLastWindow (hFirst)
let Continue = True
while Continue
if GetWindowSubTypeCode (hWnd) == WT_Dialog_Page && IsWindowVisible (hWnd) then
let hMatch = hWnd
let Continue = False
elif !hWnd || hWnd == hFirst then
let Continue = False
else
let hWnd = GetPriorWindow (hWnd)
endif
endwhile
return hMatch
EndFunction


Int Function ShouldControlGetFocus (handle hWnd)
var
int SubType
let SubType = GetWindowSubTypeCode (hWnd)
if SubType == WT_Static ||
SubType == WT_GroupBox ||
(SubType == WT_RadioButton &&
GetObjectStateByWindow (hWnd) != Ctrl_checked) ||
IsWindowDisabled (hWnd) ||
!IsWindowVisible (hWnd) then
return False
else
return True
endif
EndFunction


Function DoPlaybackDictionaryNav (handle hTop, handle hFocus, int Direction)
var
handle hWnd,
int ID
if Direction == UnitMove_Next then
let hWnd = GetNextControl (hFocus)
if GetWindowHierarchyX (hWnd) <= GetWindowHierarchyX (hFocus) then
let hWnd = GetFirstChild (hTop)
endif
SetFocus (hWnd)
return
endif
; shift tabbing is more complex
if GetControlID (hFocus) == ID_PlayDictCancel then
let hWnd = LastControlInWindow (GetVisibleDialogPage (hTop))
if GetSubTypeCode (hWnd) == WT_Dialog_Page then
let hWnd = LastControlInWindow (hWnd)
endif
SetFocus (hWnd)
return
endif
let hWnd = GetPriorControl (hFocus)
if GetWindowHierarchyX (hWnd) > GetWindowHierarchyX (hFocus) then
; The focused window was the first control and get prior control returned the last control
let hWnd = GetParent (hWnd)
let hWnd = GetPriorControl (hWnd)
endif
SetFocus (hWnd)
EndFunction



Script TopOfFile ()
if UserBufferIsActive() then
SayTopBottomUnit(UnitMove_Top)
return
 	endIf
If InScore () & IsPCCursor() then
DoPlugIn (Plg_MoveStart)
SayIniMessage ()
return
endif
SayTopBottomUnit(UnitMove_Top)
EndScript

Script BottomOfFile ()
if UserBufferIsActive() then
SayTopBottomUnit(UnitMove_Bottom)
return
 	endIf
If InScore () & IsPCCursor() then
DoPlugIn (Plg_MoveEnd)
SayIniMessage ()
return
endif
SayTopBottomUnit(UnitMove_bottom)
EndScript

Int Function IsEditTextBox ()
var
handle hWnd
let hWnd = GetFocus ()
if GetControlID( hWnd) == 100 &&
GetWindowClass( hWnd) == "GuiRichEdit" then
return true
endif
EndFunction

Globals
int giCharInEditBox

script JAWSHome()
SayCurrentScriptKeyLabel()
HomeEndMovement(UnitMove_First)
if IsEditTextBox () then
let giCharInEditBox = 1
endif
EndScript

Script JAWSEnd ()
SayCurrentScriptKeyLabel()
HomeEndMovement(UnitMove_Last)
if IsEditTextBox () then
let giCharInEditBox = StringLength( GetWindowName( GetFocus())) + 1
endif
EndScript

Function SayCharacterInEditBox ()
var
int nTotal,
string sChar,
int iChar,
string sText,
String sScript
let sText = GetWindowName (GetFocus())
let nTotal = StringLength( sText)
let sScript = GetCurrentScriptKeyName ()
if sScript == "LeftArrow" &&
giCharInEditBox > 1 then
let giCharInEditBox = giCharInEditBox - 1
endif
if sScript == "RightArrow" &&
giCharInEditBox < nTotal + 1 then
let giCharInEditBox = giCharInEditBox + 1
endif
let sChar = SubString( sText, giCharInEditBox, 1)
let iChar = GetCharacterValue (sChar)
if (iChar >= 65 && iChar <= 90) ||
(iChar >= 97 && iChar <= 122) then
SayString( sChar)
else
SayCharacterByExample (sChar)
endif
;SayInteger( giCharInEditBox)
EndFunction


Int Function ShouldArrowInDialog (handle hWnd, int Direction)
var
int SubType,
int ID,
string RealName
let SubType = GetWindowSubTypeCode (hWnd)
; never allow use of arrow keys on buttons
if SubType == WT_Button || SubType == WT_TabControl then
Beep()
return False
elif SubType == WT_RadioButton then
let ID = GetControlID (hWnd)
let RealName = GetWindowName (GetTopLevelWindow (hWnd))
if RealName == Name_NewScore then
if (ID == ID_NewScoreMinorKeys || ID == ID_NewScoreOther) &&
Direction == UnitMove_Next  then
Beep()
return False
elif (ID == ID_NewScoreMajorKeys || ID == ID_NewScoreTwoTwo) &&
Direction == UnitMove_Prior then
Beep()
Return False
endif
endif
return True
elif SubType == WT_CheckBox then
let ID = GetControlID (hWnd)
let RealName = GetWindowName (GetTopLevelWindow (hWnd))
if RealName == Name_Find &&
ID >= ID_FindDLGFirstArticulation && ID <= ID_FindDLGLastArticulation then
return True
endif
Beep()
return False
endif
return True
EndFunction

Script SayNextCharacterPCCursor ()
PerformScript SayNextCharacter()
EndScript


Script SayNextCharacter ()
var
handle hWnd,
string sRealName,
string sItemType
If UserBufferIsActive () then
PerformScript SayNextCharacter()
Return
EndIf
If InScore() then
if ProcessItemCoordinates (False) then
;the selected item is not a chord/note/rest so it is being moved
return
endif
let giMovement = UnitMove_Next
TypeCurrentScriptKey ()
if gDoNotUsePlugIn then
ScheduleFunction( "SayQuickNavInfo", 1)
else
ScheduleFunction ("DescribeSelectedItem", 1)
EndIf
return
endif
let hWnd = GetFocus()
if !ShouldArrowInDialog (hWnd, UnitMove_Next) then
return False
endif
let sRealName = GetWindowName( GetRealWindow( hWnd))
if sRealName == Name_Mixer then
MoveVolumeSlider (UnitMove_Up)
return
elif !IsPCCursor() then
PerformScript SayNextCharacter()
return
elif sRealName == "Symbols" &&
GetControlID( hWnd) == ID_SymbolsList &&
GetWindowSubTypeCode( hWnd) == WT_LISTVIEW then
MoveToSymbol (UnitMove_Next)
return
elif sRealName == Name_Color then
DoColorNavigation ()
return
endif
PerformScript SayNextCharacter()
EndScript

Script SayPriorCharacterPCCursor ()
PerformScript SayPriorCharacter()
EndScript

Script SayPriorCharacter ()
var
handle hWnd,
string sRealName
If UserBufferIsActive () then
PerformScript SayPriorCharacter()
Return
EndIf
If InScore() then
if ProcessItemCoordinates (False) then
;the selected item is not a chord/note/rest so it is being moved.
;The announcement has been taken care so abort.
return
endif
let giMovement = UnitMove_Next
TypeCurrentScriptKey ()
if gDoNotUsePlugIn then
ScheduleFunction( "SayQuickNavInfo", 1)
else
ScheduleFunction ("DescribeSelectedItem", 1)
EndIf
Return
EndIf
let hWnd = GetFocus()
if !ShouldArrowInDialog (hWnd, UnitMove_Prior) then
return False
endif
let sRealName = GetWindowName( GetRealWindow( hWnd))
if sRealName == Name_Mixer then
MoveVolumeSlider (UnitMove_Down)
return
elif !IsPCCursor() then
PerformScript SayPriorCharacter()
return
elif sRealName == "Symbols" &&
GetControlID( hWnd) == ID_SymbolsList &&
GetWindowSubTypeCode( hWnd) == WT_LISTVIEW then
MoveToSymbol (UnitMove_Prior)
return
elif sRealName == Name_Color then
DoColorNavigation ()
return
endif
PerformScript SayPriorCharacter()
EndScript

Script SayNextWordPCCursor ()
PerformScript SayNextWord()
EndScript

Script SayNextWord ()
var
string sRealName
If UserBufferIsActive () then
PerformScript SayNextWord()
Return
EndIf
If InScore () then
if ProcessItemCoordinates (False) then
return
endif
TypeCurrentScriptKey ()
if gDoNotUsePlugIn then
ScheduleFunction( "SayQuickNavInfo", 1)
else
let giMovement = UnitMove_Next
ScheduleFunction ("DescribeSelectedItem",1)
EndIf
Return
EndIf
if GetWindowName (GetRealWindow (GetFocus())) == Name_Mixer then
MoveVolumeSlider (UnitMove_Next)
return
elif !IsPCCursor() then
PerformScript SayNextWord()
return
endif
if !ShouldArrowInDialog (GetFocus(), UnitMove_Next) then
return False
endif
PerformScript SayNextWord()
EndScript

Script SayPriorWordPCCursor ()
PerformScript SayPriorWord()
EndScript

Script SayPriorWord ()
If UserBufferIsActive () then
PerformScript SayPriorWord()
Return
EndIf
If InScore () then
if ProcessItemCoordinates (False) then
return
endif
TypeCurrentScriptKey ()
if gDoNotUsePlugIn then
ScheduleFunction( "SayQuickNavInfo", 1)
else
let giMovement = UnitMove_Next
ScheduleFunction ("DescribeSelectedItem",1)
EndIf
Return
EndIf
if GetWindowName (GetRealWindow (GetFocus())) == Name_Mixer then
MoveVolumeSlider (UnitMove_Prior)
return
elif !IsPCCursor() then
PerformScript SayPriorWord()
return
endif
if !ShouldArrowInDialog (GetFocus(), UnitMove_Prior) then
return False
endif
PerformScript SayPriorWord()
EndScript

Script SayPriorLinePCCursor ()
PerformScript SayPriorLine()
EndScript

Script SayPriorLine ()
var
handle hWnd,
int ID,
int iParentID,
string RealName
If UserBufferIsActive () ||
!IsPCCursor () then
PerformScript SayPriorLine()
Return
EndIf
If InScore () then
if ProcessItemCoordinates (False) then
return
endif
let giMovement = UnitMove_Up
TypeCurrentScriptKey ()
ScheduleFunction ("SayChangedPitch", 1)
Return
EndIf
let hWnd = GetFocus()
if !ShouldArrowInDialog (hWnd, UnitMove_Prior) then
return False
endif
let ID = GetControlID (GetFocus ())
let iParentID = GetControlID (GetParent (GetFocus ()))
let RealName = GetWindowName (GetRealWindow (GetFocus ()))
if RealName == Name_Symbols then
MoveToSymbolRow (UnitMove_Prior)
return
elif RealName == "Color" then
DoColorNavigation()
return
elif RealName == Name_Preferences then
if ID == ID_PrefFeature || ID == ID_MenuCategory  then
TypeCurrentScriptKey ()
Pause()
Say (GetCurrentListViewItemName (), OT_LINE)
return
endif
endif
PerformScript SayPriorLine()
EndScript

Script SayNextLinePCCursor ()
PerformScript SayNextLine()
EndScript

Script SayNextLine ()
var
handle hWnd,
int ID,
string RealName
If UserBufferIsActive () || !IsPCCursor ()then
PerformScript SayNextLine()
Return
EndIf
If InScore () then
if ProcessItemCoordinates (False) then
return
endif
let giMovement = UnitMove_Up
TypeCurrentScriptKey ()
ScheduleFunction ("SayChangedPitch", 1)
Return
EndIf
let hWnd = GetFocus()
if !ShouldArrowInDialog (hWnd, UnitMove_Next) then
return False
endif
let ID = GetControlID (GetFocus ())
let RealName = GetWindowName (GetRealWindow (GetFocus ()))
if RealName == Name_Mixer then
elif RealName == Name_Symbols then
MoveToSymbolRow (UnitMove_Next)
return
elif RealName == "Color" then
DoColorNavigation()
return
elif RealName == Name_Preferences then
if ID == ID_PrefFeature || ID == ID_MenuCategory  then
TypeCurrentScriptKey ()
Pause()
Say (GetCurrentListViewItemName (), OT_LINE)
return
endif
endif
PerformScript SayNextLine()
EndScript



Script ControlUpArrowPCCursor ()
PerformScript ControlUpArrow()
EndScript

Script ControlUpArrow ()
If UserBufferIsActive() ||
!IsPCCursor() then
PerformScript ControlUpArrow()
return
endif
If InScore () then
if ProcessItemCoordinates (False) then
return
endif
let giMovement = UnitMove_Up
TypeCurrentScriptKey ()
ScheduleFunction ("SayChangedPitch", 1)
Return
EndIf
if !ShouldArrowInDialog (GetFocus(), UnitMove_Prior) then
return False
endif
PerformScript ControlUpArrow()
EndScript

Script ControlDownArrowPCCursor ()
PerformScript ControlDownArrow()
EndScript

Script ControlDownArrow ()
If UserBufferIsActive() ||
!IsPCCursor() then
PerformScript ControlDownArrow()
return
endif
If InScore () then
if ProcessItemCoordinates (False) then
return
endif
let giMovement = UnitMove_Up
TypeCurrentScriptKey ()
ScheduleFunction ("SayChangedPitch", 1)
Return
EndIf
if !ShouldArrowInDialog (GetFocus(), UnitMove_Next) then
return False
endif
PerformScript ControlDownArrow()
EndScript


Script DownCellExtended ()
PerformScript DownCell()
EndScript


Script DownCell ()
if InScore() then
let giMovement = UnitMove_Top
TypeKey (GetScriptKeyName ("DownCell"))
ScheduleFunction ("DescribeSelectedItem", 1)
elif GetTopLevelWindow (GetFocus()) == ghMixerWindow then
SayMixerStripInfo (FindMixerStrip (UnitMove_Next))
endif
EndScript


Script UpCellExtended ()
PerformScript UpCell()
EndScript


Script UpCell () 
if InScore() then
let giMovement = UnitMove_Top
TypeKey (GetScriptKeyName ("UpCell"))
ScheduleFunction ("DescribeSelectedItem", 1)
elif GetTopLevelWindow (GetFocus ()) == ghMixerWindow then
SayMixerStripInfo (FindMixerStrip (UnitMove_Prior))
endif
EndScript

Script MouseDown ()
if !InScore () || IsJAWSCursor () then
PerformScript MouseDown()
return
endif
DoPlugIn (Plg_VoiceDown)
SayIniMessage ()
EndScript

Script MouseUp ()
if !InScore() || IsJAWSCursor () then
PerformScript MouseUp()
return
endif
DoPlugIn (Plg_VoiceUp)
SayIniMessage ()
EndScript

Script PriorPartOfLine ()
MoveToPartOfLine (UnitMove_Prior)
EndScript

Script NextPartOfLine ()
MoveToPartOfLine (UnitMove_Next)
EndScript

Function MoveToPartOfLine (int Direction)
var
string AllCoordinates,
string CoordinatesAtPoint,
int LastValue,
int NumPoints,
string Msg
if !InScore() || IsJAWSCursor () || IsInvisibleCursor () then
Beep()
return
elif gsScoreObjectType!= so_Line then
Beep()
Say (MsgNotALine, OT_NO_DISABLE)
return
endif
;determine if this line has two or three points
let AllCoordinates = GetItemCoordinates ()
let LastValue = StringSegmentCount (AllCoordinates, delimiter)
let NumPoints = LastValue / 2
;the mid point has no coordinates and will not have been included, so it needs to be added.
let NumPoints = NumPoints + 1
if Direction == UnitMove_Next then
if giLinePoint >= NumPoints then
;trap the keystroke to stop moving off the line
Beep ()
else 
;select the next point of the line
let giLinePoint = giLinePoint+1
TypeKey (GetScriptKeyName ("NextPartOfLine"))
endif
elif Direction == UnitMove_Prior then
if giLinePoint <= 1 then
Beep ()
else 
let giLinePoint = giLinePoint-1
TypeKey (GetScriptKeyName ("PriorPartOfLine"))
endif
endif
;build the message
if giLinePoint == 1 then
let Msg = FormatString (MsgLeftEndOfLine,
StringSegment (AllCoordinates, delimiter, 1),
StringSegment (AllCoordinates, delimiter, 2))
elif giLinePoint == 2 then
let Msg = MsgBothEndsOfLine
elif giLinePoint == NumPoints then
let Msg = FormatString (MsgRightEndOfLine,
StringSegment (AllCoordinates, delimiter, LastValue - 1),
StringSegment (AllCoordinates, delimiter, LastValue))
else
;this must be the third point of a slur, which has four points. IE, the curvature
let Msg = FormatString (MsgCurvatureOfLine,
StringSegment (AllCoordinates, delimiter, 3),
StringSegment (AllCoordinates, delimiter, 4))
endif
SayFormattedMessage (OT_NO_DISABLE, Msg)
EndFunction


Script FindNextItem ()
TypeCurrentScriptKey ()
Pause ()
DescribeSelectedItem ()
EndScript

;***



;--- for inputting pitches


Script ToggleTransposingScore ()
if InScore() && IsPCCursor() then
TypeCurrentScriptKey ()
DoPlugIn("describe")
Pause()
Say( IniReadString (IniSection, IniKeyTransposingScore, "no message", gsSibeliusToJaws), OT_LINE)
endif
EndScript


Function SayInputtedPitch ()
var
string msg
if ScoreIsPlaying() then
return
endif
TypeCurrentScriptKey ()
ScheduleFunction ("DoPlugInForInput", 1);
EndFunction

Function DoPlugInForInput ()
if !DoPlugIn( Plg_SayInputtedPitch) then
return False
endif
SayIniMessage ()
EndFunction


Script InputA ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
return
else
TypeCurrentScriptKey ()
SayCurrentScriptKeyLabel ()
endif
EndScript


Script InputB ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
return
else
TypeCurrentScriptKey ()
SayCurrentScriptKeyLabel ()
endif
EndScript

Script InputC ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
return
else
TypeCurrentScriptKey ()
SayCurrentScriptKeyLabel ()
endif
EndScript


Script InputD ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
return
else
TypeCurrentScriptKey ()
SayCurrentScriptKeyLabel ()
endif
EndScript


Script InputE ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
return
else
TypeCurrentScriptKey ()
SayCurrentScriptKeyLabel ()
endif
EndScript


Script InputF ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
return
else
TypeCurrentScriptKey ()
SayCurrentScriptKeyLabel ()
endif
EndScript


Script InputG ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
return
else
TypeCurrentScriptKey ()
SayCurrentScriptKeyLabel ()
endif
EndScript


;--- chords


Script CloseListBoxExtended ()
PerformScript CloseListBox()
EndScript

Script CloseListBox ()
;Alt+UpArrow is used to move to the note above in a chord.
if InScore() then
NoteInChord (UnitMove_Prior)
return
endif
PerformScript CloseListBox()
EndScript

Script OpenListBoxExtended ()
PerformScript OpenListBox()
EndScript


Script OpenListBox ()
;Alt+DownArrow is used to move to the note below in a chord.
if InScore() then
NoteInChord (UnitMove_Next)
return
endif
PerformScript OpenListBox()
EndScript

Void Function NoteInChord (int Direction)
var
string Position
let Position = GetDataFromIni (IniKeyMove)
if Position == csNoIniKey then
Say ("error in getting note in chord", OT_DeBug)
return
endif
if (Position == cNoteInChord_Top && Direction == UnitMove_Prior) ||
(Position == cNoteInChord_Bottom && Direction == UnitMove_Next) ||
Position == cNoteInChord_More then
;trap the keystroke to prevent moving out of the chord.
Beep()
SayDataFromIni (IniKeyDescription3_S, IniKeyDescription3_S)
return
endif
if Direction == UnitMove_Next then
TypeKey(cksAltDownArrow)
else
TypeKey(cksAltUpArrow)
endif
Pause()
DoPlugin (Plg_DescribeSelected)
SayDataFromIni (IniKeyDescription3_S, IniKeyDescription3_S)
EndFunction

Script Delete ()
var
string msg,
string sPitch
TypeKey (cksDelete)
if InScore() then
DoPlugIn (Plg_DescribeSelected)
DescribeSelectedItem ()
endif
EndScript

Script AddOpenString ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript

Script AddUnison ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript

Script AddSecond ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript

Script AddThird ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript

Script AddFourth ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddFifth ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddSixth ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddSeventh ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddOctave ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddNinth ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddSecondBelow ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddThirdBelow ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddFourthBelow ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddFifthBelow ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddSixthBelow ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddSeventhBelow ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddOctaveBelow ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddNinthBelow ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript

Script AddA ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddB ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddC ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddD ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddE ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddF ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript


Script AddG ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
SayInputtedPitch ()
else
PerformKeyStroke()
endif
EndScript

Script TupletOf3 ()
SayNewTuplet ()
EndScript


Script TupletOf4 ()
SayNewTuplet ()
EndScript


Script TupletOf5 ()
SayNewTuplet ()
EndScript


Script TupletOf6 ()
SayNewTuplet ()
EndScript


Script TupletOf7 ()
SayNewTuplet ()
EndScript


Script TupletOf8 ()
SayNewTuplet ()
EndScript


Script TupletOf9 ()
SayNewTuplet ()
EndScript

Function SayNewTuplet ()
TypeCurrentScriptKey ()
Pause()
let giMovement = UnitMove_Current
DescribeSelectedItem ()
EndFunction


Script RepeatPaist ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
TypeCurrentScriptKey ()
DoPlugIn (Plg_DescribeSelected)
SayIniMessage ()
return
endif
PerformKeyStroke ()
EndScript

Script FlipStem ()
if not UserBufferIsActive() &&
IsPCCursor() &&
InScore() then
TypeCurrentScriptKey ()
DoPlugIn (Plg_DescribeSelected)
return
endif
TypeCurrentScriptKey ()
SayCurrentScriptKeyLabel ()
EndScript

Script SpaceBar ()
;This key must be scripted so that the mixer mode hook can pick it up.
var
handle hWnd,
handle hReal,
string sReal,
int ID
if UserBufferIsActive() then
return
endif
let hWnd = GetFocus()
let ID = GetControlID(hWnd)
let hReal = GetRealWindow (hWnd)
let sReal = GetWindowName (hReal)
let gsScoreObjectType= GetScoreObjectType ()
if ID == ID_EditTextItem && GetWindowClass (hReal) == cWcMDIChild then
;this is the edit box for text so space behaves differently
if gsScoreObjectType== "Lyric" then
TypeCurrentScriptKey ()
Pause()
SayNewLyricPosition ()
return
else
PerformKeyStroke ()
return
endif
endif
if InScore() then
TypeCurrentScriptKey ()
if gsScoreObjectType== so_Line then
DoPlugin (Plg_DescribeSelected)
Pause()
PerformScript SayRhythmicInfo()
return
endif
Delay(3)
if !ScoreIsPlaying() then
Say (GetTimeFromPlayback(), OT_NO_DISABLE)
endif
return
endif
if GetRealWindow(hWnd) == ghPropertiesWindow &&
(GetWindowClass(hWnd) == cwcPropertiesPainButton  ||
GetWindowSubTypeCode(hWnd) == WT_3State) then
MoveToWindow(hWnd)
RoutePcToJAWS ()
PCCursor()
Pause()
SetFocus(hWnd)
Pause()
SayControlInPropertiesWindow ()
return
endif
;Instruments and Staves Dialog
;Stores the position of the stave in the "Staves in Score" list before it is moved.
if sReal == Name_InstrumentsAndStaves &&
ID == ID_StavesInScore then
GetPositionInGroup (iMoveStaveFrom, iStavesInScore)
let sStaveToMove = GetStaveNameFromDialogList ()
SayString ("Ready to move " + sStaveToMove)
Return
EndIf
if sReal == Name_Symbols && ID == ID_SymbolsList then
SelectSymbolInDialog ()
return
endif
if sReal == "Playback Devices "  then
TypeCurrentScriptKey()
return
endif
PerformKeyStroke ()
EndScript


Script ShiftSpace ()
var
handle hWnd,
handle hReal,
string sReal,
int ID
let hWnd = GetFocus()
let ID = GetControlID(hWnd)
let hReal = GetRealWindow (hWnd)
let sReal = GetWindowName (hReal)
let gsScoreObjectType= GetScoreObjectType ()
if ID == ID_EditTextItem && GetWindowClass (hReal) == cWcMDIChild then
;this is the edit box for text so space behaves differently
if gsScoreObjectType== "Lyric" then
TypeCurrentScriptKey ()
Pause()
SayNewLyricPosition ()
return
else
PerformKeyStroke ()
return
endif
endif
if InScore() then
TypeCurrentScriptKey ()
DoPlugin (Plg_DescribeSelected)
Pause()
PerformScript SayRhythmicInfo()
return
endif
PerformKeyStroke ()
EndScript

Script ExtendMallisma ()
var
handle hWnd,
handle hReal,
string sReal,
int ID
let hWnd = GetFocus()
let ID = GetControlID(hWnd)
let hReal = GetRealWindow (hWnd)
if ID == ID_EditTextItem &&
GetWindowClass (hReal) == cWcMDIChild &&
GetScoreObjectType () == "Lyric" then
;a lyric is being edited
TypeCurrentScriptKey ()
Pause()
SayNewLyricPosition ()
return
endif
PerformKeyStroke ()
EndScript

Function SayNewLyricPosition ()
var
handle hWnd,
string sBar,
string sPos,
string msg
let gsScoreObjectType= GetScoreObjectType ()
let hWnd = GetNextWindow( GetFirstChild( GetFirstChild( ghPropertiesWindow)))
let sBar = GetWindowName (hWnd)
let hWnd = GetNextWindow( hWnd)
let sPos = StringChopLeft( GetWindowName(hWnd), 4)
if sBar == gsPrevBar then
let sBar = cscNull
endif
if sPos == "1" then
let sPos = cscNull
endif
let gsPrevBar = sBar
let msg = FormatString (MsgNewLyricPosition, sBar, sPos)
SayUsingVoice (VCTX_Message, msg, OT_No_Disable)
EndFunction


Void Function PassKeyAndDescribe (string NameOfScript)
if InScore() then
TypeKey (GetScriptKeyName (NameOfScript))
DescribeSelectedItem ()
return
endif
PerformKeyStroke ()
EndFunction


Script AddHairpinCrescendo ()
PassKeyAndDescribe ("AddHairpinCrescendo")
EndScript

Script AddHairpinDecrescendo ()
PassKeyAndDescribe ("AddHairpinDecrescendo")
EndScript


Script AddSlurAbove ()
if GetTopLevelWindow(GetFocus()) == ghMixerWindow then
SayFormattedMessage (OT_NO_DISABLE, DoSoloButton (True, FindMixerStrip (UnitMove_Current)))
return
endif
PassKeyAndDescribe ("AddSlurAbove")
EndScript


Script AddSlurBelow ()
PassKeyAndDescribe ("AddSlurBelow")
EndScript


;--- zoom level in score

Script ZoomIncrease ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
TypeCurrentScriptKey ()
Delay(3)
PerformScript SayZoomLevel()
else
TypeCurrentScriptKey ()
SayCurrentScriptKeyLabel()
endif
EndScript

Script ZoomDecrease ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
TypeCurrentScriptKey ()
Delay(3)
PerformScript SayZoomLevel()
else
TypeCurrentScriptKey ()
SayCurrentScriptKeyLabel()
endif
EndScript

Script ZoomToText ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
TypeCurrentScriptKey ()
Delay(3)
PerformScript SayZoomLevel()
else
TypeCurrentScriptKey ()
SayCurrentScriptKeyLabel()
endif
EndScript

Script ZoomToScore ()
if InScore() && IsPCCursor() && !UserBufferIsActive() then
TypeCurrentScriptKey ()
Delay(3)
PerformScript SayZoomLevel()
else
TypeCurrentScriptKey ()
SayCurrentScriptKeyLabel()
endif
EndScript

Script SayZoomLevel ()
SayMessage (OT_NO_DISABLE, GetZoomLevel())
EndScript

String Function GetZoomLevel ()
var
handle hwnd,
string sZoomLevel
let hwnd = FindDescendantWindow (GetSibeliusFrameWindow(), ID_ZoomLevel)
let sZoomLevel = GetWindowText (hwnd, FALSE)
return FormatString (MsgZoomLevel, sZoomLevel)
EndFunction



;--- keypad window

Int Function WasKeyPadUsed ()
var
int iKeyHeldDown,
int iLockIsOn
GetKeyState ("NumLock", iKeyHeldDown, iLockIsOn)
If iLockIsOn && InScore () then
Return TRUE
EndIf
Return False
EndFunction


Script KeypadSlashLaptop ()
DoKeypadLaptop (cksNumPadSlash)
EndScript


Script KeypadStarLaptop ()
DoKeypadLaptop (cksNumPadStar)
EndScript

Script KeypadMinusLaptop ()
DoKeypadLaptop (cksNumPadMinus)
EndScript

Script KeypadDeleteLaptop ()
DoKeypadLaptop (cksDelete)
EndScript

Script KeypadEnterLaptop ()
DoKeypadLaptop (cksEnter)
EndScript


Function DoKeypadLaptop (string sKey)
if UserBufferIsActive() then
return
elif InScore() && IsPCCursor() then
PerformKeyStroke ()
SayPressedKeypadButton (sKey)
else
PerformKeyStroke ()
endif
EndFunction

Void Function SayPressedKeypadButton (string sKeyName)
var
int Index,
string sKeys,
string sKeyRepresents,
string msg
let sKeyName = StringLower(sKeyName)
Pause()
if sKeyName == "NumPadPlus" then
GetKeypadLayout ()
SayKeypadLayout ()
endif
let sKeys = GetKPGraphicsString ()
;identify the pressed key in the current template
let Index = StringSegmentIndex (NumPadKeys, delimiter, sKeyName, false)
If giKeypadLayout == 1 then
let sKeyRepresents = StringSegment (MsgKeypad1, "|", Index)
Elif giKeypadLayout == 2 then
let sKeyRepresents = StringSegment (MsgKeypad2, "|", Index)
Elif giKeypadLayout  == 3 then
let sKeyRepresents = StringSegment (MsgKeypad3, "|", Index)
Elif giKeypadLayout  == 4 then
let sKeyRepresents = StringSegment (MsgKeypad4, "|", Index)
Elif giKeypadLayout  == 5 then
let sKeyRepresents = StringSegment (MsgKeypad5, "|", Index)
EndIf
let msg = sKeyRepresents
if !StringContains( sKeys, sKeyRepresents) then
let msg = "no "+ msg
endif
SayFormattedMessage( OT_NO_DISABLE, msg)
EndFunction

Script KeypadLayout1 ()
NewKeypadLayout (1)
EndScript

Script KeypadLayout2 ()
NewKeypadLayout (2)
EndScript

Script KeypadLayout3 ()
NewKeypadLayout (3)
EndScript

Script KeypadLayout4 ()
NewKeypadLayout (4)
EndScript

Script KeypadLayout5 ()
NewKeypadLayout (5)
EndScript





Void Function SayKeypadLayout ()
var
string msg
let giKeypadLayout = GetKeypadLayout ()
let msg = StringSegment (MsgKeypadTemplates, delimiter, giKeypadLayout)
SayUsingVoice( VCTX_Message, msg, OT_No_Disable)
let msg = GetKPGraphicsString()
SayUsingVoice( VCTX_PCCursor, msg, OT_NO_Disable)
EndFunction

Void Function NewKeypadLayout (int iLayout)
var
string sMessage
if !IsPCCursor() || UserBufferIsActive() ||
!InScore() then
SayFormattedMessage( OT_NO_DISABLE, MsgNoChangeKeypad_L, MsgNoChangeKeypad_S)
return
endif
TypeKey (StringSegment (cksFKeys, delimiter, iLayout))
Pause ()
let giKeypadLayout = GetKeypadLayout()
if giKeypadLayout != iLayout then
SayFormattedMessage (OT_NO_DISABLE, MsgKeypadGraphicsError)
return
endif
SayKeypadLayout()
EndFunction

Int Function GetKeypadLayout ()
var
int iWindowLeft,
int iWindowTop,
int iGraphicToCheck,
int iStartingColumn,
int iStartingRow,
int iCurrentTemplate,
string sMessage
;set iCurrentTemplate to 0 to make sure that a graphic is identified.
let iCurrentTemplate=0
let iGraphicToCheck=1
;The pixil row is relative to the top edge of the window so add WindowTop Edge
Let iStartingRow = giKeypadTopEdge + I_TemplateButtonPixilRow 
While iGraphicToCheck<6
;get the pixil column from the delimited string and then add window left edge
let iStartingColumn = giKeypadLeftEdge + StringToInt (StringSegment( S_TemplateButtonPixilColumns, delimiter, iGraphicToCheck))
If IsGraphicDeepBlue (iStartingColumn, iStartingRow) then
let iCurrentTemplate = iGraphicToCheck
let iGraphicToCheck=5
EndIf
let iGraphicToCheck=iGraphicToCheck+1
EndWhile
return iCurrentTemplate
EndFunction

Int Function IsGraphicDeepBlue (int iStartingColumn, int iStartingRow)
var
int MatchingPixils,
int X,
int Y,
string sColor
let MatchingPixils=0
let X=0
While X<2
let Y=0
While Y<2
let sColor = GetColorName (GetColorAtPoint (iStartingColumn+X, iStartingRow+Y))
let sColor = StringLower (sColor)
;For testing
;Pause ()
;SayString (sColor)
;SayString (gKeypadTBColor)
If sColor == gKeypadTBColor then
let MatchingPixils=MatchingPixils+1
EndIf
let Y=Y+1
EndWhile
let X=X+1
EndWhile
If MatchingPixils then
Return TRUE
EndIf
Return FALSE
EndFunction


Void Function GetKeypadColors ()
var
int X,
int Y,
string sColor,
string sPath
if not CheckToolWindows () then
return
endif
Let Y = giKeypadTopEdge + I_TemplateButtonPixilRow 
let X = giKeypadLeftEdge + StringToInt (StringSegment( S_TemplateButtonPixilColumns, delimiter, 1))
TypeKey (StringSegment (cksFKeys, delimiter, 1))
Pause()
let sColor = GetColorName (GetColorAtPoint (X, Y))
let sColor = StringLower (sColor)
let sPath = FindJAWSPersonalizedSettingsFile (csPersonalizedSettings, True)
IniWriteString (csJSI_Colors, csJSI_TemplateButton, sColor, sPath)
GetIniFilePaths ()
EndFunction

String Function GetKPGraphicsString ()
var
int bKeypadGraphics,
string msg,
string sKeys,
int iLoop,
int iBoolean
GetKeypadGraphics ()
;Find the delimited string containing the names of the buttons in the current keypad layout
if giKeypadLayout == 1 then
let sKeys = MsgKeypad1
elif giKeypadLayout == 2 then
let sKeys = MsgKeypad2
elif giKeypadLayout == 3 then
let sKeys = MsgKeypad3
elif giKeypadLayout == 4 then
let sKeys = MsgKeypad4
elif giKeypadLayout == 5 then
let sKeys = MsgKeypad5
endif
;GetKPGraphics captures all the buttons
;we do not need the template buttons, so start with NumPadSlash
let iBoolean = B_NumPadSlash
let iLoop = 1
while iLoop < 16
if gbKeypadGraphics & iBoolean then
let msg = msg + StringSegment( sKeys, delimiter, iLoop) +comma
endif
let iLoop = iLoop + 1
let iBoolean = iBoolean * 2
endwhile
;add the voice number
let msg = msg + GetVoice()
return msg
EndFunction

Int Function GetKeyPadGraphics ()
var
handle hKeypad, ;handle for keypad window
int iWindowLeft, ;for the pixil column at the left edge of the keypad window
int iWindowTop, ;for the pixil row at the top edge of the keypad window
int iPrevTemplate, ;stores the current template before the f key is passed.
int bKeypadGraphics,
int bBooleanForGraphic, ;binary integer which gets added to bKeypadGraphics
int iGraphic, ;looped from 1 to 25, for each graphic
int iRow, ;pixil row of graphic
int iColumn, ;pixil column of graphic
string sColor, ;color at (iColumn, iRow)
int iRed,
int iGreen,
int iBlue,
int iDiff1,
int iDiff2
if !giKeypadLayout  then
let giKeypadLayout = GetKeypadLayout()
endif
let bKeypadGraphics = 0
let bBooleanForGraphic=1
let iGraphic=1
While iGraphic<26
;The rows and columns stored in the strings are relative to the edges of the keypad window,
;so we need to add window edges to make them absolute.
let iRow = StringToInt (StringSegment( S_KeypadPixilRows, delimiter, iGraphic)) + giKeypadTopEdge
let iColumn = StringToInt (StringSegment (S_KeypadPixilColumns, delimiter, iGraphic)) + giKeypadLeftEdge
;now examine the color at the absolute coordinates
;we only need to record pixils which are not some shade of gray
GetRGBComponents (GetColorAtPoint (iColumn, iRow), iRed, iGreen, iBlue)
let iDiff1 = iRed-iGreen
let iDiff2 = iRed-iBlue
;Gray pixils will have almost identical RGB components
if iDiff1>8 || iDiff1<-8 ||
iDiff2>8 || iDiff2<-8 then
;Add the boulian to represent a highlighted graphic
let bKeypadGraphics = bKeypadGraphics + bBooleanForGraphic
EndIf
;set the boolean for the next itteration
Let bBooleanForGraphic = bBooleanForGraphic * 2
let iGraphic = iGraphic + 1
EndWhile
let gbKeypadGraphics = bKeypadGraphics
return true
EndFunction

;--- plugin dialog editor

Int Function InDLGEditor ()
var
handle hWnd
let hWnd = FindWindow (0, cWcPlgDLGPallett, "")
if hWnd then
return True
else
return False
endif
EndFunction


Function DLGEditorOptions ()
var
int Index
let Index = DlgSelectItemInList( MsgDLGEditorOptions, MsgDLGEditorOptionsTitle, False, 1)
if Index == 1 then
;the next list must be scheduled or JAWS will close both the list and the viewer
ScheduleFunction( "ListNewDLGControls", 3)
elif Index == 2 then
AddNewDLGControl()
elif Index == 3 then
ClickNewDLGControl(1)
elif Index == 4 then
ClickNewDLGControl(0)
endif
EndFunction

Void Function ListNewDLGControls ()
var
string msg
let msg = GetListOfNewDLGControls (False)
if msg == "" then
let msg = "No Controls"
endif
let msg = FormatString( MsgListNewControls, msg)
SayFormattedMessage( OT_USER_BUFFER, msg)
EndFunction

Void Function ClickNewDLGControl (int iLeftClick)
var
int Index,
handle hWnd,
handle hParent,
int iCount,
int iFound,
int X, int Y
let Index = DlgSelectItemInList( GetListOfNewDLGControls(True), MsgAdjustNewDLGControl, 0, 1)
if !Index then
;cancelled or escaped
return
endif
;get the dialog window
let hParent = GetFirstChild( GetRealWindow( GetFocus()))
;get the first control
let hWnd = GetFirstChild( hParent)
let iCount = 1
;the windows were listed in order so repeating NextWindow Index times gets the window requested
while iCount < Index
let hWnd = GetNextWindow( hWnd)
let iCount = iCount+1
endwhile
if hWnd then
;a child window was found
let X = (GetWindowLeft(hWnd) + GetWindowRight(hWnd)) / 2
let Y = (GetWindowTop(hWnd) + GetWindowBottom(hWnd)) / 2
JawsCursor()
MoveTo(X,Y)
else
;the real window was chosen so the last child was reached and NextWindow returned 0
let X = GetWindowRight( hParent) -3
let Y = GetWindowBottom( hParent) -3
JawsCursor()
MoveTo( X,Y)
endif
if iLeftClick then
LeftMouseButton()
else
RightMouseButton()
endif
EndFunction

String Function GetListOfNewDLGControls (int iDelimited)
var
string sEnd,
handle hWnd,
handle hParent,
string sType,
int iParLeft, int iParRight, int iParTop, int iParBottom,
int iLeft, int iRight, int iTop, int iBottom,
string sList,
string sName
if iDelimited then
let sEnd = delimiter
else
let sEnd = "\r\n"
endif
;the dialog window is the child of the real window
;using GetParent is not reliable because GetFocus can return the child of a ComboBox or the dialog window itself
let hParent = GetFirstChild( GetRealWindow( GetFocus()))
let iParLeft = GetWindowLeft( hParent)
let iParRight = GetWindowRight( hParent)
let iParTop = GetWindowTop( hParent)
let iParBottom = GetWindowBottom( hParent)
let hWnd = GetFirstChild( hParent)
while hWnd
let sType = StringSegment( GetWindowType( hWnd), " ", 1)
let sName = StringLeft( GetWindowName ( hWnd), 20)
let iLeft = PixilToDLGScale( GetWindowLeft( hWnd) - iParLeft, True)
let iRight = PixilToDLGScale( GetWindowRight( hWnd) - iParLeft, True)
let iTop = PixilToDLGScale( GetWindowTop( hWnd) - iParTop, False)
let iBottom = PixilToDLGScale( GetWindowBottom( hWnd)- iParTop, False)
let  sList = sList +
sType +" "+ sName +" "+
IntToString(iLeft) +"x"+ 
IntToString (iTop) +" - "+ 
IntToString(iRight) +"x"+
IntToString(iBottom)
+sEnd
let hWnd = GetNextWindow( hWnd)
endwhile
let sList = sList +
"Main Window"+"  "+
IntToString( PixilToDLGScale( iParLeft, True)) +"x"+
IntToString( PixilToDLGScale( iParTop, False)) +" - "+
IntToString( PixilToDLGScale( iParRight, True)) +"x"+
IntToString( PixilToDLGScale( iParBottom, False))
return sList
EndFunction


Int Function PixilToDLGScale (int iCoord, int iCol)
var
int iScale
if iCol then
let iScale = ciDLGEditorScaleX
else
let iScale = ciDLGEditorScaleY
endif
let iCoord = iCoord*1000 / iScale
if iCoord % 10 > 5 then
let iCoord = iCoord + 10
endif
return iCoord/10
EndFunction


Int Function DLGScaleToPixil (int iCoord, int iCol)
var
int iScale
if iCol then
let iScale = ciDLGEditorScaleX
else
let iScale = ciDLGEditorScaleY
endif
let iCoord = iCoord *iScale /100
return iCoord
EndFunction

Void Function AddNewDLGControl ()
var
int X, int Y,
int XPal, int YPal,
handle hWnd,
int Index,
string sCoords,
int iLeft, int iTop,
string sType,
string msg
let Index = DlgSelectItemInList ( MsgNewDLGPallett, MsgAddNewDLGControl1, false, 1)
let sType = StringSegment( MsgNewDLGPallett, delimiter, Index)
;get the left and top edges of the dialog window
let hWnd = GetFirstChild( GetRealWindow( GetFocus()))
let iLeft = GetWindowLeft( hWnd)
let iTop = GetWindowTop( hWnd)
;find the edges of the pallett containing the controls
let hWnd = FindWindow (0, cWcPlgDLGPallett, "")
let XPal = GetWindowLeft( hWnd)
let YPal = GetWindowTop( hWnd)
;move to the middle of the graphic
let XPal = XPal + ciPallettHorzOffSet
;index matches the graphic so Index=3 gives the third control
;multiplying Index by the spacing and adding the offset gives the middle row of the graphic
let YPal = YPal + (Index* ciPallettSpacing) - ciPallettVertOffSet
InputBox ( MsgAddNewDLGControl3, MsgAddNewDLGControl2, sCoords)
let X = StringToInt( StringSegment( sCoords, comma, 1))
let Y = StringToInt( StringSegment( sCoords, comma, 2))
let X = DLGScaleToPixil( X, True) + iLeft + ciDLGEditorOffSet
let Y = DLGScaleToPixil( Y, False) + iTop + ciDLGEditorOffSet
JawsCursor()
MoveTo( XPal, YPal)
LeftMouseButtonLock()
MoveTo( X, Y)
LeftMouseButtonLock ()
Pause()
let hWnd = GetCurrentWindow()
let X = GetWindowLeft(hWnd) - iLeft
let Y = GetWindowTop(hWnd) - iTop
let sCoords =
IntToString( PixilToDLGScale( X, True)) +", "+
IntToString( PixilToDLGScale( Y, False))
let msg = FormatString( MsgCreatedNewControl, sType, sCoords)
SayFormattedMessage( OT_NO_DISABLE, msg)
EndFunction


				



;--- Symbols dialogue 

/* This dialog is only workable by means of a fake table.
The dialog has a list of seven items, along side which is a grid of sixteen columns, containing the symbols.
Each row in the grid is lined up with the items in the list, so as the list scrolls down, the grid scrolls with it.
The list can be focused and its value changed with keystrokes, but the list does not populate properly,
so shifting focus quickly to and from the list is the only way of forcing it to populate correctly.
When the list has focus, the fake table kicks in.
Up/DownArrows change the value of the list and Right/LeftArrows move the jaws cursor across the columns.
The names of the symbols are stored in the msg file.
Important! These names may only be valid for the normal HouseStyle.*/

Int Function SayControlInSymbolsDLG ()
var
handle hWnd,
string sRow,
string sSymbol,
string sPosition
let hWnd = GetFocus()
if GetControlID(hWnd) == ID_SymbolsList then
let sSymbol = GetSymbolInRow ()
let sRow = GetSymbolRow()
let sPosition = FormatString( MsgSymbolTablePosition, PositionInGroup(), IntToString(giSymbolColumn))
SaySibDLGControl (MsgSymbolsTableName, MsgSymbolsTableType, sRow+space+sSymbol, cscNull, sPosition)
return True
endif
return False
EndFunction

String Function GetSymbolRow ()
var
int iRow
let iRow = GetCurrentItem (GetFocus ())
return StringSegment (MsgSymbolRowTitles, delimiter, iRow)
EndFunction

Void Function MoveToFirstSymbol ()
var
int iMouseRow,
int iMouseCol
let giSymbolColumn=1
let iMouseCol = GetWindowLeft (GetRealWindow (GetFocus ())) + PX_SymbolsGridLeftEdge + (giSymbolColumn * PX_SymbolsColumnWidth)
let iMouseRow = GetCursorRow (CURSOR_PC)
JawsCursor ()
MoveTo (iMouseCol, iMouseRow)
PCCursor ()
EndFunction

Void Function MoveToSymbolRow (int iMove)
var
int iRow,
string msg
let iRow = GetCurrentItem (GetFocus ())
if iMove == UnitMove_First then
TypeKey ("Home")
elif iMove == UnitMove_Next &&
iRow == I_NumSymbolRows then
Beep ()
let msg = GetSymbolInRow ()
elif iMove == UnitMove_Prior &&
iRow == 1 then
Beep ()
let msg = GetSymbolInRow ()
else
TypeCurrentScriptKey ()
TypeKey ("Tab")
TypeKey ("Shift+Tab")
Pause ()
let msg = GetSymbolRow() +space+ GetSymbolInRow()
endif
Say( msg, OT_LINE)
EndFunction

Void Function MoveToSymbol (int iMove)
if iMove == UnitMove_First then
let giSymbolColumn = 1
elif iMove == UnitMove_Next then
if giSymbolColumn < I_NumSymbolColumns then
let giSymbolColumn = giSymbolColumn + 1
else
Beep ()
SayString (GetSymbolInRow ())
return
endif
elif iMove == UnitMove_Prior then
if giSymbolColumn > 1 then
let giSymbolColumn = giSymbolColumn - 1
else
Beep ()
SayString (GetSymbolInRow ())
return
endif
endif
Say( GetSymbolInRow(), OT_LINE)
EndFunction

String Function GetSymbolInRow ()
var
string sRow,
string sSymbol
let sRow = StringSegment (MsgSymbols, ":", GetCurrentItem (GetFocus ()))
let sSymbol = StringSegment (sRow, delimiter, giSymbolColumn)
if !sSymbol then
let sSymbol = FormatString( MsgSymbolString, IntToString (giSymbolColumn))
endif
return sSymbol
EndFunction

Void Function SelectSymbolInDialog ()
var
int iMouseRow,
int iMouseCol,
string msg
let iMouseCol = GetWindowLeft (GetRealWindow (GetFocus ())) + PX_SymbolsGridLeftEdge + (giSymbolColumn * PX_SymbolsColumnWidth)
let iMouseRow = GetCursorRow (CURSOR_PC)
JawsCursor ()
MoveTo (iMouseCol, iMouseRow)
LeftMouseButton()
PCCursor ()
let msg = FormatString( MsgSelectedSymbol, GetSymbolInRow())
Say( msg, OT_LINE)
EndFunction

Void Function AddToSymbols ()
let gsSymbolsTempList= gsSymbolsTempList + GetWindowText (GetFocus (), false)
EndFunction

Void Function CopySymbolsToClipboard ()
var
string sList,
int iMouseRow,
int iMouseCol,
int iRow
let sList = ""
let iRow = 17
while iRow <= 38
let giSymbolColumn = 1
let iMouseRow = GetCursorRow (CURSOR_PC)
while giSymbolColumn <=16
SayInteger (giSymbolColumn)
let iMouseCol = GetWindowLeft (GetRealWindow (GetFocus ())) + 102 + (giSymbolColumn * 36)
JawsCursor ()
MoveTo (iMouseCol, iMouseRow)
LeftMouseButton ()
PCCursor ()
Delay(3)
TypeKey ("Alt+E")
Delay(5)
let sList=sList + GetWindowText( GetFocus(), false) + " |"
TypeKey ("Escape")
Delay(5)
let giSymbolColumn = giSymbolColumn + 1
endwhile
let sList = sList + " :"
TypeKey ("DownArrow")
let iRow = iRow + 1
endwhile
Beep()
CopyToClipboard( sList)
;CopyToClipboard (gsSymbolsTempList)
;let gsSymbolsTempList = ""
EndFunction











Script TestStyleBits ()
var
Object O,
handle hWnd,
int I
let hWnd = GetCurrentWindow()
let hWnd = FindDescendantWindow (GetTopLevelWindow (GetFocus()), 1000)
let O = GetObjectFromEvent (hWnd, MSAAClient, 0, 0) ; get the first MSAA object in the window
let I = O.accState
if I == MSAA_Unchecked then
SayString ("unchecked")
else
SayString ("checked")
endif
let hWnd = FindDescendantWindow (GetTopLevelWindow (GetFocus()), 1001)
let O = GetObjectFromEvent (hWnd, MSAAClient, 0, 0) ; get the first MSAA object in the window
let I = O.accState
if I == MSAA_Unchecked then
SayString ("unchecked")
else
SayString ("checked")
endif
EndScript


